"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var ui=Object.create;var ft=Object.defineProperty;var xi=Object.getOwnPropertyDescriptor;var fi=Object.getOwnPropertyNames;var di=Object.getPrototypeOf,hi=Object.prototype.hasOwnProperty;var dt=(e=>typeof require!="undefined"?require:typeof Proxy!="undefined"?new Proxy(e,{get:(t,a)=>(typeof require!="undefined"?require:t)[a]}):e)(function(e){if(typeof require!="undefined")return require.apply(this,arguments);throw new Error('Dynamic require of "'+e+'" is not supported')});var j=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports);var gi=(e,t,a,n)=>{if(t&&typeof t=="object"||typeof t=="function")for(let u of fi(t))!hi.call(e,u)&&u!==a&&ft(e,u,{get:()=>t[u],enumerable:!(n=xi(t,u))||n.enumerable});return e};var ht=(e,t,a)=>(a=e!=null?ui(di(e)):{},gi(t||!e||!e.__esModule?ft(a,"default",{value:e,enumerable:!0}):a,e));var K=(e,t,a)=>new Promise((n,u)=>{var o=r=>{try{i(a.next(r))}catch(x){u(x)}},d=r=>{try{i(a.throw(r))}catch(x){u(x)}},i=r=>r.done?n(r.value):Promise.resolve(r.value).then(o,d);i((a=a.apply(e,t)).next())});var M0=j((_n,gt)=>{gt.exports=Vue});var Ut=j(()=>{});var Y=j((t0,jt)=>{(function(e,t){typeof t0=="object"?jt.exports=t0=t():typeof define=="function"&&define.amd?define([],t):e.CryptoJS=t()})(t0,function(){var e=e||function(t,a){var n;if(typeof window!="undefined"&&window.crypto&&(n=window.crypto),typeof self!="undefined"&&self.crypto&&(n=self.crypto),typeof globalThis!="undefined"&&globalThis.crypto&&(n=globalThis.crypto),!n&&typeof window!="undefined"&&window.msCrypto&&(n=window.msCrypto),!n&&typeof global!="undefined"&&global.crypto&&(n=global.crypto),!n&&typeof dt=="function")try{n=Ut()}catch(s){}var u=function(){if(n){if(typeof n.getRandomValues=="function")try{return n.getRandomValues(new Uint32Array(1))[0]}catch(s){}if(typeof n.randomBytes=="function")try{return n.randomBytes(4).readInt32LE()}catch(s){}}throw new Error("Native crypto module could not be used to get secure random number.")},o=Object.create||function(){function s(){}return function(f){var y;return s.prototype=f,y=new s,s.prototype=null,y}}(),d={},i=d.lib={},r=i.Base=function(){return{extend:function(s){var f=o(this);return s&&f.mixIn(s),(!f.hasOwnProperty("init")||this.init===f.init)&&(f.init=function(){f.$super.init.apply(this,arguments)}),f.init.prototype=f,f.$super=this,f},create:function(){var s=this.extend();return s.init.apply(s,arguments),s},init:function(){},mixIn:function(s){for(var f in s)s.hasOwnProperty(f)&&(this[f]=s[f]);s.hasOwnProperty("toString")&&(this.toString=s.toString)},clone:function(){return this.init.prototype.extend(this)}}}(),x=i.WordArray=r.extend({init:function(s,f){s=this.words=s||[],f!=a?this.sigBytes=f:this.sigBytes=s.length*4},toString:function(s){return(s||g).stringify(this)},concat:function(s){var f=this.words,y=s.words,h=this.sigBytes,C=s.sigBytes;if(this.clamp(),h%4)for(var A=0;A<C;A++){var F=y[A>>>2]>>>24-A%4*8&255;f[h+A>>>2]|=F<<24-(h+A)%4*8}else for(var S=0;S<C;S+=4)f[h+S>>>2]=y[S>>>2];return this.sigBytes+=C,this},clamp:function(){var s=this.words,f=this.sigBytes;s[f>>>2]&=4294967295<<32-f%4*8,s.length=t.ceil(f/4)},clone:function(){var s=r.clone.call(this);return s.words=this.words.slice(0),s},random:function(s){for(var f=[],y=0;y<s;y+=4)f.push(u());return new x.init(f,s)}}),l=d.enc={},g=l.Hex={stringify:function(s){for(var f=s.words,y=s.sigBytes,h=[],C=0;C<y;C++){var A=f[C>>>2]>>>24-C%4*8&255;h.push((A>>>4).toString(16)),h.push((A&15).toString(16))}return h.join("")},parse:function(s){for(var f=s.length,y=[],h=0;h<f;h+=2)y[h>>>3]|=parseInt(s.substr(h,2),16)<<24-h%8*4;return new x.init(y,f/2)}},c=l.Latin1={stringify:function(s){for(var f=s.words,y=s.sigBytes,h=[],C=0;C<y;C++){var A=f[C>>>2]>>>24-C%4*8&255;h.push(String.fromCharCode(A))}return h.join("")},parse:function(s){for(var f=s.length,y=[],h=0;h<f;h++)y[h>>>2]|=(s.charCodeAt(h)&255)<<24-h%4*8;return new x.init(y,f)}},p=l.Utf8={stringify:function(s){try{return decodeURIComponent(escape(c.stringify(s)))}catch(f){throw new Error("Malformed UTF-8 data")}},parse:function(s){return c.parse(unescape(encodeURIComponent(s)))}},m=i.BufferedBlockAlgorithm=r.extend({reset:function(){this._data=new x.init,this._nDataBytes=0},_append:function(s){typeof s=="string"&&(s=p.parse(s)),this._data.concat(s),this._nDataBytes+=s.sigBytes},_process:function(s){var f,y=this._data,h=y.words,C=y.sigBytes,A=this.blockSize,F=A*4,S=C/F;s?S=t.ceil(S):S=t.max((S|0)-this._minBufferSize,0);var T=S*A,R=t.min(T*4,C);if(T){for(var D=0;D<T;D+=A)this._doProcessBlock(h,D);f=h.splice(0,T),y.sigBytes-=R}return new x.init(f,R)},clone:function(){var s=r.clone.call(this);return s._data=this._data.clone(),s},_minBufferSize:0}),b=i.Hasher=m.extend({cfg:r.extend(),init:function(s){this.cfg=this.cfg.extend(s),this.reset()},reset:function(){m.reset.call(this),this._doReset()},update:function(s){return this._append(s),this._process(),this},finalize:function(s){s&&this._append(s);var f=this._doFinalize();return f},blockSize:512/32,_createHelper:function(s){return function(f,y){return new s.init(y).finalize(f)}},_createHmacHelper:function(s){return function(f,y){return new v.HMAC.init(s,y).finalize(f)}}}),v=d.algo={};return d}(Math);return e})});var Ve=j((a0,Vt)=>{(function(e,t){typeof a0=="object"?Vt.exports=a0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(a0,function(e){return function(t){var a=e,n=a.lib,u=n.Base,o=n.WordArray,d=a.x64={},i=d.Word=u.extend({init:function(x,l){this.high=x,this.low=l}}),r=d.WordArray=u.extend({init:function(x,l){x=this.words=x||[],l!=t?this.sigBytes=l:this.sigBytes=x.length*8},toX32:function(){for(var x=this.words,l=x.length,g=[],c=0;c<l;c++){var p=x[c];g.push(p.high),g.push(p.low)}return o.create(g,this.sigBytes)},clone:function(){for(var x=u.clone.call(this),l=x.words=this.words.slice(0),g=l.length,c=0;c<g;c++)l[c]=l[c].clone();return x}})}(),e})});var Yt=j((i0,Gt)=>{(function(e,t){typeof i0=="object"?Gt.exports=i0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(i0,function(e){return function(){if(typeof ArrayBuffer=="function"){var t=e,a=t.lib,n=a.WordArray,u=n.init,o=n.init=function(d){if(d instanceof ArrayBuffer&&(d=new Uint8Array(d)),(d instanceof Int8Array||typeof Uint8ClampedArray!="undefined"&&d instanceof Uint8ClampedArray||d instanceof Int16Array||d instanceof Uint16Array||d instanceof Int32Array||d instanceof Uint32Array||d instanceof Float32Array||d instanceof Float64Array)&&(d=new Uint8Array(d.buffer,d.byteOffset,d.byteLength)),d instanceof Uint8Array){for(var i=d.byteLength,r=[],x=0;x<i;x++)r[x>>>2]|=d[x]<<24-x%4*8;u.call(this,r,i)}else u.apply(this,arguments)};o.prototype=n}}(),e.lib.WordArray})});var $t=j((n0,Kt)=>{(function(e,t){typeof n0=="object"?Kt.exports=n0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(n0,function(e){return function(){var t=e,a=t.lib,n=a.WordArray,u=t.enc,o=u.Utf16=u.Utf16BE={stringify:function(i){for(var r=i.words,x=i.sigBytes,l=[],g=0;g<x;g+=2){var c=r[g>>>2]>>>16-g%4*8&65535;l.push(String.fromCharCode(c))}return l.join("")},parse:function(i){for(var r=i.length,x=[],l=0;l<r;l++)x[l>>>1]|=i.charCodeAt(l)<<16-l%2*16;return n.create(x,r*2)}};u.Utf16LE={stringify:function(i){for(var r=i.words,x=i.sigBytes,l=[],g=0;g<x;g+=2){var c=d(r[g>>>2]>>>16-g%4*8&65535);l.push(String.fromCharCode(c))}return l.join("")},parse:function(i){for(var r=i.length,x=[],l=0;l<r;l++)x[l>>>1]|=d(i.charCodeAt(l)<<16-l%2*16);return n.create(x,r*2)}};function d(i){return i<<8&4278255360|i>>>8&16711935}}(),e.enc.Utf16})});var De=j((r0,Jt)=>{(function(e,t){typeof r0=="object"?Jt.exports=r0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(r0,function(e){return function(){var t=e,a=t.lib,n=a.WordArray,u=t.enc,o=u.Base64={stringify:function(i){var r=i.words,x=i.sigBytes,l=this._map;i.clamp();for(var g=[],c=0;c<x;c+=3)for(var p=r[c>>>2]>>>24-c%4*8&255,m=r[c+1>>>2]>>>24-(c+1)%4*8&255,b=r[c+2>>>2]>>>24-(c+2)%4*8&255,v=p<<16|m<<8|b,s=0;s<4&&c+s*.75<x;s++)g.push(l.charAt(v>>>6*(3-s)&63));var f=l.charAt(64);if(f)for(;g.length%4;)g.push(f);return g.join("")},parse:function(i){var r=i.length,x=this._map,l=this._reverseMap;if(!l){l=this._reverseMap=[];for(var g=0;g<x.length;g++)l[x.charCodeAt(g)]=g}var c=x.charAt(64);if(c){var p=i.indexOf(c);p!==-1&&(r=p)}return d(i,r,l)},_map:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/="};function d(i,r,x){for(var l=[],g=0,c=0;c<r;c++)if(c%4){var p=x[i.charCodeAt(c-1)]<<c%4*2,m=x[i.charCodeAt(c)]>>>6-c%4*2,b=p|m;l[g>>>2]|=b<<24-g%4*8,g++}return n.create(l,g)}}(),e.enc.Base64})});var Xt=j((o0,Qt)=>{(function(e,t){typeof o0=="object"?Qt.exports=o0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(o0,function(e){return function(){var t=e,a=t.lib,n=a.WordArray,u=t.enc,o=u.Base64url={stringify:function(i,r){r===void 0&&(r=!0);var x=i.words,l=i.sigBytes,g=r?this._safe_map:this._map;i.clamp();for(var c=[],p=0;p<l;p+=3)for(var m=x[p>>>2]>>>24-p%4*8&255,b=x[p+1>>>2]>>>24-(p+1)%4*8&255,v=x[p+2>>>2]>>>24-(p+2)%4*8&255,s=m<<16|b<<8|v,f=0;f<4&&p+f*.75<l;f++)c.push(g.charAt(s>>>6*(3-f)&63));var y=g.charAt(64);if(y)for(;c.length%4;)c.push(y);return c.join("")},parse:function(i,r){r===void 0&&(r=!0);var x=i.length,l=r?this._safe_map:this._map,g=this._reverseMap;if(!g){g=this._reverseMap=[];for(var c=0;c<l.length;c++)g[l.charCodeAt(c)]=c}var p=l.charAt(64);if(p){var m=i.indexOf(p);m!==-1&&(x=m)}return d(i,x,g)},_map:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",_safe_map:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_"};function d(i,r,x){for(var l=[],g=0,c=0;c<r;c++)if(c%4){var p=x[i.charCodeAt(c-1)]<<c%4*2,m=x[i.charCodeAt(c)]>>>6-c%4*2,b=p|m;l[g>>>2]|=b<<24-g%4*8,g++}return n.create(l,g)}}(),e.enc.Base64url})});var Be=j((s0,Zt)=>{(function(e,t){typeof s0=="object"?Zt.exports=s0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(s0,function(e){return function(t){var a=e,n=a.lib,u=n.WordArray,o=n.Hasher,d=a.algo,i=[];(function(){for(var p=0;p<64;p++)i[p]=t.abs(t.sin(p+1))*4294967296|0})();var r=d.MD5=o.extend({_doReset:function(){this._hash=new u.init([1732584193,4023233417,2562383102,271733878])},_doProcessBlock:function(p,m){for(var b=0;b<16;b++){var v=m+b,s=p[v];p[v]=(s<<8|s>>>24)&16711935|(s<<24|s>>>8)&4278255360}var f=this._hash.words,y=p[m+0],h=p[m+1],C=p[m+2],A=p[m+3],F=p[m+4],S=p[m+5],T=p[m+6],R=p[m+7],D=p[m+8],B=p[m+9],w=p[m+10],P=p[m+11],M=p[m+12],H=p[m+13],q=p[m+14],V=p[m+15],k=f[0],L=f[1],I=f[2],_=f[3];k=x(k,L,I,_,y,7,i[0]),_=x(_,k,L,I,h,12,i[1]),I=x(I,_,k,L,C,17,i[2]),L=x(L,I,_,k,A,22,i[3]),k=x(k,L,I,_,F,7,i[4]),_=x(_,k,L,I,S,12,i[5]),I=x(I,_,k,L,T,17,i[6]),L=x(L,I,_,k,R,22,i[7]),k=x(k,L,I,_,D,7,i[8]),_=x(_,k,L,I,B,12,i[9]),I=x(I,_,k,L,w,17,i[10]),L=x(L,I,_,k,P,22,i[11]),k=x(k,L,I,_,M,7,i[12]),_=x(_,k,L,I,H,12,i[13]),I=x(I,_,k,L,q,17,i[14]),L=x(L,I,_,k,V,22,i[15]),k=l(k,L,I,_,h,5,i[16]),_=l(_,k,L,I,T,9,i[17]),I=l(I,_,k,L,P,14,i[18]),L=l(L,I,_,k,y,20,i[19]),k=l(k,L,I,_,S,5,i[20]),_=l(_,k,L,I,w,9,i[21]),I=l(I,_,k,L,V,14,i[22]),L=l(L,I,_,k,F,20,i[23]),k=l(k,L,I,_,B,5,i[24]),_=l(_,k,L,I,q,9,i[25]),I=l(I,_,k,L,A,14,i[26]),L=l(L,I,_,k,D,20,i[27]),k=l(k,L,I,_,H,5,i[28]),_=l(_,k,L,I,C,9,i[29]),I=l(I,_,k,L,R,14,i[30]),L=l(L,I,_,k,M,20,i[31]),k=g(k,L,I,_,S,4,i[32]),_=g(_,k,L,I,D,11,i[33]),I=g(I,_,k,L,P,16,i[34]),L=g(L,I,_,k,q,23,i[35]),k=g(k,L,I,_,h,4,i[36]),_=g(_,k,L,I,F,11,i[37]),I=g(I,_,k,L,R,16,i[38]),L=g(L,I,_,k,w,23,i[39]),k=g(k,L,I,_,H,4,i[40]),_=g(_,k,L,I,y,11,i[41]),I=g(I,_,k,L,A,16,i[42]),L=g(L,I,_,k,T,23,i[43]),k=g(k,L,I,_,B,4,i[44]),_=g(_,k,L,I,M,11,i[45]),I=g(I,_,k,L,V,16,i[46]),L=g(L,I,_,k,C,23,i[47]),k=c(k,L,I,_,y,6,i[48]),_=c(_,k,L,I,R,10,i[49]),I=c(I,_,k,L,q,15,i[50]),L=c(L,I,_,k,S,21,i[51]),k=c(k,L,I,_,M,6,i[52]),_=c(_,k,L,I,A,10,i[53]),I=c(I,_,k,L,w,15,i[54]),L=c(L,I,_,k,h,21,i[55]),k=c(k,L,I,_,D,6,i[56]),_=c(_,k,L,I,V,10,i[57]),I=c(I,_,k,L,T,15,i[58]),L=c(L,I,_,k,H,21,i[59]),k=c(k,L,I,_,F,6,i[60]),_=c(_,k,L,I,P,10,i[61]),I=c(I,_,k,L,C,15,i[62]),L=c(L,I,_,k,B,21,i[63]),f[0]=f[0]+k|0,f[1]=f[1]+L|0,f[2]=f[2]+I|0,f[3]=f[3]+_|0},_doFinalize:function(){var p=this._data,m=p.words,b=this._nDataBytes*8,v=p.sigBytes*8;m[v>>>5]|=128<<24-v%32;var s=t.floor(b/4294967296),f=b;m[(v+64>>>9<<4)+15]=(s<<8|s>>>24)&16711935|(s<<24|s>>>8)&4278255360,m[(v+64>>>9<<4)+14]=(f<<8|f>>>24)&16711935|(f<<24|f>>>8)&4278255360,p.sigBytes=(m.length+1)*4,this._process();for(var y=this._hash,h=y.words,C=0;C<4;C++){var A=h[C];h[C]=(A<<8|A>>>24)&16711935|(A<<24|A>>>8)&4278255360}return y},clone:function(){var p=o.clone.call(this);return p._hash=this._hash.clone(),p}});function x(p,m,b,v,s,f,y){var h=p+(m&b|~m&v)+s+y;return(h<<f|h>>>32-f)+m}function l(p,m,b,v,s,f,y){var h=p+(m&v|b&~v)+s+y;return(h<<f|h>>>32-f)+m}function g(p,m,b,v,s,f,y){var h=p+(m^b^v)+s+y;return(h<<f|h>>>32-f)+m}function c(p,m,b,v,s,f,y){var h=p+(b^(m|~v))+s+y;return(h<<f|h>>>32-f)+m}a.MD5=o._createHelper(r),a.HmacMD5=o._createHmacHelper(r)}(Math),e.MD5})});var et=j((l0,ea)=>{(function(e,t){typeof l0=="object"?ea.exports=l0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(l0,function(e){return function(){var t=e,a=t.lib,n=a.WordArray,u=a.Hasher,o=t.algo,d=[],i=o.SHA1=u.extend({_doReset:function(){this._hash=new n.init([1732584193,4023233417,2562383102,271733878,3285377520])},_doProcessBlock:function(r,x){for(var l=this._hash.words,g=l[0],c=l[1],p=l[2],m=l[3],b=l[4],v=0;v<80;v++){if(v<16)d[v]=r[x+v]|0;else{var s=d[v-3]^d[v-8]^d[v-14]^d[v-16];d[v]=s<<1|s>>>31}var f=(g<<5|g>>>27)+b+d[v];v<20?f+=(c&p|~c&m)+1518500249:v<40?f+=(c^p^m)+1859775393:v<60?f+=(c&p|c&m|p&m)-1894007588:f+=(c^p^m)-899497514,b=m,m=p,p=c<<30|c>>>2,c=g,g=f}l[0]=l[0]+g|0,l[1]=l[1]+c|0,l[2]=l[2]+p|0,l[3]=l[3]+m|0,l[4]=l[4]+b|0},_doFinalize:function(){var r=this._data,x=r.words,l=this._nDataBytes*8,g=r.sigBytes*8;return x[g>>>5]|=128<<24-g%32,x[(g+64>>>9<<4)+14]=Math.floor(l/4294967296),x[(g+64>>>9<<4)+15]=l,r.sigBytes=x.length*4,this._process(),this._hash},clone:function(){var r=u.clone.call(this);return r._hash=this._hash.clone(),r}});t.SHA1=u._createHelper(i),t.HmacSHA1=u._createHmacHelper(i)}(),e.SHA1})});var u0=j((c0,ta)=>{(function(e,t){typeof c0=="object"?ta.exports=c0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(c0,function(e){return function(t){var a=e,n=a.lib,u=n.WordArray,o=n.Hasher,d=a.algo,i=[],r=[];(function(){function g(b){for(var v=t.sqrt(b),s=2;s<=v;s++)if(!(b%s))return!1;return!0}function c(b){return(b-(b|0))*4294967296|0}for(var p=2,m=0;m<64;)g(p)&&(m<8&&(i[m]=c(t.pow(p,1/2))),r[m]=c(t.pow(p,1/3)),m++),p++})();var x=[],l=d.SHA256=o.extend({_doReset:function(){this._hash=new u.init(i.slice(0))},_doProcessBlock:function(g,c){for(var p=this._hash.words,m=p[0],b=p[1],v=p[2],s=p[3],f=p[4],y=p[5],h=p[6],C=p[7],A=0;A<64;A++){if(A<16)x[A]=g[c+A]|0;else{var F=x[A-15],S=(F<<25|F>>>7)^(F<<14|F>>>18)^F>>>3,T=x[A-2],R=(T<<15|T>>>17)^(T<<13|T>>>19)^T>>>10;x[A]=S+x[A-7]+R+x[A-16]}var D=f&y^~f&h,B=m&b^m&v^b&v,w=(m<<30|m>>>2)^(m<<19|m>>>13)^(m<<10|m>>>22),P=(f<<26|f>>>6)^(f<<21|f>>>11)^(f<<7|f>>>25),M=C+P+D+r[A]+x[A],H=w+B;C=h,h=y,y=f,f=s+M|0,s=v,v=b,b=m,m=M+H|0}p[0]=p[0]+m|0,p[1]=p[1]+b|0,p[2]=p[2]+v|0,p[3]=p[3]+s|0,p[4]=p[4]+f|0,p[5]=p[5]+y|0,p[6]=p[6]+h|0,p[7]=p[7]+C|0},_doFinalize:function(){var g=this._data,c=g.words,p=this._nDataBytes*8,m=g.sigBytes*8;return c[m>>>5]|=128<<24-m%32,c[(m+64>>>9<<4)+14]=t.floor(p/4294967296),c[(m+64>>>9<<4)+15]=p,g.sigBytes=c.length*4,this._process(),this._hash},clone:function(){var g=o.clone.call(this);return g._hash=this._hash.clone(),g}});a.SHA256=o._createHelper(l),a.HmacSHA256=o._createHmacHelper(l)}(Math),e.SHA256})});var ia=j((x0,aa)=>{(function(e,t,a){typeof x0=="object"?aa.exports=x0=t(Y(),u0()):typeof define=="function"&&define.amd?define(["./core","./sha256"],t):t(e.CryptoJS)})(x0,function(e){return function(){var t=e,a=t.lib,n=a.WordArray,u=t.algo,o=u.SHA256,d=u.SHA224=o.extend({_doReset:function(){this._hash=new n.init([3238371032,914150663,812702999,4144912697,4290775857,1750603025,1694076839,3204075428])},_doFinalize:function(){var i=o._doFinalize.call(this);return i.sigBytes-=4,i}});t.SHA224=o._createHelper(d),t.HmacSHA224=o._createHmacHelper(d)}(),e.SHA224})});var tt=j((f0,na)=>{(function(e,t,a){typeof f0=="object"?na.exports=f0=t(Y(),Ve()):typeof define=="function"&&define.amd?define(["./core","./x64-core"],t):t(e.CryptoJS)})(f0,function(e){return function(){var t=e,a=t.lib,n=a.Hasher,u=t.x64,o=u.Word,d=u.WordArray,i=t.algo;function r(){return o.create.apply(o,arguments)}var x=[r(1116352408,3609767458),r(1899447441,602891725),r(3049323471,3964484399),r(3921009573,2173295548),r(961987163,4081628472),r(1508970993,3053834265),r(2453635748,2937671579),r(2870763221,3664609560),r(3624381080,2734883394),r(310598401,1164996542),r(607225278,1323610764),r(1426881987,3590304994),r(1925078388,4068182383),r(2162078206,991336113),r(2614888103,633803317),r(3248222580,3479774868),r(3835390401,2666613458),r(4022224774,944711139),r(264347078,2341262773),r(604807628,2007800933),r(770255983,1495990901),r(1249150122,1856431235),r(1555081692,3175218132),r(1996064986,2198950837),r(2554220882,3999719339),r(2821834349,766784016),r(2952996808,2566594879),r(3210313671,3203337956),r(3336571891,1034457026),r(3584528711,2466948901),r(113926993,3758326383),r(338241895,168717936),r(666307205,1188179964),r(773529912,1546045734),r(1294757372,1522805485),r(1396182291,2643833823),r(1695183700,2343527390),r(1986661051,1014477480),r(2177026350,1206759142),r(2456956037,344077627),r(2730485921,1290863460),r(2820302411,3158454273),r(3259730800,3505952657),r(3345764771,106217008),r(3516065817,3606008344),r(3600352804,1432725776),r(4094571909,1467031594),r(275423344,851169720),r(430227734,3100823752),r(506948616,1363258195),r(659060556,3750685593),r(883997877,3785050280),r(958139571,3318307427),r(1322822218,3812723403),r(1537002063,2003034995),r(1747873779,3602036899),r(1955562222,1575990012),r(2024104815,1125592928),r(2227730452,2716904306),r(2361852424,442776044),r(2428436474,593698344),r(2756734187,3733110249),r(3204031479,2999351573),r(3329325298,3815920427),r(3391569614,3928383900),r(3515267271,566280711),r(3940187606,3454069534),r(4118630271,4000239992),r(116418474,1914138554),r(174292421,2731055270),r(289380356,3203993006),r(460393269,320620315),r(685471733,587496836),r(852142971,1086792851),r(1017036298,365543100),r(1126000580,2618297676),r(1288033470,3409855158),r(1501505948,4234509866),r(1607167915,987167468),r(1816402316,1246189591)],l=[];(function(){for(var c=0;c<80;c++)l[c]=r()})();var g=i.SHA512=n.extend({_doReset:function(){this._hash=new d.init([new o.init(1779033703,4089235720),new o.init(3144134277,2227873595),new o.init(1013904242,4271175723),new o.init(2773480762,1595750129),new o.init(1359893119,2917565137),new o.init(2600822924,725511199),new o.init(528734635,4215389547),new o.init(1541459225,327033209)])},_doProcessBlock:function(c,p){for(var m=this._hash.words,b=m[0],v=m[1],s=m[2],f=m[3],y=m[4],h=m[5],C=m[6],A=m[7],F=b.high,S=b.low,T=v.high,R=v.low,D=s.high,B=s.low,w=f.high,P=f.low,M=y.high,H=y.low,q=h.high,V=h.low,k=C.high,L=C.low,I=A.high,_=A.low,Q=F,J=S,ie=T,U=R,Se=D,ve=B,He=w,Ee=P,ue=M,re=H,Te=q,Fe=V,Ie=k,ke=L,Oe=I,_e=_,fe=0;fe<80;fe++){var de,E,N=l[fe];if(fe<16)E=N.high=c[p+fe*2]|0,de=N.low=c[p+fe*2+1]|0;else{var oe=l[fe-15],X=oe.high,me=oe.low,Ne=(X>>>1|me<<31)^(X>>>8|me<<24)^X>>>7,Ce=(me>>>1|X<<31)^(me>>>8|X<<24)^(me>>>7|X<<25),Ge=l[fe-2],we=Ge.high,Me=Ge.low,Xa=(we>>>19|Me<<13)^(we<<3|Me>>>29)^we>>>6,it=(Me>>>19|we<<13)^(Me<<3|we>>>29)^(Me>>>6|we<<26),nt=l[fe-7],Za=nt.high,ei=nt.low,rt=l[fe-16],ti=rt.high,ot=rt.low;de=Ce+ei,E=Ne+Za+(de>>>0<Ce>>>0?1:0),de=de+it,E=E+Xa+(de>>>0<it>>>0?1:0),de=de+ot,E=E+ti+(de>>>0<ot>>>0?1:0),N.high=E,N.low=de}var ai=ue&Te^~ue&Ie,st=re&Fe^~re&ke,ii=Q&ie^Q&Se^ie&Se,ni=J&U^J&ve^U&ve,ri=(Q>>>28|J<<4)^(Q<<30|J>>>2)^(Q<<25|J>>>7),lt=(J>>>28|Q<<4)^(J<<30|Q>>>2)^(J<<25|Q>>>7),oi=(ue>>>14|re<<18)^(ue>>>18|re<<14)^(ue<<23|re>>>9),si=(re>>>14|ue<<18)^(re>>>18|ue<<14)^(re<<23|ue>>>9),ct=x[fe],li=ct.high,ut=ct.low,he=_e+si,ye=Oe+oi+(he>>>0<_e>>>0?1:0),he=he+st,ye=ye+ai+(he>>>0<st>>>0?1:0),he=he+ut,ye=ye+li+(he>>>0<ut>>>0?1:0),he=he+de,ye=ye+E+(he>>>0<de>>>0?1:0),xt=lt+ni,ci=ri+ii+(xt>>>0<lt>>>0?1:0);Oe=Ie,_e=ke,Ie=Te,ke=Fe,Te=ue,Fe=re,re=Ee+he|0,ue=He+ye+(re>>>0<Ee>>>0?1:0)|0,He=Se,Ee=ve,Se=ie,ve=U,ie=Q,U=J,J=he+xt|0,Q=ye+ci+(J>>>0<he>>>0?1:0)|0}S=b.low=S+J,b.high=F+Q+(S>>>0<J>>>0?1:0),R=v.low=R+U,v.high=T+ie+(R>>>0<U>>>0?1:0),B=s.low=B+ve,s.high=D+Se+(B>>>0<ve>>>0?1:0),P=f.low=P+Ee,f.high=w+He+(P>>>0<Ee>>>0?1:0),H=y.low=H+re,y.high=M+ue+(H>>>0<re>>>0?1:0),V=h.low=V+Fe,h.high=q+Te+(V>>>0<Fe>>>0?1:0),L=C.low=L+ke,C.high=k+Ie+(L>>>0<ke>>>0?1:0),_=A.low=_+_e,A.high=I+Oe+(_>>>0<_e>>>0?1:0)},_doFinalize:function(){var c=this._data,p=c.words,m=this._nDataBytes*8,b=c.sigBytes*8;p[b>>>5]|=128<<24-b%32,p[(b+128>>>10<<5)+30]=Math.floor(m/4294967296),p[(b+128>>>10<<5)+31]=m,c.sigBytes=p.length*4,this._process();var v=this._hash.toX32();return v},clone:function(){var c=n.clone.call(this);return c._hash=this._hash.clone(),c},blockSize:1024/32});t.SHA512=n._createHelper(g),t.HmacSHA512=n._createHmacHelper(g)}(),e.SHA512})});var oa=j((d0,ra)=>{(function(e,t,a){typeof d0=="object"?ra.exports=d0=t(Y(),Ve(),tt()):typeof define=="function"&&define.amd?define(["./core","./x64-core","./sha512"],t):t(e.CryptoJS)})(d0,function(e){return function(){var t=e,a=t.x64,n=a.Word,u=a.WordArray,o=t.algo,d=o.SHA512,i=o.SHA384=d.extend({_doReset:function(){this._hash=new u.init([new n.init(3418070365,3238371032),new n.init(1654270250,914150663),new n.init(2438529370,812702999),new n.init(355462360,4144912697),new n.init(1731405415,4290775857),new n.init(2394180231,1750603025),new n.init(3675008525,1694076839),new n.init(1203062813,3204075428)])},_doFinalize:function(){var r=d._doFinalize.call(this);return r.sigBytes-=16,r}});t.SHA384=d._createHelper(i),t.HmacSHA384=d._createHmacHelper(i)}(),e.SHA384})});var la=j((h0,sa)=>{(function(e,t,a){typeof h0=="object"?sa.exports=h0=t(Y(),Ve()):typeof define=="function"&&define.amd?define(["./core","./x64-core"],t):t(e.CryptoJS)})(h0,function(e){return function(t){var a=e,n=a.lib,u=n.WordArray,o=n.Hasher,d=a.x64,i=d.Word,r=a.algo,x=[],l=[],g=[];(function(){for(var m=1,b=0,v=0;v<24;v++){x[m+5*b]=(v+1)*(v+2)/2%64;var s=b%5,f=(2*m+3*b)%5;m=s,b=f}for(var m=0;m<5;m++)for(var b=0;b<5;b++)l[m+5*b]=b+(2*m+3*b)%5*5;for(var y=1,h=0;h<24;h++){for(var C=0,A=0,F=0;F<7;F++){if(y&1){var S=(1<<F)-1;S<32?A^=1<<S:C^=1<<S-32}y&128?y=y<<1^113:y<<=1}g[h]=i.create(C,A)}})();var c=[];(function(){for(var m=0;m<25;m++)c[m]=i.create()})();var p=r.SHA3=o.extend({cfg:o.cfg.extend({outputLength:512}),_doReset:function(){for(var m=this._state=[],b=0;b<25;b++)m[b]=new i.init;this.blockSize=(1600-2*this.cfg.outputLength)/32},_doProcessBlock:function(m,b){for(var v=this._state,s=this.blockSize/2,f=0;f<s;f++){var y=m[b+2*f],h=m[b+2*f+1];y=(y<<8|y>>>24)&16711935|(y<<24|y>>>8)&4278255360,h=(h<<8|h>>>24)&16711935|(h<<24|h>>>8)&4278255360;var C=v[f];C.high^=h,C.low^=y}for(var A=0;A<24;A++){for(var F=0;F<5;F++){for(var S=0,T=0,R=0;R<5;R++){var C=v[F+5*R];S^=C.high,T^=C.low}var D=c[F];D.high=S,D.low=T}for(var F=0;F<5;F++)for(var B=c[(F+4)%5],w=c[(F+1)%5],P=w.high,M=w.low,S=B.high^(P<<1|M>>>31),T=B.low^(M<<1|P>>>31),R=0;R<5;R++){var C=v[F+5*R];C.high^=S,C.low^=T}for(var H=1;H<25;H++){var S,T,C=v[H],q=C.high,V=C.low,k=x[H];k<32?(S=q<<k|V>>>32-k,T=V<<k|q>>>32-k):(S=V<<k-32|q>>>64-k,T=q<<k-32|V>>>64-k);var L=c[l[H]];L.high=S,L.low=T}var I=c[0],_=v[0];I.high=_.high,I.low=_.low;for(var F=0;F<5;F++)for(var R=0;R<5;R++){var H=F+5*R,C=v[H],Q=c[H],J=c[(F+1)%5+5*R],ie=c[(F+2)%5+5*R];C.high=Q.high^~J.high&ie.high,C.low=Q.low^~J.low&ie.low}var C=v[0],U=g[A];C.high^=U.high,C.low^=U.low}},_doFinalize:function(){var m=this._data,b=m.words,v=this._nDataBytes*8,s=m.sigBytes*8,f=this.blockSize*32;b[s>>>5]|=1<<24-s%32,b[(t.ceil((s+1)/f)*f>>>5)-1]|=128,m.sigBytes=b.length*4,this._process();for(var y=this._state,h=this.cfg.outputLength/8,C=h/8,A=[],F=0;F<C;F++){var S=y[F],T=S.high,R=S.low;T=(T<<8|T>>>24)&16711935|(T<<24|T>>>8)&4278255360,R=(R<<8|R>>>24)&16711935|(R<<24|R>>>8)&4278255360,A.push(R),A.push(T)}return new u.init(A,h)},clone:function(){for(var m=o.clone.call(this),b=m._state=this._state.slice(0),v=0;v<25;v++)b[v]=b[v].clone();return m}});a.SHA3=o._createHelper(p),a.HmacSHA3=o._createHmacHelper(p)}(Math),e.SHA3})});var ua=j((g0,ca)=>{(function(e,t){typeof g0=="object"?ca.exports=g0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(g0,function(e){return function(t){var a=e,n=a.lib,u=n.WordArray,o=n.Hasher,d=a.algo,i=u.create([0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,7,4,13,1,10,6,15,3,12,0,9,5,2,14,11,8,3,10,14,4,9,15,8,1,2,7,0,6,13,11,5,12,1,9,11,10,0,8,12,4,13,3,7,15,14,5,6,2,4,0,5,9,7,12,2,10,14,1,3,8,11,6,15,13]),r=u.create([5,14,7,0,9,2,11,4,13,6,15,8,1,10,3,12,6,11,3,7,0,13,5,10,14,15,8,12,4,9,1,2,15,5,1,3,7,14,6,9,11,8,12,2,10,0,4,13,8,6,4,1,3,11,15,0,5,12,2,13,9,7,10,14,12,15,10,4,1,5,8,7,6,2,13,14,0,3,9,11]),x=u.create([11,14,15,12,5,8,7,9,11,13,14,15,6,7,9,8,7,6,8,13,11,9,7,15,7,12,15,9,11,7,13,12,11,13,6,7,14,9,13,15,14,8,13,6,5,12,7,5,11,12,14,15,14,15,9,8,9,14,5,6,8,6,5,12,9,15,5,11,6,8,13,12,5,12,13,14,11,8,5,6]),l=u.create([8,9,9,11,13,15,15,5,7,7,8,11,14,14,12,6,9,13,15,7,12,8,9,11,7,7,12,7,6,15,13,11,9,7,15,11,8,6,6,14,12,13,5,14,13,13,7,5,15,5,8,11,14,14,6,14,6,9,12,9,12,5,15,8,8,5,12,9,12,5,14,6,8,13,6,5,15,13,11,11]),g=u.create([0,1518500249,1859775393,2400959708,2840853838]),c=u.create([1352829926,1548603684,1836072691,2053994217,0]),p=d.RIPEMD160=o.extend({_doReset:function(){this._hash=u.create([1732584193,4023233417,2562383102,271733878,3285377520])},_doProcessBlock:function(h,C){for(var A=0;A<16;A++){var F=C+A,S=h[F];h[F]=(S<<8|S>>>24)&16711935|(S<<24|S>>>8)&4278255360}var T=this._hash.words,R=g.words,D=c.words,B=i.words,w=r.words,P=x.words,M=l.words,H,q,V,k,L,I,_,Q,J,ie;I=H=T[0],_=q=T[1],Q=V=T[2],J=k=T[3],ie=L=T[4];for(var U,A=0;A<80;A+=1)U=H+h[C+B[A]]|0,A<16?U+=m(q,V,k)+R[0]:A<32?U+=b(q,V,k)+R[1]:A<48?U+=v(q,V,k)+R[2]:A<64?U+=s(q,V,k)+R[3]:U+=f(q,V,k)+R[4],U=U|0,U=y(U,P[A]),U=U+L|0,H=L,L=k,k=y(V,10),V=q,q=U,U=I+h[C+w[A]]|0,A<16?U+=f(_,Q,J)+D[0]:A<32?U+=s(_,Q,J)+D[1]:A<48?U+=v(_,Q,J)+D[2]:A<64?U+=b(_,Q,J)+D[3]:U+=m(_,Q,J)+D[4],U=U|0,U=y(U,M[A]),U=U+ie|0,I=ie,ie=J,J=y(Q,10),Q=_,_=U;U=T[1]+V+J|0,T[1]=T[2]+k+ie|0,T[2]=T[3]+L+I|0,T[3]=T[4]+H+_|0,T[4]=T[0]+q+Q|0,T[0]=U},_doFinalize:function(){var h=this._data,C=h.words,A=this._nDataBytes*8,F=h.sigBytes*8;C[F>>>5]|=128<<24-F%32,C[(F+64>>>9<<4)+14]=(A<<8|A>>>24)&16711935|(A<<24|A>>>8)&4278255360,h.sigBytes=(C.length+1)*4,this._process();for(var S=this._hash,T=S.words,R=0;R<5;R++){var D=T[R];T[R]=(D<<8|D>>>24)&16711935|(D<<24|D>>>8)&4278255360}return S},clone:function(){var h=o.clone.call(this);return h._hash=this._hash.clone(),h}});function m(h,C,A){return h^C^A}function b(h,C,A){return h&C|~h&A}function v(h,C,A){return(h|~C)^A}function s(h,C,A){return h&A|C&~A}function f(h,C,A){return h^(C|~A)}function y(h,C){return h<<C|h>>>32-C}a.RIPEMD160=o._createHelper(p),a.HmacRIPEMD160=o._createHmacHelper(p)}(Math),e.RIPEMD160})});var p0=j((m0,xa)=>{(function(e,t){typeof m0=="object"?xa.exports=m0=t(Y()):typeof define=="function"&&define.amd?define(["./core"],t):t(e.CryptoJS)})(m0,function(e){(function(){var t=e,a=t.lib,n=a.Base,u=t.enc,o=u.Utf8,d=t.algo,i=d.HMAC=n.extend({init:function(r,x){r=this._hasher=new r.init,typeof x=="string"&&(x=o.parse(x));var l=r.blockSize,g=l*4;x.sigBytes>g&&(x=r.finalize(x)),x.clamp();for(var c=this._oKey=x.clone(),p=this._iKey=x.clone(),m=c.words,b=p.words,v=0;v<l;v++)m[v]^=1549556828,b[v]^=909522486;c.sigBytes=p.sigBytes=g,this.reset()},reset:function(){var r=this._hasher;r.reset(),r.update(this._iKey)},update:function(r){return this._hasher.update(r),this},finalize:function(r){var x=this._hasher,l=x.finalize(r);x.reset();var g=x.finalize(this._oKey.clone().concat(l));return g}})})()})});var da=j((v0,fa)=>{(function(e,t,a){typeof v0=="object"?fa.exports=v0=t(Y(),u0(),p0()):typeof define=="function"&&define.amd?define(["./core","./sha256","./hmac"],t):t(e.CryptoJS)})(v0,function(e){return function(){var t=e,a=t.lib,n=a.Base,u=a.WordArray,o=t.algo,d=o.SHA256,i=o.HMAC,r=o.PBKDF2=n.extend({cfg:n.extend({keySize:128/32,hasher:d,iterations:25e4}),init:function(x){this.cfg=this.cfg.extend(x)},compute:function(x,l){for(var g=this.cfg,c=i.create(g.hasher,x),p=u.create(),m=u.create([1]),b=p.words,v=m.words,s=g.keySize,f=g.iterations;b.length<s;){var y=c.update(l).finalize(m);c.reset();for(var h=y.words,C=h.length,A=y,F=1;F<f;F++){A=c.finalize(A),c.reset();for(var S=A.words,T=0;T<C;T++)h[T]^=S[T]}p.concat(y),v[0]++}return p.sigBytes=s*4,p}});t.PBKDF2=function(x,l,g){return r.create(g).compute(x,l)}}(),e.PBKDF2})});var pe=j((C0,ha)=>{(function(e,t,a){typeof C0=="object"?ha.exports=C0=t(Y(),et(),p0()):typeof define=="function"&&define.amd?define(["./core","./sha1","./hmac"],t):t(e.CryptoJS)})(C0,function(e){return function(){var t=e,a=t.lib,n=a.Base,u=a.WordArray,o=t.algo,d=o.MD5,i=o.EvpKDF=n.extend({cfg:n.extend({keySize:128/32,hasher:d,iterations:1}),init:function(r){this.cfg=this.cfg.extend(r)},compute:function(r,x){for(var l,g=this.cfg,c=g.hasher.create(),p=u.create(),m=p.words,b=g.keySize,v=g.iterations;m.length<b;){l&&c.update(l),l=c.update(r).finalize(x),c.reset();for(var s=1;s<v;s++)l=c.finalize(l),c.reset();p.concat(l)}return p.sigBytes=b*4,p}});t.EvpKDF=function(r,x,l){return i.create(l).compute(r,x)}}(),e.EvpKDF})});var Z=j((y0,ga)=>{(function(e,t,a){typeof y0=="object"?ga.exports=y0=t(Y(),pe()):typeof define=="function"&&define.amd?define(["./core","./evpkdf"],t):t(e.CryptoJS)})(y0,function(e){e.lib.Cipher||function(t){var a=e,n=a.lib,u=n.Base,o=n.WordArray,d=n.BufferedBlockAlgorithm,i=a.enc,r=i.Utf8,x=i.Base64,l=a.algo,g=l.EvpKDF,c=n.Cipher=d.extend({cfg:u.extend(),createEncryptor:function(D,B){return this.create(this._ENC_XFORM_MODE,D,B)},createDecryptor:function(D,B){return this.create(this._DEC_XFORM_MODE,D,B)},init:function(D,B,w){this.cfg=this.cfg.extend(w),this._xformMode=D,this._key=B,this.reset()},reset:function(){d.reset.call(this),this._doReset()},process:function(D){return this._append(D),this._process()},finalize:function(D){D&&this._append(D);var B=this._doFinalize();return B},keySize:128/32,ivSize:128/32,_ENC_XFORM_MODE:1,_DEC_XFORM_MODE:2,_createHelper:function(){function D(B){return typeof B=="string"?R:F}return function(B){return{encrypt:function(w,P,M){return D(P).encrypt(B,w,P,M)},decrypt:function(w,P,M){return D(P).decrypt(B,w,P,M)}}}}()}),p=n.StreamCipher=c.extend({_doFinalize:function(){var D=this._process(!0);return D},blockSize:1}),m=a.mode={},b=n.BlockCipherMode=u.extend({createEncryptor:function(D,B){return this.Encryptor.create(D,B)},createDecryptor:function(D,B){return this.Decryptor.create(D,B)},init:function(D,B){this._cipher=D,this._iv=B}}),v=m.CBC=function(){var D=b.extend();D.Encryptor=D.extend({processBlock:function(w,P){var M=this._cipher,H=M.blockSize;B.call(this,w,P,H),M.encryptBlock(w,P),this._prevBlock=w.slice(P,P+H)}}),D.Decryptor=D.extend({processBlock:function(w,P){var M=this._cipher,H=M.blockSize,q=w.slice(P,P+H);M.decryptBlock(w,P),B.call(this,w,P,H),this._prevBlock=q}});function B(w,P,M){var H,q=this._iv;q?(H=q,this._iv=t):H=this._prevBlock;for(var V=0;V<M;V++)w[P+V]^=H[V]}return D}(),s=a.pad={},f=s.Pkcs7={pad:function(D,B){for(var w=B*4,P=w-D.sigBytes%w,M=P<<24|P<<16|P<<8|P,H=[],q=0;q<P;q+=4)H.push(M);var V=o.create(H,P);D.concat(V)},unpad:function(D){var B=D.words[D.sigBytes-1>>>2]&255;D.sigBytes-=B}},y=n.BlockCipher=c.extend({cfg:c.cfg.extend({mode:v,padding:f}),reset:function(){var D;c.reset.call(this);var B=this.cfg,w=B.iv,P=B.mode;this._xformMode==this._ENC_XFORM_MODE?D=P.createEncryptor:(D=P.createDecryptor,this._minBufferSize=1),this._mode&&this._mode.__creator==D?this._mode.init(this,w&&w.words):(this._mode=D.call(P,this,w&&w.words),this._mode.__creator=D)},_doProcessBlock:function(D,B){this._mode.processBlock(D,B)},_doFinalize:function(){var D,B=this.cfg.padding;return this._xformMode==this._ENC_XFORM_MODE?(B.pad(this._data,this.blockSize),D=this._process(!0)):(D=this._process(!0),B.unpad(D)),D},blockSize:128/32}),h=n.CipherParams=u.extend({init:function(D){this.mixIn(D)},toString:function(D){return(D||this.formatter).stringify(this)}}),C=a.format={},A=C.OpenSSL={stringify:function(D){var B,w=D.ciphertext,P=D.salt;return P?B=o.create([1398893684,1701076831]).concat(P).concat(w):B=w,B.toString(x)},parse:function(D){var B,w=x.parse(D),P=w.words;return P[0]==1398893684&&P[1]==1701076831&&(B=o.create(P.slice(2,4)),P.splice(0,4),w.sigBytes-=16),h.create({ciphertext:w,salt:B})}},F=n.SerializableCipher=u.extend({cfg:u.extend({format:A}),encrypt:function(D,B,w,P){P=this.cfg.extend(P);var M=D.createEncryptor(w,P),H=M.finalize(B),q=M.cfg;return h.create({ciphertext:H,key:w,iv:q.iv,algorithm:D,mode:q.mode,padding:q.padding,blockSize:D.blockSize,formatter:P.format})},decrypt:function(D,B,w,P){P=this.cfg.extend(P),B=this._parse(B,P.format);var M=D.createDecryptor(w,P).finalize(B.ciphertext);return M},_parse:function(D,B){return typeof D=="string"?B.parse(D,this):D}}),S=a.kdf={},T=S.OpenSSL={execute:function(D,B,w,P,M){if(P||(P=o.random(64/8)),M)var H=g.create({keySize:B+w,hasher:M}).compute(D,P);else var H=g.create({keySize:B+w}).compute(D,P);var q=o.create(H.words.slice(B),w*4);return H.sigBytes=B*4,h.create({key:H,iv:q,salt:P})}},R=n.PasswordBasedCipher=F.extend({cfg:F.cfg.extend({kdf:T}),encrypt:function(D,B,w,P){P=this.cfg.extend(P);var M=P.kdf.execute(w,D.keySize,D.ivSize,P.salt,P.hasher);P.iv=M.iv;var H=F.encrypt.call(this,D,B,M.key,P);return H.mixIn(M),H},decrypt:function(D,B,w,P){P=this.cfg.extend(P),B=this._parse(B,P.format);var M=P.kdf.execute(w,D.keySize,D.ivSize,B.salt,P.hasher);P.iv=M.iv;var H=F.decrypt.call(this,D,B,M.key,P);return H}})}()})});var pa=j((b0,ma)=>{(function(e,t,a){typeof b0=="object"?ma.exports=b0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(b0,function(e){return e.mode.CFB=function(){var t=e.lib.BlockCipherMode.extend();t.Encryptor=t.extend({processBlock:function(n,u){var o=this._cipher,d=o.blockSize;a.call(this,n,u,d,o),this._prevBlock=n.slice(u,u+d)}}),t.Decryptor=t.extend({processBlock:function(n,u){var o=this._cipher,d=o.blockSize,i=n.slice(u,u+d);a.call(this,n,u,d,o),this._prevBlock=i}});function a(n,u,o,d){var i,r=this._iv;r?(i=r.slice(0),this._iv=void 0):i=this._prevBlock,d.encryptBlock(i,0);for(var x=0;x<o;x++)n[u+x]^=i[x]}return t}(),e.mode.CFB})});var Ca=j((A0,va)=>{(function(e,t,a){typeof A0=="object"?va.exports=A0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(A0,function(e){return e.mode.CTR=function(){var t=e.lib.BlockCipherMode.extend(),a=t.Encryptor=t.extend({processBlock:function(n,u){var o=this._cipher,d=o.blockSize,i=this._iv,r=this._counter;i&&(r=this._counter=i.slice(0),this._iv=void 0);var x=r.slice(0);o.encryptBlock(x,0),r[d-1]=r[d-1]+1|0;for(var l=0;l<d;l++)n[u+l]^=x[l]}});return t.Decryptor=a,t}(),e.mode.CTR})});var ba=j((D0,ya)=>{(function(e,t,a){typeof D0=="object"?ya.exports=D0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(D0,function(e){return e.mode.CTRGladman=function(){var t=e.lib.BlockCipherMode.extend();function a(o){if((o>>24&255)===255){var d=o>>16&255,i=o>>8&255,r=o&255;d===255?(d=0,i===255?(i=0,r===255?r=0:++r):++i):++d,o=0,o+=d<<16,o+=i<<8,o+=r}else o+=1<<24;return o}function n(o){return(o[0]=a(o[0]))===0&&(o[1]=a(o[1])),o}var u=t.Encryptor=t.extend({processBlock:function(o,d){var i=this._cipher,r=i.blockSize,x=this._iv,l=this._counter;x&&(l=this._counter=x.slice(0),this._iv=void 0),n(l);var g=l.slice(0);i.encryptBlock(g,0);for(var c=0;c<r;c++)o[d+c]^=g[c]}});return t.Decryptor=u,t}(),e.mode.CTRGladman})});var Da=j((B0,Aa)=>{(function(e,t,a){typeof B0=="object"?Aa.exports=B0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(B0,function(e){return e.mode.OFB=function(){var t=e.lib.BlockCipherMode.extend(),a=t.Encryptor=t.extend({processBlock:function(n,u){var o=this._cipher,d=o.blockSize,i=this._iv,r=this._keystream;i&&(r=this._keystream=i.slice(0),this._iv=void 0),o.encryptBlock(r,0);for(var x=0;x<d;x++)n[u+x]^=r[x]}});return t.Decryptor=a,t}(),e.mode.OFB})});var Sa=j((S0,Ba)=>{(function(e,t,a){typeof S0=="object"?Ba.exports=S0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(S0,function(e){return e.mode.ECB=function(){var t=e.lib.BlockCipherMode.extend();return t.Encryptor=t.extend({processBlock:function(a,n){this._cipher.encryptBlock(a,n)}}),t.Decryptor=t.extend({processBlock:function(a,n){this._cipher.decryptBlock(a,n)}}),t}(),e.mode.ECB})});var Fa=j((E0,Ea)=>{(function(e,t,a){typeof E0=="object"?Ea.exports=E0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(E0,function(e){return e.pad.AnsiX923={pad:function(t,a){var n=t.sigBytes,u=a*4,o=u-n%u,d=n+o-1;t.clamp(),t.words[d>>>2]|=o<<24-d%4*8,t.sigBytes+=o},unpad:function(t){var a=t.words[t.sigBytes-1>>>2]&255;t.sigBytes-=a}},e.pad.Ansix923})});var _a=j((F0,ka)=>{(function(e,t,a){typeof F0=="object"?ka.exports=F0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(F0,function(e){return e.pad.Iso10126={pad:function(t,a){var n=a*4,u=n-t.sigBytes%n;t.concat(e.lib.WordArray.random(u-1)).concat(e.lib.WordArray.create([u<<24],1))},unpad:function(t){var a=t.words[t.sigBytes-1>>>2]&255;t.sigBytes-=a}},e.pad.Iso10126})});var La=j((k0,wa)=>{(function(e,t,a){typeof k0=="object"?wa.exports=k0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(k0,function(e){return e.pad.Iso97971={pad:function(t,a){t.concat(e.lib.WordArray.create([2147483648],1)),e.pad.ZeroPadding.pad(t,a)},unpad:function(t){e.pad.ZeroPadding.unpad(t),t.sigBytes--}},e.pad.Iso97971})});var Ta=j((_0,Pa)=>{(function(e,t,a){typeof _0=="object"?Pa.exports=_0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(_0,function(e){return e.pad.ZeroPadding={pad:function(t,a){var n=a*4;t.clamp(),t.sigBytes+=n-(t.sigBytes%n||n)},unpad:function(t){for(var a=t.words,n=t.sigBytes-1,n=t.sigBytes-1;n>=0;n--)if(a[n>>>2]>>>24-n%4*8&255){t.sigBytes=n+1;break}}},e.pad.ZeroPadding})});var Na=j((w0,Ia)=>{(function(e,t,a){typeof w0=="object"?Ia.exports=w0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(w0,function(e){return e.pad.NoPadding={pad:function(){},unpad:function(){}},e.pad.NoPadding})});var za=j((L0,Ra)=>{(function(e,t,a){typeof L0=="object"?Ra.exports=L0=t(Y(),Z()):typeof define=="function"&&define.amd?define(["./core","./cipher-core"],t):t(e.CryptoJS)})(L0,function(e){return function(t){var a=e,n=a.lib,u=n.CipherParams,o=a.enc,d=o.Hex,i=a.format,r=i.Hex={stringify:function(x){return x.ciphertext.toString(d)},parse:function(x){var l=d.parse(x);return u.create({ciphertext:l})}}}(),e.format.Hex})});var Oa=j((P0,Ha)=>{(function(e,t,a){typeof P0=="object"?Ha.exports=P0=t(Y(),De(),Be(),pe(),Z()):typeof define=="function"&&define.amd?define(["./core","./enc-base64","./md5","./evpkdf","./cipher-core"],t):t(e.CryptoJS)})(P0,function(e){return function(){var t=e,a=t.lib,n=a.BlockCipher,u=t.algo,o=[],d=[],i=[],r=[],x=[],l=[],g=[],c=[],p=[],m=[];(function(){for(var s=[],f=0;f<256;f++)f<128?s[f]=f<<1:s[f]=f<<1^283;for(var y=0,h=0,f=0;f<256;f++){var C=h^h<<1^h<<2^h<<3^h<<4;C=C>>>8^C&255^99,o[y]=C,d[C]=y;var A=s[y],F=s[A],S=s[F],T=s[C]*257^C*16843008;i[y]=T<<24|T>>>8,r[y]=T<<16|T>>>16,x[y]=T<<8|T>>>24,l[y]=T;var T=S*16843009^F*65537^A*257^y*16843008;g[C]=T<<24|T>>>8,c[C]=T<<16|T>>>16,p[C]=T<<8|T>>>24,m[C]=T,y?(y=A^s[s[s[S^A]]],h^=s[s[h]]):y=h=1}})();var b=[0,1,2,4,8,16,32,64,128,27,54],v=u.AES=n.extend({_doReset:function(){var s;if(!(this._nRounds&&this._keyPriorReset===this._key)){for(var f=this._keyPriorReset=this._key,y=f.words,h=f.sigBytes/4,C=this._nRounds=h+6,A=(C+1)*4,F=this._keySchedule=[],S=0;S<A;S++)S<h?F[S]=y[S]:(s=F[S-1],S%h?h>6&&S%h==4&&(s=o[s>>>24]<<24|o[s>>>16&255]<<16|o[s>>>8&255]<<8|o[s&255]):(s=s<<8|s>>>24,s=o[s>>>24]<<24|o[s>>>16&255]<<16|o[s>>>8&255]<<8|o[s&255],s^=b[S/h|0]<<24),F[S]=F[S-h]^s);for(var T=this._invKeySchedule=[],R=0;R<A;R++){var S=A-R;if(R%4)var s=F[S];else var s=F[S-4];R<4||S<=4?T[R]=s:T[R]=g[o[s>>>24]]^c[o[s>>>16&255]]^p[o[s>>>8&255]]^m[o[s&255]]}}},encryptBlock:function(s,f){this._doCryptBlock(s,f,this._keySchedule,i,r,x,l,o)},decryptBlock:function(s,f){var y=s[f+1];s[f+1]=s[f+3],s[f+3]=y,this._doCryptBlock(s,f,this._invKeySchedule,g,c,p,m,d);var y=s[f+1];s[f+1]=s[f+3],s[f+3]=y},_doCryptBlock:function(s,f,y,h,C,A,F,S){for(var T=this._nRounds,R=s[f]^y[0],D=s[f+1]^y[1],B=s[f+2]^y[2],w=s[f+3]^y[3],P=4,M=1;M<T;M++){var H=h[R>>>24]^C[D>>>16&255]^A[B>>>8&255]^F[w&255]^y[P++],q=h[D>>>24]^C[B>>>16&255]^A[w>>>8&255]^F[R&255]^y[P++],V=h[B>>>24]^C[w>>>16&255]^A[R>>>8&255]^F[D&255]^y[P++],k=h[w>>>24]^C[R>>>16&255]^A[D>>>8&255]^F[B&255]^y[P++];R=H,D=q,B=V,w=k}var H=(S[R>>>24]<<24|S[D>>>16&255]<<16|S[B>>>8&255]<<8|S[w&255])^y[P++],q=(S[D>>>24]<<24|S[B>>>16&255]<<16|S[w>>>8&255]<<8|S[R&255])^y[P++],V=(S[B>>>24]<<24|S[w>>>16&255]<<16|S[R>>>8&255]<<8|S[D&255])^y[P++],k=(S[w>>>24]<<24|S[R>>>16&255]<<16|S[D>>>8&255]<<8|S[B&255])^y[P++];s[f]=H,s[f+1]=q,s[f+2]=V,s[f+3]=k},keySize:256/32});t.AES=n._createHelper(v)}(),e.AES})});var Wa=j((T0,Ma)=>{(function(e,t,a){typeof T0=="object"?Ma.exports=T0=t(Y(),De(),Be(),pe(),Z()):typeof define=="function"&&define.amd?define(["./core","./enc-base64","./md5","./evpkdf","./cipher-core"],t):t(e.CryptoJS)})(T0,function(e){return function(){var t=e,a=t.lib,n=a.WordArray,u=a.BlockCipher,o=t.algo,d=[57,49,41,33,25,17,9,1,58,50,42,34,26,18,10,2,59,51,43,35,27,19,11,3,60,52,44,36,63,55,47,39,31,23,15,7,62,54,46,38,30,22,14,6,61,53,45,37,29,21,13,5,28,20,12,4],i=[14,17,11,24,1,5,3,28,15,6,21,10,23,19,12,4,26,8,16,7,27,20,13,2,41,52,31,37,47,55,30,40,51,45,33,48,44,49,39,56,34,53,46,42,50,36,29,32],r=[1,2,4,6,8,10,12,14,15,17,19,21,23,25,27,28],x=[{0:8421888,268435456:32768,536870912:8421378,805306368:2,1073741824:512,1342177280:8421890,1610612736:8389122,1879048192:8388608,2147483648:514,2415919104:8389120,2684354560:33280,2952790016:8421376,3221225472:32770,3489660928:8388610,3758096384:0,4026531840:33282,134217728:0,402653184:8421890,671088640:33282,939524096:32768,1207959552:8421888,1476395008:512,1744830464:8421378,2013265920:2,2281701376:8389120,2550136832:33280,2818572288:8421376,3087007744:8389122,3355443200:8388610,3623878656:32770,3892314112:514,4160749568:8388608,1:32768,268435457:2,536870913:8421888,805306369:8388608,1073741825:8421378,1342177281:33280,1610612737:512,1879048193:8389122,2147483649:8421890,2415919105:8421376,2684354561:8388610,2952790017:33282,3221225473:514,3489660929:8389120,3758096385:32770,4026531841:0,134217729:8421890,402653185:8421376,671088641:8388608,939524097:512,1207959553:32768,1476395009:8388610,1744830465:2,2013265921:33282,2281701377:32770,2550136833:8389122,2818572289:514,3087007745:8421888,3355443201:8389120,3623878657:0,3892314113:33280,4160749569:8421378},{0:1074282512,16777216:16384,33554432:524288,50331648:1074266128,67108864:1073741840,83886080:1074282496,100663296:1073758208,117440512:16,134217728:540672,150994944:1073758224,167772160:1073741824,184549376:540688,201326592:524304,218103808:0,234881024:16400,251658240:1074266112,8388608:1073758208,25165824:540688,41943040:16,58720256:1073758224,75497472:1074282512,92274688:1073741824,109051904:524288,125829120:1074266128,142606336:524304,159383552:0,176160768:16384,192937984:1074266112,209715200:1073741840,226492416:540672,243269632:1074282496,260046848:16400,268435456:0,285212672:1074266128,301989888:1073758224,318767104:1074282496,335544320:1074266112,352321536:16,369098752:540688,385875968:16384,402653184:16400,419430400:524288,436207616:524304,452984832:1073741840,469762048:540672,486539264:1073758208,503316480:1073741824,520093696:1074282512,276824064:540688,293601280:524288,310378496:1074266112,327155712:16384,343932928:1073758208,360710144:1074282512,377487360:16,394264576:1073741824,411041792:1074282496,427819008:1073741840,444596224:1073758224,461373440:524304,478150656:0,494927872:16400,511705088:1074266128,528482304:540672},{0:260,1048576:0,2097152:67109120,3145728:65796,4194304:65540,5242880:67108868,6291456:67174660,7340032:67174400,8388608:67108864,9437184:67174656,10485760:65792,11534336:67174404,12582912:67109124,13631488:65536,14680064:4,15728640:256,524288:67174656,1572864:67174404,2621440:0,3670016:67109120,4718592:67108868,5767168:65536,6815744:65540,7864320:260,8912896:4,9961472:256,11010048:67174400,12058624:65796,13107200:65792,14155776:67109124,15204352:67174660,16252928:67108864,16777216:67174656,17825792:65540,18874368:65536,19922944:67109120,20971520:256,22020096:67174660,23068672:67108868,24117248:0,25165824:67109124,26214400:67108864,27262976:4,28311552:65792,29360128:67174400,30408704:260,31457280:65796,32505856:67174404,17301504:67108864,18350080:260,19398656:67174656,20447232:0,21495808:65540,22544384:67109120,23592960:256,24641536:67174404,25690112:65536,26738688:67174660,27787264:65796,28835840:67108868,29884416:67109124,30932992:67174400,31981568:4,33030144:65792},{0:2151682048,65536:2147487808,131072:4198464,196608:2151677952,262144:0,327680:4198400,393216:2147483712,458752:4194368,524288:2147483648,589824:4194304,655360:64,720896:2147487744,786432:2151678016,851968:4160,917504:4096,983040:2151682112,32768:2147487808,98304:64,163840:2151678016,229376:2147487744,294912:4198400,360448:2151682112,425984:0,491520:2151677952,557056:4096,622592:2151682048,688128:4194304,753664:4160,819200:2147483648,884736:4194368,950272:4198464,1015808:2147483712,1048576:4194368,1114112:4198400,1179648:2147483712,1245184:0,1310720:4160,1376256:2151678016,1441792:2151682048,1507328:2147487808,1572864:2151682112,1638400:2147483648,1703936:2151677952,1769472:4198464,1835008:2147487744,1900544:4194304,1966080:64,2031616:4096,1081344:2151677952,1146880:2151682112,1212416:0,1277952:4198400,1343488:4194368,1409024:2147483648,1474560:2147487808,1540096:64,1605632:2147483712,1671168:4096,1736704:2147487744,1802240:2151678016,1867776:4160,1933312:2151682048,1998848:4194304,2064384:4198464},{0:128,4096:17039360,8192:262144,12288:536870912,16384:537133184,20480:16777344,24576:553648256,28672:262272,32768:16777216,36864:537133056,40960:536871040,45056:553910400,49152:553910272,53248:0,57344:17039488,61440:553648128,2048:17039488,6144:553648256,10240:128,14336:17039360,18432:262144,22528:537133184,26624:553910272,30720:536870912,34816:537133056,38912:0,43008:553910400,47104:16777344,51200:536871040,55296:553648128,59392:16777216,63488:262272,65536:262144,69632:128,73728:536870912,77824:553648256,81920:16777344,86016:553910272,90112:537133184,94208:16777216,98304:553910400,102400:553648128,106496:17039360,110592:537133056,114688:262272,118784:536871040,122880:0,126976:17039488,67584:553648256,71680:16777216,75776:17039360,79872:537133184,83968:536870912,88064:17039488,92160:128,96256:553910272,100352:262272,104448:553910400,108544:0,112640:553648128,116736:16777344,120832:262144,124928:537133056,129024:536871040},{0:268435464,256:8192,512:270532608,768:270540808,1024:268443648,1280:2097152,1536:2097160,1792:268435456,2048:0,2304:268443656,2560:2105344,2816:8,3072:270532616,3328:2105352,3584:8200,3840:270540800,128:270532608,384:270540808,640:8,896:2097152,1152:2105352,1408:268435464,1664:268443648,1920:8200,2176:2097160,2432:8192,2688:268443656,2944:270532616,3200:0,3456:270540800,3712:2105344,3968:268435456,4096:268443648,4352:270532616,4608:270540808,4864:8200,5120:2097152,5376:268435456,5632:268435464,5888:2105344,6144:2105352,6400:0,6656:8,6912:270532608,7168:8192,7424:268443656,7680:270540800,7936:2097160,4224:8,4480:2105344,4736:2097152,4992:268435464,5248:268443648,5504:8200,5760:270540808,6016:270532608,6272:270540800,6528:270532616,6784:8192,7040:2105352,7296:2097160,7552:0,7808:268435456,8064:268443656},{0:1048576,16:33555457,32:1024,48:1049601,64:34604033,80:0,96:1,112:34603009,128:33555456,144:1048577,160:33554433,176:34604032,192:34603008,208:1025,224:1049600,240:33554432,8:34603009,24:0,40:33555457,56:34604032,72:1048576,88:33554433,104:33554432,120:1025,136:1049601,152:33555456,168:34603008,184:1048577,200:1024,216:34604033,232:1,248:1049600,256:33554432,272:1048576,288:33555457,304:34603009,320:1048577,336:33555456,352:34604032,368:1049601,384:1025,400:34604033,416:1049600,432:1,448:0,464:34603008,480:33554433,496:1024,264:1049600,280:33555457,296:34603009,312:1,328:33554432,344:1048576,360:1025,376:34604032,392:33554433,408:34603008,424:0,440:34604033,456:1049601,472:1024,488:33555456,504:1048577},{0:134219808,1:131072,2:134217728,3:32,4:131104,5:134350880,6:134350848,7:2048,8:134348800,9:134219776,10:133120,11:134348832,12:2080,13:0,14:134217760,15:133152,2147483648:2048,2147483649:134350880,2147483650:134219808,2147483651:134217728,2147483652:134348800,2147483653:133120,2147483654:133152,2147483655:32,2147483656:134217760,2147483657:2080,2147483658:131104,2147483659:134350848,2147483660:0,2147483661:134348832,2147483662:134219776,2147483663:131072,16:133152,17:134350848,18:32,19:2048,20:134219776,21:134217760,22:134348832,23:131072,24:0,25:131104,26:134348800,27:134219808,28:134350880,29:133120,30:2080,31:134217728,2147483664:131072,2147483665:2048,2147483666:134348832,2147483667:133152,2147483668:32,2147483669:134348800,2147483670:134217728,2147483671:134219808,2147483672:134350880,2147483673:134217760,2147483674:134219776,2147483675:0,2147483676:133120,2147483677:2080,2147483678:131104,2147483679:134350848}],l=[4160749569,528482304,33030144,2064384,129024,8064,504,2147483679],g=o.DES=u.extend({_doReset:function(){for(var b=this._key,v=b.words,s=[],f=0;f<56;f++){var y=d[f]-1;s[f]=v[y>>>5]>>>31-y%32&1}for(var h=this._subKeys=[],C=0;C<16;C++){for(var A=h[C]=[],F=r[C],f=0;f<24;f++)A[f/6|0]|=s[(i[f]-1+F)%28]<<31-f%6,A[4+(f/6|0)]|=s[28+(i[f+24]-1+F)%28]<<31-f%6;A[0]=A[0]<<1|A[0]>>>31;for(var f=1;f<7;f++)A[f]=A[f]>>>(f-1)*4+3;A[7]=A[7]<<5|A[7]>>>27}for(var S=this._invSubKeys=[],f=0;f<16;f++)S[f]=h[15-f]},encryptBlock:function(b,v){this._doCryptBlock(b,v,this._subKeys)},decryptBlock:function(b,v){this._doCryptBlock(b,v,this._invSubKeys)},_doCryptBlock:function(b,v,s){this._lBlock=b[v],this._rBlock=b[v+1],c.call(this,4,252645135),c.call(this,16,65535),p.call(this,2,858993459),p.call(this,8,16711935),c.call(this,1,1431655765);for(var f=0;f<16;f++){for(var y=s[f],h=this._lBlock,C=this._rBlock,A=0,F=0;F<8;F++)A|=x[F][((C^y[F])&l[F])>>>0];this._lBlock=C,this._rBlock=h^A}var S=this._lBlock;this._lBlock=this._rBlock,this._rBlock=S,c.call(this,1,1431655765),p.call(this,8,16711935),p.call(this,2,858993459),c.call(this,16,65535),c.call(this,4,252645135),b[v]=this._lBlock,b[v+1]=this._rBlock},keySize:64/32,ivSize:64/32,blockSize:64/32});function c(b,v){var s=(this._lBlock>>>b^this._rBlock)&v;this._rBlock^=s,this._lBlock^=s<<b}function p(b,v){var s=(this._rBlock>>>b^this._lBlock)&v;this._lBlock^=s,this._rBlock^=s<<b}t.DES=u._createHelper(g);var m=o.TripleDES=u.extend({_doReset:function(){var b=this._key,v=b.words;if(v.length!==2&&v.length!==4&&v.length<6)throw new Error("Invalid key length - 3DES requires the key length to be 64, 128, 192 or >192.");var s=v.slice(0,2),f=v.length<4?v.slice(0,2):v.slice(2,4),y=v.length<6?v.slice(0,2):v.slice(4,6);this._des1=g.createEncryptor(n.create(s)),this._des2=g.createEncryptor(n.create(f)),this._des3=g.createEncryptor(n.create(y))},encryptBlock:function(b,v){this._des1.encryptBlock(b,v),this._des2.decryptBlock(b,v),this._des3.encryptBlock(b,v)},decryptBlock:function(b,v){this._des3.decryptBlock(b,v),this._des2.encryptBlock(b,v),this._des1.decryptBlock(b,v)},keySize:192/32,ivSize:64/32,blockSize:64/32});t.TripleDES=u._createHelper(m)}(),e.TripleDES})});var Ua=j((I0,qa)=>{(function(e,t,a){typeof I0=="object"?qa.exports=I0=t(Y(),De(),Be(),pe(),Z()):typeof define=="function"&&define.amd?define(["./core","./enc-base64","./md5","./evpkdf","./cipher-core"],t):t(e.CryptoJS)})(I0,function(e){return function(){var t=e,a=t.lib,n=a.StreamCipher,u=t.algo,o=u.RC4=n.extend({_doReset:function(){for(var r=this._key,x=r.words,l=r.sigBytes,g=this._S=[],c=0;c<256;c++)g[c]=c;for(var c=0,p=0;c<256;c++){var m=c%l,b=x[m>>>2]>>>24-m%4*8&255;p=(p+g[c]+b)%256;var v=g[c];g[c]=g[p],g[p]=v}this._i=this._j=0},_doProcessBlock:function(r,x){r[x]^=d.call(this)},keySize:256/32,ivSize:0});function d(){for(var r=this._S,x=this._i,l=this._j,g=0,c=0;c<4;c++){x=(x+1)%256,l=(l+r[x])%256;var p=r[x];r[x]=r[l],r[l]=p,g|=r[(r[x]+r[l])%256]<<24-c*8}return this._i=x,this._j=l,g}t.RC4=n._createHelper(o);var i=u.RC4Drop=o.extend({cfg:o.cfg.extend({drop:192}),_doReset:function(){o._doReset.call(this);for(var r=this.cfg.drop;r>0;r--)d.call(this)}});t.RC4Drop=n._createHelper(i)}(),e.RC4})});var Va=j((N0,ja)=>{(function(e,t,a){typeof N0=="object"?ja.exports=N0=t(Y(),De(),Be(),pe(),Z()):typeof define=="function"&&define.amd?define(["./core","./enc-base64","./md5","./evpkdf","./cipher-core"],t):t(e.CryptoJS)})(N0,function(e){return function(){var t=e,a=t.lib,n=a.StreamCipher,u=t.algo,o=[],d=[],i=[],r=u.Rabbit=n.extend({_doReset:function(){for(var l=this._key.words,g=this.cfg.iv,c=0;c<4;c++)l[c]=(l[c]<<8|l[c]>>>24)&16711935|(l[c]<<24|l[c]>>>8)&4278255360;var p=this._X=[l[0],l[3]<<16|l[2]>>>16,l[1],l[0]<<16|l[3]>>>16,l[2],l[1]<<16|l[0]>>>16,l[3],l[2]<<16|l[1]>>>16],m=this._C=[l[2]<<16|l[2]>>>16,l[0]&4294901760|l[1]&65535,l[3]<<16|l[3]>>>16,l[1]&4294901760|l[2]&65535,l[0]<<16|l[0]>>>16,l[2]&4294901760|l[3]&65535,l[1]<<16|l[1]>>>16,l[3]&4294901760|l[0]&65535];this._b=0;for(var c=0;c<4;c++)x.call(this);for(var c=0;c<8;c++)m[c]^=p[c+4&7];if(g){var b=g.words,v=b[0],s=b[1],f=(v<<8|v>>>24)&16711935|(v<<24|v>>>8)&4278255360,y=(s<<8|s>>>24)&16711935|(s<<24|s>>>8)&4278255360,h=f>>>16|y&4294901760,C=y<<16|f&65535;m[0]^=f,m[1]^=h,m[2]^=y,m[3]^=C,m[4]^=f,m[5]^=h,m[6]^=y,m[7]^=C;for(var c=0;c<4;c++)x.call(this)}},_doProcessBlock:function(l,g){var c=this._X;x.call(this),o[0]=c[0]^c[5]>>>16^c[3]<<16,o[1]=c[2]^c[7]>>>16^c[5]<<16,o[2]=c[4]^c[1]>>>16^c[7]<<16,o[3]=c[6]^c[3]>>>16^c[1]<<16;for(var p=0;p<4;p++)o[p]=(o[p]<<8|o[p]>>>24)&16711935|(o[p]<<24|o[p]>>>8)&4278255360,l[g+p]^=o[p]},blockSize:128/32,ivSize:64/32});function x(){for(var l=this._X,g=this._C,c=0;c<8;c++)d[c]=g[c];g[0]=g[0]+1295307597+this._b|0,g[1]=g[1]+3545052371+(g[0]>>>0<d[0]>>>0?1:0)|0,g[2]=g[2]+886263092+(g[1]>>>0<d[1]>>>0?1:0)|0,g[3]=g[3]+1295307597+(g[2]>>>0<d[2]>>>0?1:0)|0,g[4]=g[4]+3545052371+(g[3]>>>0<d[3]>>>0?1:0)|0,g[5]=g[5]+886263092+(g[4]>>>0<d[4]>>>0?1:0)|0,g[6]=g[6]+1295307597+(g[5]>>>0<d[5]>>>0?1:0)|0,g[7]=g[7]+3545052371+(g[6]>>>0<d[6]>>>0?1:0)|0,this._b=g[7]>>>0<d[7]>>>0?1:0;for(var c=0;c<8;c++){var p=l[c]+g[c],m=p&65535,b=p>>>16,v=((m*m>>>17)+m*b>>>15)+b*b,s=((p&4294901760)*p|0)+((p&65535)*p|0);i[c]=v^s}l[0]=i[0]+(i[7]<<16|i[7]>>>16)+(i[6]<<16|i[6]>>>16)|0,l[1]=i[1]+(i[0]<<8|i[0]>>>24)+i[7]|0,l[2]=i[2]+(i[1]<<16|i[1]>>>16)+(i[0]<<16|i[0]>>>16)|0,l[3]=i[3]+(i[2]<<8|i[2]>>>24)+i[1]|0,l[4]=i[4]+(i[3]<<16|i[3]>>>16)+(i[2]<<16|i[2]>>>16)|0,l[5]=i[5]+(i[4]<<8|i[4]>>>24)+i[3]|0,l[6]=i[6]+(i[5]<<16|i[5]>>>16)+(i[4]<<16|i[4]>>>16)|0,l[7]=i[7]+(i[6]<<8|i[6]>>>24)+i[5]|0}t.Rabbit=n._createHelper(r)}(),e.Rabbit})});var Ya=j((R0,Ga)=>{(function(e,t,a){typeof R0=="object"?Ga.exports=R0=t(Y(),De(),Be(),pe(),Z()):typeof define=="function"&&define.amd?define(["./core","./enc-base64","./md5","./evpkdf","./cipher-core"],t):t(e.CryptoJS)})(R0,function(e){return function(){var t=e,a=t.lib,n=a.StreamCipher,u=t.algo,o=[],d=[],i=[],r=u.RabbitLegacy=n.extend({_doReset:function(){var l=this._key.words,g=this.cfg.iv,c=this._X=[l[0],l[3]<<16|l[2]>>>16,l[1],l[0]<<16|l[3]>>>16,l[2],l[1]<<16|l[0]>>>16,l[3],l[2]<<16|l[1]>>>16],p=this._C=[l[2]<<16|l[2]>>>16,l[0]&4294901760|l[1]&65535,l[3]<<16|l[3]>>>16,l[1]&4294901760|l[2]&65535,l[0]<<16|l[0]>>>16,l[2]&4294901760|l[3]&65535,l[1]<<16|l[1]>>>16,l[3]&4294901760|l[0]&65535];this._b=0;for(var m=0;m<4;m++)x.call(this);for(var m=0;m<8;m++)p[m]^=c[m+4&7];if(g){var b=g.words,v=b[0],s=b[1],f=(v<<8|v>>>24)&16711935|(v<<24|v>>>8)&4278255360,y=(s<<8|s>>>24)&16711935|(s<<24|s>>>8)&4278255360,h=f>>>16|y&4294901760,C=y<<16|f&65535;p[0]^=f,p[1]^=h,p[2]^=y,p[3]^=C,p[4]^=f,p[5]^=h,p[6]^=y,p[7]^=C;for(var m=0;m<4;m++)x.call(this)}},_doProcessBlock:function(l,g){var c=this._X;x.call(this),o[0]=c[0]^c[5]>>>16^c[3]<<16,o[1]=c[2]^c[7]>>>16^c[5]<<16,o[2]=c[4]^c[1]>>>16^c[7]<<16,o[3]=c[6]^c[3]>>>16^c[1]<<16;for(var p=0;p<4;p++)o[p]=(o[p]<<8|o[p]>>>24)&16711935|(o[p]<<24|o[p]>>>8)&4278255360,l[g+p]^=o[p]},blockSize:128/32,ivSize:64/32});function x(){for(var l=this._X,g=this._C,c=0;c<8;c++)d[c]=g[c];g[0]=g[0]+1295307597+this._b|0,g[1]=g[1]+3545052371+(g[0]>>>0<d[0]>>>0?1:0)|0,g[2]=g[2]+886263092+(g[1]>>>0<d[1]>>>0?1:0)|0,g[3]=g[3]+1295307597+(g[2]>>>0<d[2]>>>0?1:0)|0,g[4]=g[4]+3545052371+(g[3]>>>0<d[3]>>>0?1:0)|0,g[5]=g[5]+886263092+(g[4]>>>0<d[4]>>>0?1:0)|0,g[6]=g[6]+1295307597+(g[5]>>>0<d[5]>>>0?1:0)|0,g[7]=g[7]+3545052371+(g[6]>>>0<d[6]>>>0?1:0)|0,this._b=g[7]>>>0<d[7]>>>0?1:0;for(var c=0;c<8;c++){var p=l[c]+g[c],m=p&65535,b=p>>>16,v=((m*m>>>17)+m*b>>>15)+b*b,s=((p&4294901760)*p|0)+((p&65535)*p|0);i[c]=v^s}l[0]=i[0]+(i[7]<<16|i[7]>>>16)+(i[6]<<16|i[6]>>>16)|0,l[1]=i[1]+(i[0]<<8|i[0]>>>24)+i[7]|0,l[2]=i[2]+(i[1]<<16|i[1]>>>16)+(i[0]<<16|i[0]>>>16)|0,l[3]=i[3]+(i[2]<<8|i[2]>>>24)+i[1]|0,l[4]=i[4]+(i[3]<<16|i[3]>>>16)+(i[2]<<16|i[2]>>>16)|0,l[5]=i[5]+(i[4]<<8|i[4]>>>24)+i[3]|0,l[6]=i[6]+(i[5]<<16|i[5]>>>16)+(i[4]<<16|i[4]>>>16)|0,l[7]=i[7]+(i[6]<<8|i[6]>>>24)+i[5]|0}t.RabbitLegacy=n._createHelper(r)}(),e.RabbitLegacy})});var $a=j((z0,Ka)=>{(function(e,t,a){typeof z0=="object"?Ka.exports=z0=t(Y(),De(),Be(),pe(),Z()):typeof define=="function"&&define.amd?define(["./core","./enc-base64","./md5","./evpkdf","./cipher-core"],t):t(e.CryptoJS)})(z0,function(e){return function(){var t=e,a=t.lib,n=a.BlockCipher,u=t.algo;let o=16,d=[608135816,2242054355,320440878,57701188,2752067618,698298832,137296536,3964562569,1160258022,953160567,3193202383,887688300,3232508343,3380367581,1065670069,3041331479,2450970073,2306472731],i=[[3509652390,2564797868,805139163,3491422135,3101798381,1780907670,3128725573,4046225305,614570311,3012652279,134345442,2240740374,1667834072,1901547113,2757295779,4103290238,227898511,1921955416,1904987480,2182433518,2069144605,3260701109,2620446009,720527379,3318853667,677414384,3393288472,3101374703,2390351024,1614419982,1822297739,2954791486,3608508353,3174124327,2024746970,1432378464,3864339955,2857741204,1464375394,1676153920,1439316330,715854006,3033291828,289532110,2706671279,2087905683,3018724369,1668267050,732546397,1947742710,3462151702,2609353502,2950085171,1814351708,2050118529,680887927,999245976,1800124847,3300911131,1713906067,1641548236,4213287313,1216130144,1575780402,4018429277,3917837745,3693486850,3949271944,596196993,3549867205,258830323,2213823033,772490370,2760122372,1774776394,2652871518,566650946,4142492826,1728879713,2882767088,1783734482,3629395816,2517608232,2874225571,1861159788,326777828,3124490320,2130389656,2716951837,967770486,1724537150,2185432712,2364442137,1164943284,2105845187,998989502,3765401048,2244026483,1075463327,1455516326,1322494562,910128902,469688178,1117454909,936433444,3490320968,3675253459,1240580251,122909385,2157517691,634681816,4142456567,3825094682,3061402683,2540495037,79693498,3249098678,1084186820,1583128258,426386531,1761308591,1047286709,322548459,995290223,1845252383,2603652396,3431023940,2942221577,3202600964,3727903485,1712269319,422464435,3234572375,1170764815,3523960633,3117677531,1434042557,442511882,3600875718,1076654713,1738483198,4213154764,2393238008,3677496056,1014306527,4251020053,793779912,2902807211,842905082,4246964064,1395751752,1040244610,2656851899,3396308128,445077038,3742853595,3577915638,679411651,2892444358,2354009459,1767581616,3150600392,3791627101,3102740896,284835224,4246832056,1258075500,768725851,2589189241,3069724005,3532540348,1274779536,3789419226,2764799539,1660621633,3471099624,4011903706,913787905,3497959166,737222580,2514213453,2928710040,3937242737,1804850592,3499020752,2949064160,2386320175,2390070455,2415321851,4061277028,2290661394,2416832540,1336762016,1754252060,3520065937,3014181293,791618072,3188594551,3933548030,2332172193,3852520463,3043980520,413987798,3465142937,3030929376,4245938359,2093235073,3534596313,375366246,2157278981,2479649556,555357303,3870105701,2008414854,3344188149,4221384143,3956125452,2067696032,3594591187,2921233993,2428461,544322398,577241275,1471733935,610547355,4027169054,1432588573,1507829418,2025931657,3646575487,545086370,48609733,2200306550,1653985193,298326376,1316178497,3007786442,2064951626,458293330,2589141269,3591329599,3164325604,727753846,2179363840,146436021,1461446943,4069977195,705550613,3059967265,3887724982,4281599278,3313849956,1404054877,2845806497,146425753,1854211946],[1266315497,3048417604,3681880366,3289982499,290971e4,1235738493,2632868024,2414719590,3970600049,1771706367,1449415276,3266420449,422970021,1963543593,2690192192,3826793022,1062508698,1531092325,1804592342,2583117782,2714934279,4024971509,1294809318,4028980673,1289560198,2221992742,1669523910,35572830,157838143,1052438473,1016535060,1802137761,1753167236,1386275462,3080475397,2857371447,1040679964,2145300060,2390574316,1461121720,2956646967,4031777805,4028374788,33600511,2920084762,1018524850,629373528,3691585981,3515945977,2091462646,2486323059,586499841,988145025,935516892,3367335476,2599673255,2839830854,265290510,3972581182,2759138881,3795373465,1005194799,847297441,406762289,1314163512,1332590856,1866599683,4127851711,750260880,613907577,1450815602,3165620655,3734664991,3650291728,3012275730,3704569646,1427272223,778793252,1343938022,2676280711,2052605720,1946737175,3164576444,3914038668,3967478842,3682934266,1661551462,3294938066,4011595847,840292616,3712170807,616741398,312560963,711312465,1351876610,322626781,1910503582,271666773,2175563734,1594956187,70604529,3617834859,1007753275,1495573769,4069517037,2549218298,2663038764,504708206,2263041392,3941167025,2249088522,1514023603,1998579484,1312622330,694541497,2582060303,2151582166,1382467621,776784248,2618340202,3323268794,2497899128,2784771155,503983604,4076293799,907881277,423175695,432175456,1378068232,4145222326,3954048622,3938656102,3820766613,2793130115,2977904593,26017576,3274890735,3194772133,1700274565,1756076034,4006520079,3677328699,720338349,1533947780,354530856,688349552,3973924725,1637815568,332179504,3949051286,53804574,2852348879,3044236432,1282449977,3583942155,3416972820,4006381244,1617046695,2628476075,3002303598,1686838959,431878346,2686675385,1700445008,1080580658,1009431731,832498133,3223435511,2605976345,2271191193,2516031870,1648197032,4164389018,2548247927,300782431,375919233,238389289,3353747414,2531188641,2019080857,1475708069,455242339,2609103871,448939670,3451063019,1395535956,2413381860,1841049896,1491858159,885456874,4264095073,4001119347,1565136089,3898914787,1108368660,540939232,1173283510,2745871338,3681308437,4207628240,3343053890,4016749493,1699691293,1103962373,3625875870,2256883143,3830138730,1031889488,3479347698,1535977030,4236805024,3251091107,2132092099,1774941330,1199868427,1452454533,157007616,2904115357,342012276,595725824,1480756522,206960106,497939518,591360097,863170706,2375253569,3596610801,1814182875,2094937945,3421402208,1082520231,3463918190,2785509508,435703966,3908032597,1641649973,2842273706,3305899714,1510255612,2148256476,2655287854,3276092548,4258621189,236887753,3681803219,274041037,1734335097,3815195456,3317970021,1899903192,1026095262,4050517792,356393447,2410691914,3873677099,3682840055],[3913112168,2491498743,4132185628,2489919796,1091903735,1979897079,3170134830,3567386728,3557303409,857797738,1136121015,1342202287,507115054,2535736646,337727348,3213592640,1301675037,2528481711,1895095763,1721773893,3216771564,62756741,2142006736,835421444,2531993523,1442658625,3659876326,2882144922,676362277,1392781812,170690266,3921047035,1759253602,3611846912,1745797284,664899054,1329594018,3901205900,3045908486,2062866102,2865634940,3543621612,3464012697,1080764994,553557557,3656615353,3996768171,991055499,499776247,1265440854,648242737,3940784050,980351604,3713745714,1749149687,3396870395,4211799374,3640570775,1161844396,3125318951,1431517754,545492359,4268468663,3499529547,1437099964,2702547544,3433638243,2581715763,2787789398,1060185593,1593081372,2418618748,4260947970,69676912,2159744348,86519011,2512459080,3838209314,1220612927,3339683548,133810670,1090789135,1078426020,1569222167,845107691,3583754449,4072456591,1091646820,628848692,1613405280,3757631651,526609435,236106946,48312990,2942717905,3402727701,1797494240,859738849,992217954,4005476642,2243076622,3870952857,3732016268,765654824,3490871365,2511836413,1685915746,3888969200,1414112111,2273134842,3281911079,4080962846,172450625,2569994100,980381355,4109958455,2819808352,2716589560,2568741196,3681446669,3329971472,1835478071,660984891,3704678404,4045999559,3422617507,3040415634,1762651403,1719377915,3470491036,2693910283,3642056355,3138596744,1364962596,2073328063,1983633131,926494387,3423689081,2150032023,4096667949,1749200295,3328846651,309677260,2016342300,1779581495,3079819751,111262694,1274766160,443224088,298511866,1025883608,3806446537,1145181785,168956806,3641502830,3584813610,1689216846,3666258015,3200248200,1692713982,2646376535,4042768518,1618508792,1610833997,3523052358,4130873264,2001055236,3610705100,2202168115,4028541809,2961195399,1006657119,2006996926,3186142756,1430667929,3210227297,1314452623,4074634658,4101304120,2273951170,1399257539,3367210612,3027628629,1190975929,2062231137,2333990788,2221543033,2438960610,1181637006,548689776,2362791313,3372408396,3104550113,3145860560,296247880,1970579870,3078560182,3769228297,1714227617,3291629107,3898220290,166772364,1251581989,493813264,448347421,195405023,2709975567,677966185,3703036547,1463355134,2715995803,1338867538,1343315457,2802222074,2684532164,233230375,2599980071,2000651841,3277868038,1638401717,4028070440,3237316320,6314154,819756386,300326615,590932579,1405279636,3267499572,3150704214,2428286686,3959192993,3461946742,1862657033,1266418056,963775037,2089974820,2263052895,1917689273,448879540,3550394620,3981727096,150775221,3627908307,1303187396,508620638,2975983352,2726630617,1817252668,1876281319,1457606340,908771278,3720792119,3617206836,2455994898,1729034894,1080033504],[976866871,3556439503,2881648439,1522871579,1555064734,1336096578,3548522304,2579274686,3574697629,3205460757,3593280638,3338716283,3079412587,564236357,2993598910,1781952180,1464380207,3163844217,3332601554,1699332808,1393555694,1183702653,3581086237,1288719814,691649499,2847557200,2895455976,3193889540,2717570544,1781354906,1676643554,2592534050,3230253752,1126444790,2770207658,2633158820,2210423226,2615765581,2414155088,3127139286,673620729,2805611233,1269405062,4015350505,3341807571,4149409754,1057255273,2012875353,2162469141,2276492801,2601117357,993977747,3918593370,2654263191,753973209,36408145,2530585658,25011837,3520020182,2088578344,530523599,2918365339,1524020338,1518925132,3760827505,3759777254,1202760957,3985898139,3906192525,674977740,4174734889,2031300136,2019492241,3983892565,4153806404,3822280332,352677332,2297720250,60907813,90501309,3286998549,1016092578,2535922412,2839152426,457141659,509813237,4120667899,652014361,1966332200,2975202805,55981186,2327461051,676427537,3255491064,2882294119,3433927263,1307055953,942726286,933058658,2468411793,3933900994,4215176142,1361170020,2001714738,2830558078,3274259782,1222529897,1679025792,2729314320,3714953764,1770335741,151462246,3013232138,1682292957,1483529935,471910574,1539241949,458788160,3436315007,1807016891,3718408830,978976581,1043663428,3165965781,1927990952,4200891579,2372276910,3208408903,3533431907,1412390302,2931980059,4132332400,1947078029,3881505623,4168226417,2941484381,1077988104,1320477388,886195818,18198404,3786409e3,2509781533,112762804,3463356488,1866414978,891333506,18488651,661792760,1628790961,3885187036,3141171499,876946877,2693282273,1372485963,791857591,2686433993,3759982718,3167212022,3472953795,2716379847,445679433,3561995674,3504004811,3574258232,54117162,3331405415,2381918588,3769707343,4154350007,1140177722,4074052095,668550556,3214352940,367459370,261225585,2610173221,4209349473,3468074219,3265815641,314222801,3066103646,3808782860,282218597,3406013506,3773591054,379116347,1285071038,846784868,2669647154,3771962079,3550491691,2305946142,453669953,1268987020,3317592352,3279303384,3744833421,2610507566,3859509063,266596637,3847019092,517658769,3462560207,3443424879,370717030,4247526661,2224018117,4143653529,4112773975,2788324899,2477274417,1456262402,2901442914,1517677493,1846949527,2295493580,3734397586,2176403920,1280348187,1908823572,3871786941,846861322,1172426758,3287448474,3383383037,1655181056,3139813346,901632758,1897031941,2986607138,3066810236,3447102507,1393639104,373351379,950779232,625454576,3124240540,4148612726,2007998917,544563296,2244738638,2330496472,2058025392,1291430526,424198748,50039436,29584100,3605783033,2429876329,2791104160,1057563949,3255363231,3075367218,3463963227,1469046755,985887462]];var r={pbox:[],sbox:[]};function x(m,b){let v=b>>24&255,s=b>>16&255,f=b>>8&255,y=b&255,h=m.sbox[0][v]+m.sbox[1][s];return h=h^m.sbox[2][f],h=h+m.sbox[3][y],h}function l(m,b,v){let s=b,f=v,y;for(let h=0;h<o;++h)s=s^m.pbox[h],f=x(m,s)^f,y=s,s=f,f=y;return y=s,s=f,f=y,f=f^m.pbox[o],s=s^m.pbox[o+1],{left:s,right:f}}function g(m,b,v){let s=b,f=v,y;for(let h=o+1;h>1;--h)s=s^m.pbox[h],f=x(m,s)^f,y=s,s=f,f=y;return y=s,s=f,f=y,f=f^m.pbox[1],s=s^m.pbox[0],{left:s,right:f}}function c(m,b,v){for(let C=0;C<4;C++){m.sbox[C]=[];for(let A=0;A<256;A++)m.sbox[C][A]=i[C][A]}let s=0;for(let C=0;C<o+2;C++)m.pbox[C]=d[C]^b[s],s++,s>=v&&(s=0);let f=0,y=0,h=0;for(let C=0;C<o+2;C+=2)h=l(m,f,y),f=h.left,y=h.right,m.pbox[C]=f,m.pbox[C+1]=y;for(let C=0;C<4;C++)for(let A=0;A<256;A+=2)h=l(m,f,y),f=h.left,y=h.right,m.sbox[C][A]=f,m.sbox[C][A+1]=y;return!0}var p=u.Blowfish=n.extend({_doReset:function(){if(this._keyPriorReset!==this._key){var m=this._keyPriorReset=this._key,b=m.words,v=m.sigBytes/4;c(r,b,v)}},encryptBlock:function(m,b){var v=l(r,m[b],m[b+1]);m[b]=v.left,m[b+1]=v.right},decryptBlock:function(m,b){var v=g(r,m[b],m[b+1]);m[b]=v.left,m[b+1]=v.right},blockSize:64/32,keySize:128/32,ivSize:64/32});t.Blowfish=n._createHelper(p)}(),e.Blowfish})});var Qa=j((H0,Ja)=>{(function(e,t,a){typeof H0=="object"?Ja.exports=H0=t(Y(),Ve(),Yt(),$t(),De(),Xt(),Be(),et(),u0(),ia(),tt(),oa(),la(),ua(),p0(),da(),pe(),Z(),pa(),Ca(),ba(),Da(),Sa(),Fa(),_a(),La(),Ta(),Na(),za(),Oa(),Wa(),Ua(),Va(),Ya(),$a()):typeof define=="function"&&define.amd?define(["./core","./x64-core","./lib-typedarrays","./enc-utf16","./enc-base64","./enc-base64url","./md5","./sha1","./sha256","./sha224","./sha512","./sha384","./sha3","./ripemd160","./hmac","./pbkdf2","./evpkdf","./cipher-core","./mode-cfb","./mode-ctr","./mode-ctr-gladman","./mode-ofb","./mode-ecb","./pad-ansix923","./pad-iso10126","./pad-iso97971","./pad-zeropadding","./pad-nopadding","./format-hex","./aes","./tripledes","./rc4","./rabbit","./rabbit-legacy","./blowfish"],t):e.CryptoJS=t(e.CryptoJS)})(H0,function(e){return e})});var W=ht(M0());var mi="onShow",pi="onHide",vi="onLoad",Ci="onUnload";function wt(e){return weex.requireModule(e)}function K0(e,t,...a){uni.__log__?uni.__log__(e,t,...a):console[e].apply(console,[...a,t])}var Xe=e=>(t,a=(0,W.getCurrentInstance)())=>{!W.isInSSRComponentSetup&&(0,W.injectHook)(e,t,a)},Lt=Xe(mi),Pt=Xe(pi),Tt=Xe(vi),It=Xe(Ci);var Re=class{constructor(e,t){if(this.keySerializer=Re.emptySerializer,this.keyDeserializer=Re.emptyDeserializer,this.valueSerializer=Re.jsonSerializer,this.valueDeserializer=Re.jsonDeserializer,!e)throw new Error("\u6570\u636E\u5E93\u540D\u4E0D\u80FD\u4E3A\u7A7A");if(!t)throw new Error("\u8868\u540D\u4E0D\u80FD\u4E3A\u7A7A");this.dbName=e,this.tableName=t}static buildDefaultKvite(e,t){return K(this,null,function*(){let a=new Re(e,t);return yield a.init(),a})}init(){return K(this,null,function*(){return yield this.openDb(),this.createTable()})}put(e,t){return K(this,null,function*(){return this.executeSQL(`INSERT OR REPLACE INTO ${this.tableName} (key, value) VALUES ('${this.keySerializer(e)}', '${this.valueSerializer(t)}')`)})}get(e){return K(this,null,function*(){let t=yield this.selectSQL(`SELECT key, value FROM ${this.tableName} WHERE key = '${this.keySerializer(e)}'`);return t.length>0?this.valueDeserializer(t[0].value):null})}remove(e){return K(this,null,function*(){return this.executeSQL(`DELETE FROM ${this.tableName} WHERE key = '${this.keySerializer(e)}'`)})}containsKey(e){return K(this,null,function*(){return(yield this.selectSQL(`SELECT key FROM ${this.tableName} WHERE key = '${this.keySerializer(e)}'`)).length>0})}clear(){return K(this,null,function*(){return this.executeSQL(`DELETE FROM ${this.tableName}`)})}size(){return K(this,null,function*(){return(yield this.selectSQL(`SELECT COUNT(*) AS size FROM ${this.tableName}`))[0].size})}keys(){return K(this,null,function*(){let e=yield this.selectSQL(`SELECT key FROM ${this.tableName}`),t=new Array(e.length);for(let a=0;a<e.length;a++)t[a]=this.keyDeserializer(e[a].key);return t})}keySet(){return K(this,null,function*(){let e=yield this.selectSQL(`SELECT key FROM ${this.tableName}`),t=new Set;for(let a=0;a<e.length;a++)t.add(this.keyDeserializer(e[a].key));return t})}values(){return K(this,null,function*(){let e=yield this.selectSQL(`SELECT value FROM ${this.tableName}`),t=new Array(e.length);for(let a=0;a<e.length;a++)t[a]=this.valueDeserializer(e[a].value);return t})}entries(){return K(this,null,function*(){let e=yield this.selectSQL(`SELECT key, value FROM ${this.tableName}`),t=new Array(e.length);for(let a=0;a<e.length;a++)t[a]={key:this.keyDeserializer(e[a].key),value:this.valueDeserializer(e[a].value)};return t})}map(){return K(this,null,function*(){let e=yield this.selectSQL(`SELECT key, value FROM ${this.tableName}`),t=new Map;for(let a=0;a<e.length;a++)t.set(this.keyDeserializer(e[a].key),this.valueDeserializer(e[a].value));return t})}isEmpty(){return K(this,null,function*(){return(yield this.selectSQL(`SELECT key FROM ${this.tableName} LIMIT 1`)).length===0})}openDb(){return K(this,null,function*(){if(!this.isOpenDb())return new Promise((e,t)=>{plus.sqlite.openDatabase({name:this.dbName,path:`_doc/${this.dbName}.db`,success(a){e()},fail(a){t(a)}})})})}closeDb(){return K(this,null,function*(){if(this.isOpenDb())return new Promise((e,t)=>{plus.sqlite.closeDatabase({name:this.dbName,success(a){e()},fail(a){t(a)}})})})}isOpenDb(){return plus.sqlite.isOpenDatabase({name:this.dbName,path:`_doc/${this.dbName}.db`})}createTable(){return K(this,null,function*(){return this.executeSQL(`CREATE TABLE IF NOT EXISTS ${this.tableName} ("key" TEXT PRIMARY KEY NOT NULL, "value" TEXT NOT NULL)`,!1)})}removeTable(){return K(this,null,function*(){return this.executeSQL(`DROP TABLE IF EXISTS ${this.tableName}`,!1)})}setKeySerializer(e){this.keySerializer=e}setKeyDeserializer(e){this.keyDeserializer=e}setValueSerializer(e){this.valueSerializer=e}setValueDeserializer(e){this.valueDeserializer=e}getDbName(){return this.dbName}getTableName(){return this.tableName}checkDb(){if(!this.isOpenDb())throw new Error("\u8BF7\u5148\u6253\u5F00\u6570\u636E\u5E93")}executeSQL(e){return K(this,null,function*(){return this.checkDb(),new Promise((t,a)=>{plus.sqlite.executeSql({name:this.dbName,sql:e,success(n){t()},fail(n){a(n)}})})})}selectSQL(e){return K(this,null,function*(){return this.checkDb(),new Promise((t,a)=>{plus.sqlite.selectSql({name:this.dbName,sql:e,success(n){t(n)},fail(n){a(n)}})})})}},ge=Re;ge.emptySerializer=e=>e;ge.emptyDeserializer=e=>e;ge.jsonSerializer=e=>JSON.stringify(e);ge.jsonDeserializer=e=>JSON.parse(e);var te=class{static getPage(){return K(this,null,function*(){let a=yield(yield ge.buildDefaultKvite("SGSDb","debug")).get("page");return a||[]})}static setPage(t){return K(this,null,function*(){yield(yield ge.buildDefaultKvite("SGSDb","debug")).put("page",t)})}static setdeBug(t){return K(this,null,function*(){let a=yield ge.buildDefaultKvite("SGSDb","debug"),n=yield this.getPage();if(n.length==0)this.setPage(["1"]),yield a.put("1",[{time:new Date().getTime(),message:t}]);else{let u=n[n.length-1],o=yield a.get(u);o.length>=10?(u=parseInt(u)+1,n.push(u+""),yield this.setPage(n),yield a.put(u,[{time:new Date().getTime(),message:t}])):(o.push({time:new Date().getTime(),message:t}),yield a.put(u,o))}})}static getdeBug(t){return K(this,null,function*(){return yield(yield ge.buildDefaultKvite("SGSDb","debug")).get(t)})}};var yi=typeof Symbol=="function"&&typeof Symbol.toStringTag=="symbol",be=e=>yi?Symbol(e):e,bi=(e,t,a)=>Ai({l:e,k:t,s:a}),Ai=e=>JSON.stringify(e).replace(/\u2028/g,"\\u2028").replace(/\u2029/g,"\\u2029").replace(/\u0027/g,"\\u0027"),se=e=>typeof e=="number"&&isFinite(e),Di=e=>$0(e)==="[object Date]",$e=e=>$0(e)==="[object RegExp]",Ze=e=>$(e)&&Object.keys(e).length===0;function Bi(e,t){typeof console!="undefined"&&(console.warn("[intlify] "+e),t&&console.warn(t.stack))}var xe=Object.assign;function mt(e){return e.replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&apos;")}var Si=Object.prototype.hasOwnProperty;function Nt(e,t){return Si.call(e,t)}var ne=Array.isArray,le=e=>typeof e=="function",O=e=>typeof e=="string",ee=e=>typeof e=="boolean",ce=e=>e!==null&&typeof e=="object",Rt=Object.prototype.toString,$0=e=>Rt.call(e),$=e=>$0(e)==="[object Object]",Ei=e=>e==null?"":ne(e)||$(e)&&e.toString===Rt?JSON.stringify(e,null,2):String(e);var Fi=Object.prototype.hasOwnProperty;function ki(e,t){return Fi.call(e,t)}var Ke=e=>e!==null&&typeof e=="object",Ae=[];Ae[0]={w:[0],i:[3,0],["["]:[4],o:[7]};Ae[1]={w:[1],["."]:[2],["["]:[4],o:[7]};Ae[2]={w:[2],i:[3,0],[0]:[3,0]};Ae[3]={i:[3,0],[0]:[3,0],w:[1,1],["."]:[2,1],["["]:[4,1],o:[7,1]};Ae[4]={["'"]:[5,0],['"']:[6,0],["["]:[4,2],["]"]:[1,3],o:8,l:[4,0]};Ae[5]={["'"]:[4,0],o:8,l:[5,0]};Ae[6]={['"']:[4,0],o:8,l:[6,0]};var _i=/^\s?(?:true|false|-?[\d.]+|'[^']*'|"[^"]*")\s?$/;function wi(e){return _i.test(e)}function Li(e){let t=e.charCodeAt(0),a=e.charCodeAt(e.length-1);return t===a&&(t===34||t===39)?e.slice(1,-1):e}function Pi(e){if(e==null)return"o";switch(e.charCodeAt(0)){case 91:case 93:case 46:case 34:case 39:return e;case 95:case 36:case 45:return"i";case 9:case 10:case 13:case 160:case 65279:case 8232:case 8233:return"w"}return"i"}function Ti(e){let t=e.trim();return e.charAt(0)==="0"&&isNaN(parseInt(e))?!1:wi(t)?Li(t):"*"+t}function Ii(e){let t=[],a=-1,n=0,u=0,o,d,i,r,x,l,g,c=[];c[0]=()=>{d===void 0?d=i:d+=i},c[1]=()=>{d!==void 0&&(t.push(d),d=void 0)},c[2]=()=>{c[0](),u++},c[3]=()=>{if(u>0)u--,n=4,c[0]();else{if(u=0,d===void 0||(d=Ti(d),d===!1))return!1;c[1]()}};function p(){let m=e[a+1];if(n===5&&m==="'"||n===6&&m==='"')return a++,i="\\"+m,c[0](),!0}for(;n!==null;)if(a++,o=e[a],!(o==="\\"&&p())){if(r=Pi(o),g=Ae[n],x=g[r]||g.l||8,x===8||(n=x[0],x[1]!==void 0&&(l=c[x[1]],l&&(i=o,l()===!1))))return;if(n===7)return t}}var pt=new Map;function Je(e,t){if(!Ke(e))return null;let a=pt.get(t);if(a||(a=Ii(t),a&&pt.set(t,a)),!a)return null;let n=a.length,u=e,o=0;for(;o<n;){let d=u[a[o]];if(d===void 0)return null;u=d,o++}return u}function W0(e){if(!Ke(e))return e;for(let t in e)if(ki(e,t))if(!t.includes("."))Ke(e[t])&&W0(e[t]);else{let a=t.split("."),n=a.length-1,u=e;for(let o=0;o<n;o++)a[o]in u||(u[a[o]]={}),u=u[a[o]];u[a[n]]=e[t],delete e[t],Ke(u[a[n]])&&W0(u[a[n]])}return e}var Ni=e=>e,Ri=e=>"",zi="text",Hi=e=>e.length===0?"":e.join(""),Oi=Ei;function vt(e,t){return e=Math.abs(e),t===2?e?e>1?1:0:1:e?Math.min(e,2):0}function Mi(e){let t=se(e.pluralIndex)?e.pluralIndex:-1;return e.named&&(se(e.named.count)||se(e.named.n))?se(e.named.count)?e.named.count:se(e.named.n)?e.named.n:t:t}function Wi(e,t){t.count||(t.count=e),t.n||(t.n=e)}function qi(e={}){let t=e.locale,a=Mi(e),n=ce(e.pluralRules)&&O(t)&&le(e.pluralRules[t])?e.pluralRules[t]:vt,u=ce(e.pluralRules)&&O(t)&&le(e.pluralRules[t])?vt:void 0,o=v=>v[n(a,v.length,u)],d=e.list||[],i=v=>d[v],r=e.named||{};se(e.pluralIndex)&&Wi(a,r);let x=v=>r[v];function l(v){let s=le(e.messages)?e.messages(v):ce(e.messages)?e.messages[v]:!1;return s||(e.parent?e.parent.message(v):Ri)}let g=v=>e.modifiers?e.modifiers[v]:Ni,c=$(e.processor)&&le(e.processor.normalize)?e.processor.normalize:Hi,p=$(e.processor)&&le(e.processor.interpolate)?e.processor.interpolate:Oi,m=$(e.processor)&&O(e.processor.type)?e.processor.type:zi,b={list:i,named:x,plural:o,linked:(v,s)=>{let f=l(v)(b);return O(s)?g(s)(f):f},message:l,type:m,interpolate:p,normalize:c};return b}function zt(e,t,a={}){let{domain:n,messages:u,args:o}=a,d=e,i=new SyntaxError(String(d));return i.code=e,t&&(i.location=t),i.domain=n,i}var Ui="9.1.9",e0=-1,Ct="";function ji(){return{upper:e=>O(e)?e.toUpperCase():e,lower:e=>O(e)?e.toLowerCase():e,capitalize:e=>O(e)?`${e.charAt(0).toLocaleUpperCase()}${e.substr(1)}`:e}}var Vi,yt=0;function Gi(e={}){let t=O(e.version)?e.version:Ui,a=O(e.locale)?e.locale:"en-US",n=ne(e.fallbackLocale)||$(e.fallbackLocale)||O(e.fallbackLocale)||e.fallbackLocale===!1?e.fallbackLocale:a,u=$(e.messages)?e.messages:{[a]:{}},o=$(e.datetimeFormats)?e.datetimeFormats:{[a]:{}},d=$(e.numberFormats)?e.numberFormats:{[a]:{}},i=xe({},e.modifiers||{},ji()),r=e.pluralRules||{},x=le(e.missing)?e.missing:null,l=ee(e.missingWarn)||$e(e.missingWarn)?e.missingWarn:!0,g=ee(e.fallbackWarn)||$e(e.fallbackWarn)?e.fallbackWarn:!0,c=!!e.fallbackFormat,p=!!e.unresolving,m=le(e.postTranslation)?e.postTranslation:null,b=$(e.processor)?e.processor:null,v=ee(e.warnHtmlMessage)?e.warnHtmlMessage:!0,s=!!e.escapeParameter,f=le(e.messageCompiler)?e.messageCompiler:Vi,y=le(e.onWarn)?e.onWarn:Bi,h=e,C=ce(h.__datetimeFormatters)?h.__datetimeFormatters:new Map,A=ce(h.__numberFormatters)?h.__numberFormatters:new Map,F=ce(h.__meta)?h.__meta:{};return yt++,{version:t,cid:yt,locale:a,fallbackLocale:n,messages:u,datetimeFormats:o,numberFormats:d,modifiers:i,pluralRules:r,missing:x,missingWarn:l,fallbackWarn:g,fallbackFormat:c,unresolving:p,postTranslation:m,processor:b,warnHtmlMessage:v,escapeParameter:s,messageCompiler:f,onWarn:y,__datetimeFormatters:C,__numberFormatters:A,__meta:F}}function J0(e,t,a,n,u){let{missing:o,onWarn:d}=e;if(o!==null){let i=o(e,a,t,u);return O(i)?i:t}else return t}function Ue(e,t,a){let n=e;n.__localeChainCache||(n.__localeChainCache=new Map);let u=n.__localeChainCache.get(a);if(!u){u=[];let o=[a];for(;ne(o);)o=bt(u,o,t);let d=ne(t)?t:$(t)?t.default?t.default:null:t;o=O(d)?[d]:d,ne(o)&&bt(u,o,!1),n.__localeChainCache.set(a,u)}return u}function bt(e,t,a){let n=!0;for(let u=0;u<t.length&&ee(n);u++){let o=t[u];O(o)&&(n=Yi(e,t[u],a))}return n}function Yi(e,t,a){let n,u=t.split("-");do{let o=u.join("-");n=Ki(e,o,a),u.splice(-1,1)}while(u.length&&n===!0);return n}function Ki(e,t,a){let n=!1;if(!e.includes(t)&&(n=!0,t)){n=t[t.length-1]!=="!";let u=t.replace(/!/g,"");e.push(u),(ne(a)||$(a))&&a[u]&&(n=a[u])}return n}function We(e,t,a){let n=e;n.__localeChainCache=new Map,Ue(e,a,t)}function ze(e){return zt(e,null,void 0)}var At=()=>"",Pe=e=>le(e);function Dt(e,...t){let{fallbackFormat:a,postTranslation:n,unresolving:u,fallbackLocale:o,messages:d}=e,[i,r]=q0(...t),x=ee(r.missingWarn)?r.missingWarn:e.missingWarn,l=ee(r.fallbackWarn)?r.fallbackWarn:e.fallbackWarn,g=ee(r.escapeParameter)?r.escapeParameter:e.escapeParameter,c=!!r.resolvedMessage,p=O(r.default)||ee(r.default)?ee(r.default)?i:r.default:a?i:"",m=a||p!=="",b=O(r.locale)?r.locale:e.locale;g&&$i(r);let[v,s,f]=c?[i,b,d[b]||{}]:Ji(e,i,b,o,l,x),y=i;if(!c&&!(O(v)||Pe(v))&&m&&(v=p,y=v),!c&&(!(O(v)||Pe(v))||!O(s)))return u?e0:i;let h=!1,C=()=>{h=!0},A=Pe(v)?v:Ht(e,i,s,v,y,C);if(h)return v;let F=Zi(e,s,f,r),S=qi(F),T=Qi(e,A,S);return n?n(T):T}function $i(e){ne(e.list)?e.list=e.list.map(t=>O(t)?mt(t):t):ce(e.named)&&Object.keys(e.named).forEach(t=>{O(e.named[t])&&(e.named[t]=mt(e.named[t]))})}function Ji(e,t,a,n,u,o){let{messages:d,onWarn:i}=e,r=Ue(e,n,a),x={},l,g=null,c="translate";for(let p=0;p<r.length&&(l=r[p],x=d[l]||{},(g=Je(x,t))===null&&(g=x[t]),!(O(g)||le(g)));p++){let m=J0(e,t,l,o,c);m!==t&&(g=m)}return[g,l,x]}function Ht(e,t,a,n,u,o){let{messageCompiler:d,warnHtmlMessage:i}=e;if(Pe(n)){let x=n;return x.locale=x.locale||a,x.key=x.key||t,x}let r=d(n,Xi(e,a,u,n,i,o));return r.locale=a,r.key=t,r.source=n,r}function Qi(e,t,a){return t(a)}function q0(...e){let[t,a,n]=e,u={};if(!O(t)&&!se(t)&&!Pe(t))throw ze(14);let o=se(t)?String(t):(Pe(t),t);return se(a)?u.plural=a:O(a)?u.default=a:$(a)&&!Ze(a)?u.named=a:ne(a)&&(u.list=a),se(n)?u.plural=n:O(n)?u.default=n:$(n)&&xe(u,n),[o,u]}function Xi(e,t,a,n,u,o){return{warnHtmlMessage:u,onError:d=>{throw o&&o(d),d},onCacheKey:d=>bi(t,a,d)}}function Zi(e,t,a,n){let{modifiers:u,pluralRules:o}=e,i={locale:t,modifiers:u,pluralRules:o,messages:r=>{let x=Je(a,r);if(O(x)){let l=!1,c=Ht(e,r,t,x,r,()=>{l=!0});return l?At:c}else return Pe(x)?x:At}};return e.processor&&(i.processor=e.processor),n.list&&(i.list=n.list),n.named&&(i.named=n.named),se(n.plural)&&(i.pluralIndex=n.plural),i}function Bt(e,...t){let{datetimeFormats:a,unresolving:n,fallbackLocale:u,onWarn:o}=e,{__datetimeFormatters:d}=e,[i,r,x,l]=U0(...t),g=ee(x.missingWarn)?x.missingWarn:e.missingWarn;ee(x.fallbackWarn)?x.fallbackWarn:e.fallbackWarn;let c=!!x.part,p=O(x.locale)?x.locale:e.locale,m=Ue(e,u,p);if(!O(i)||i==="")return new Intl.DateTimeFormat(p).format(r);let b={},v,s=null,f="datetime format";for(let C=0;C<m.length&&(v=m[C],b=a[v]||{},s=b[i],!$(s));C++)J0(e,i,v,g,f);if(!$(s)||!O(v))return n?e0:i;let y=`${v}__${i}`;Ze(l)||(y=`${y}__${JSON.stringify(l)}`);let h=d.get(y);return h||(h=new Intl.DateTimeFormat(v,xe({},s,l)),d.set(y,h)),c?h.formatToParts(r):h.format(r)}function U0(...e){let[t,a,n,u]=e,o={},d={},i;if(O(t)){if(!/\d{4}-\d{2}-\d{2}(T.*)?/.test(t))throw ze(16);i=new Date(t);try{i.toISOString()}catch(r){throw ze(16)}}else if(Di(t)){if(isNaN(t.getTime()))throw ze(15);i=t}else if(se(t))i=t;else throw ze(14);return O(a)?o.key=a:$(a)&&(o=a),O(n)?o.locale=n:$(n)&&(d=n),$(u)&&(d=u),[o.key||"",i,o,d]}function St(e,t,a){let n=e;for(let u in a){let o=`${t}__${u}`;n.__datetimeFormatters.has(o)&&n.__datetimeFormatters.delete(o)}}function Et(e,...t){let{numberFormats:a,unresolving:n,fallbackLocale:u,onWarn:o}=e,{__numberFormatters:d}=e,[i,r,x,l]=j0(...t),g=ee(x.missingWarn)?x.missingWarn:e.missingWarn;ee(x.fallbackWarn)?x.fallbackWarn:e.fallbackWarn;let c=!!x.part,p=O(x.locale)?x.locale:e.locale,m=Ue(e,u,p);if(!O(i)||i==="")return new Intl.NumberFormat(p).format(r);let b={},v,s=null,f="number format";for(let C=0;C<m.length&&(v=m[C],b=a[v]||{},s=b[i],!$(s));C++)J0(e,i,v,g,f);if(!$(s)||!O(v))return n?e0:i;let y=`${v}__${i}`;Ze(l)||(y=`${y}__${JSON.stringify(l)}`);let h=d.get(y);return h||(h=new Intl.NumberFormat(v,xe({},s,l)),d.set(y,h)),c?h.formatToParts(r):h.format(r)}function j0(...e){let[t,a,n,u]=e,o={},d={};if(!se(t))throw ze(14);let i=t;return O(a)?o.key=a:$(a)&&(o=a),O(n)?o.locale=n:$(n)&&(d=n),$(u)&&(d=u),[o.key||"",i,o,d]}function Ft(e,t,a){let n=e;for(let u in a){let o=`${t}__${u}`;n.__numberFormatters.has(o)&&n.__numberFormatters.delete(o)}}var en="9.1.9";function Le(e,...t){return zt(e,null,void 0)}var V0=be("__transrateVNode"),G0=be("__datetimeParts"),Y0=be("__numberParts");be("__enableEmitter");be("__disableEmitter");var tn=be("__setPluralRules");be("__intlifyMeta");var Ot=be("__injectWithOption"),kt=0;function _t(e){return(t,a,n,u)=>e(a,n,(0,W.getCurrentInstance)()||void 0,u)}function Mt(e,t){let{messages:a,__i18n:n}=t,u=$(a)?a:ne(n)?{}:{[e]:{}};if(ne(n)&&n.forEach(({locale:o,resource:d})=>{o?(u[o]=u[o]||{},Qe(d,u[o])):Qe(d,u)}),t.flatJson)for(let o in u)Nt(u,o)&&W0(u[o]);return u}var Ye=e=>!ce(e)||ne(e);function Qe(e,t){if(Ye(e)||Ye(t))throw Le(20);for(let a in e)Nt(e,a)&&(Ye(e[a])||Ye(t[a])?t[a]=e[a]:Qe(e[a],t[a]))}function an(e={}){let{__root:t}=e,a=t===void 0,n=ee(e.inheritLocale)?e.inheritLocale:!0,u=(0,W.ref)(t&&n?t.locale.value:O(e.locale)?e.locale:"en-US"),o=(0,W.ref)(t&&n?t.fallbackLocale.value:O(e.fallbackLocale)||ne(e.fallbackLocale)||$(e.fallbackLocale)||e.fallbackLocale===!1?e.fallbackLocale:u.value),d=(0,W.ref)(Mt(u.value,e)),i=(0,W.ref)($(e.datetimeFormats)?e.datetimeFormats:{[u.value]:{}}),r=(0,W.ref)($(e.numberFormats)?e.numberFormats:{[u.value]:{}}),x=t?t.missingWarn:ee(e.missingWarn)||$e(e.missingWarn)?e.missingWarn:!0,l=t?t.fallbackWarn:ee(e.fallbackWarn)||$e(e.fallbackWarn)?e.fallbackWarn:!0,g=t?t.fallbackRoot:ee(e.fallbackRoot)?e.fallbackRoot:!0,c=!!e.fallbackFormat,p=le(e.missing)?e.missing:null,m=le(e.missing)?_t(e.missing):null,b=le(e.postTranslation)?e.postTranslation:null,v=ee(e.warnHtmlMessage)?e.warnHtmlMessage:!0,s=!!e.escapeParameter,f=t?t.modifiers:$(e.modifiers)?e.modifiers:{},y=e.pluralRules||t&&t.pluralRules,h;function C(){return Gi({version:en,locale:u.value,fallbackLocale:o.value,messages:d.value,messageCompiler:function(N){return oe=>oe.normalize([N])},datetimeFormats:i.value,numberFormats:r.value,modifiers:f,pluralRules:y,missing:m===null?void 0:m,missingWarn:x,fallbackWarn:l,fallbackFormat:c,unresolving:!0,postTranslation:b===null?void 0:b,warnHtmlMessage:v,escapeParameter:s,__datetimeFormatters:$(h)?h.__datetimeFormatters:void 0,__numberFormatters:$(h)?h.__numberFormatters:void 0,__v_emitter:$(h)?h.__v_emitter:void 0,__meta:{framework:"vue"}})}h=C(),We(h,u.value,o.value);function A(){return[u.value,o.value,d.value,i.value,r.value]}let F=(0,W.computed)({get:()=>u.value,set:E=>{u.value=E,h.locale=u.value}}),S=(0,W.computed)({get:()=>o.value,set:E=>{o.value=E,h.fallbackLocale=o.value,We(h,u.value,E)}}),T=(0,W.computed)(()=>d.value),R=(0,W.computed)(()=>i.value),D=(0,W.computed)(()=>r.value);function B(){return le(b)?b:null}function w(E){b=E,h.postTranslation=E}function P(){return p}function M(E){E!==null&&(m=_t(E)),p=E,h.missing=m}function H(E,N,oe,X,me,Ne){A();let Ce;if(Ce=E(h),se(Ce)&&Ce===e0){let[Ge,we]=N();return t&&g?X(t):me(Ge)}else{if(Ne(Ce))return Ce;throw Le(14)}}function q(...E){return H(N=>Dt(N,...E),()=>q0(...E),"translate",N=>N.t(...E),N=>N,N=>O(N))}function V(...E){let[N,oe,X]=E;if(X&&!ce(X))throw Le(15);return q(N,oe,xe({resolvedMessage:!0},X||{}))}function k(...E){return H(N=>Bt(N,...E),()=>U0(...E),"datetime format",N=>N.d(...E),()=>Ct,N=>O(N))}function L(...E){return H(N=>Et(N,...E),()=>j0(...E),"number format",N=>N.n(...E),()=>Ct,N=>O(N))}function I(E){return E.map(N=>O(N)?(0,W.createVNode)(W.Text,null,N,0):N)}let Q={normalize:I,interpolate:E=>E,type:"vnode"};function J(...E){return H(N=>{let oe,X=N;try{X.processor=Q,oe=Dt(X,...E)}finally{X.processor=null}return oe},()=>q0(...E),"translate",N=>N[V0](...E),N=>[(0,W.createVNode)(W.Text,null,N,0)],N=>ne(N))}function ie(...E){return H(N=>Et(N,...E),()=>j0(...E),"number format",N=>N[Y0](...E),()=>[],N=>O(N)||ne(N))}function U(...E){return H(N=>Bt(N,...E),()=>U0(...E),"datetime format",N=>N[G0](...E),()=>[],N=>O(N)||ne(N))}function Se(E){y=E,h.pluralRules=y}function ve(E,N){let oe=O(N)?N:u.value,X=ue(oe);return Je(X,E)!==null}function He(E){let N=null,oe=Ue(h,o.value,u.value);for(let X=0;X<oe.length;X++){let me=d.value[oe[X]]||{},Ne=Je(me,E);if(Ne!=null){N=Ne;break}}return N}function Ee(E){let N=He(E);return N!=null?N:t?t.tm(E)||{}:{}}function ue(E){return d.value[E]||{}}function re(E,N){d.value[E]=N,h.messages=d.value}function Te(E,N){d.value[E]=d.value[E]||{},Qe(N,d.value[E]),h.messages=d.value}function Fe(E){return i.value[E]||{}}function Ie(E,N){i.value[E]=N,h.datetimeFormats=i.value,St(h,E,N)}function ke(E,N){i.value[E]=xe(i.value[E]||{},N),h.datetimeFormats=i.value,St(h,E,N)}function Oe(E){return r.value[E]||{}}function _e(E,N){r.value[E]=N,h.numberFormats=r.value,Ft(h,E,N)}function fe(E,N){r.value[E]=xe(r.value[E]||{},N),h.numberFormats=r.value,Ft(h,E,N)}return kt++,t&&((0,W.watch)(t.locale,E=>{n&&(u.value=E,h.locale=E,We(h,u.value,o.value))}),(0,W.watch)(t.fallbackLocale,E=>{n&&(o.value=E,h.fallbackLocale=E,We(h,u.value,o.value))})),{id:kt,locale:F,fallbackLocale:S,get inheritLocale(){return n},set inheritLocale(E){n=E,E&&t&&(u.value=t.locale.value,o.value=t.fallbackLocale.value,We(h,u.value,o.value))},get availableLocales(){return Object.keys(d.value).sort()},messages:T,datetimeFormats:R,numberFormats:D,get modifiers(){return f},get pluralRules(){return y||{}},get isGlobal(){return a},get missingWarn(){return x},set missingWarn(E){x=E,h.missingWarn=x},get fallbackWarn(){return l},set fallbackWarn(E){l=E,h.fallbackWarn=l},get fallbackRoot(){return g},set fallbackRoot(E){g=E},get fallbackFormat(){return c},set fallbackFormat(E){c=E,h.fallbackFormat=c},get warnHtmlMessage(){return v},set warnHtmlMessage(E){v=E,h.warnHtmlMessage=E},get escapeParameter(){return s},set escapeParameter(E){s=E,h.escapeParameter=E},t:q,rt:V,d:k,n:L,te:ve,tm:Ee,getLocaleMessage:ue,setLocaleMessage:re,mergeLocaleMessage:Te,getDateTimeFormat:Fe,setDateTimeFormat:Ie,mergeDateTimeFormat:ke,getNumberFormat:Oe,setNumberFormat:_e,mergeNumberFormat:fe,getPostTranslationHandler:B,setPostTranslationHandler:w,getMissingHandler:P,setMissingHandler:M,[V0]:J,[Y0]:ie,[G0]:U,[tn]:Se,[Ot]:e.__injectWithOption}}var Q0={tag:{type:[String,Object]},locale:{type:String},scope:{type:String,validator:e=>e==="parent"||e==="global",default:"parent"},i18n:{type:Object}};xe({keypath:{type:String,required:!0},plural:{type:[Number,String],validator:e=>se(e)||!isNaN(e)}},Q0);function nn({slots:e},t){return t.length===1&&t[0]==="default"?e.default?e.default():[]:t.reduce((a,n)=>{let u=e[n];return u&&(a[n]=u()),a},{})}function Wt(e,t,a,n){let{slots:u,attrs:o}=t;return()=>{let d={part:!0},i={};e.locale&&(d.locale=e.locale),O(e.format)?d.key=e.format:ce(e.format)&&(O(e.format.key)&&(d.key=e.format.key),i=Object.keys(e.format).reduce((g,c)=>a.includes(c)?xe({},g,{[c]:e.format[c]}):g,{}));let r=n(e.value,d,i),x=[d.key];ne(r)?x=r.map((g,c)=>{let p=u[g.type];return p?p({[g.type]:g.value,index:c,parts:r}):[g.value]}):O(r)&&(x=[r]);let l=xe({},o);return O(e.tag)?(0,W.h)(e.tag,l,x):ce(e.tag)?(0,W.h)(e.tag,l,x):(0,W.h)(W.Fragment,l,x)}}var rn=["localeMatcher","style","unit","unitDisplay","currency","currencyDisplay","useGrouping","numberingSystem","minimumIntegerDigits","minimumFractionDigits","maximumFractionDigits","minimumSignificantDigits","maximumSignificantDigits","notation","formatMatcher"];xe({value:{type:Number,required:!0},format:{type:[String,Object]}},Q0);var on=["dateStyle","timeStyle","fractionalSecondDigits","calendar","dayPeriod","numberingSystem","localeMatcher","timeZone","hour12","hourCycle","formatMatcher","weekday","era","year","month","day","hour","minute","second","timeZoneName"];xe({value:{type:[Number,Date],required:!0},format:{type:[String,Object]}},Q0);function X0(e={}){let t=(0,W.getCurrentInstance)();if(t==null)throw Le(16);if(!t.appContext.app.__VUE_I18N_SYMBOL__)throw Le(17);let a=(0,W.inject)(t.appContext.app.__VUE_I18N_SYMBOL__);if(!a)throw Le(22);let n=a.mode==="composition"?a.global:a.global.__composer,u=Ze(e)?"__i18n"in t.type?"local":"global":e.useScope?e.useScope:"local";if(u==="global"){let i=ce(e.messages)?e.messages:{};"__i18nGlobal"in t.type&&(i=Mt(n.locale.value,{messages:i,__i18n:t.type.__i18nGlobal}));let r=Object.keys(i);if(r.length&&r.forEach(x=>{n.mergeLocaleMessage(x,i[x])}),ce(e.datetimeFormats)){let x=Object.keys(e.datetimeFormats);x.length&&x.forEach(l=>{n.mergeDateTimeFormat(l,e.datetimeFormats[l])})}if(ce(e.numberFormats)){let x=Object.keys(e.numberFormats);x.length&&x.forEach(l=>{n.mergeNumberFormat(l,e.numberFormats[l])})}return n}if(u==="parent"){let i=sn(a,t,e.__useComponent);return i==null&&(i=n),i}if(a.mode==="legacy")throw Le(18);let o=a,d=o.__getInstance(t);if(d==null){let i=t.type,r=xe({},e);i.__i18n&&(r.__i18n=i.__i18n),n&&(r.__root=n),d=an(r),ln(o,t),o.__setInstance(t,d)}return d}function sn(e,t,a=!1){let n=null,u=t.root,o=t.parent;for(;o!=null;){let d=e;if(e.mode==="composition")n=d.__getInstance(o);else{let i=d.__getInstance(o);i!=null&&(n=i.__composer),a&&n&&!n[Ot]&&(n=null)}if(n!=null||u===o)break;o=o.parent}return n}function ln(e,t,a){(0,W.onMounted)(()=>{},t),(0,W.onUnmounted)(()=>{e.__deleteInstance(t)},t)}var cn={"enter one user name":"enter one user name","Please enter password":"Please enter password",homes:"home","SGS iAudit Mobile App":"SGS iAudit Mobile App","Task Detail":"Task Detail","Submission status":"Submission status","Local data":"Local data","Basic information":"Basic information",Longitude:"Longitude",Latitude:"Latitude","Network request":"Network request","Please use FaceID to unlock":"Please use FaceID to unlock","Unlock using FaceID":"Unlock using FaceID","FaceID unlocking failed":"FaceID unlocking failed","You have not set the FACEID yet. Please set it first":"You have not set the FACEID yet. Please set it first","Please unlock with your fingerprint":"Please unlock with your fingerprint","Unlock using fingerprints":"Unlock using fingerprints","Fingerprint unlock failed":"Fingerprint unlock failed","You have not set your fingerprint yet. Please set it first":"You have not set your fingerprint yet. Please set it first","Click the login button":"Click the login button","Login failed":"Login failed","Account name or password incorrect, please check and re-enter":"Account name or password incorrect, please check and re-enter","Login successful":"Login successful","Kind reminder":"Kind reminder","For the security of your account, please enable fingerprint recognition or facial recognition authentication":"For the security of your account, please enable fingerprint recognition or facial recognition authentication","Choose to use biometric authentication":"Choose to use biometric authentication",Cancel:"Cancel","Logging in":"Logging in","View log":"View log","Switch language":"Switch language","Switch locale":"Switch Market",Audit:"Audit",Sampling:"Sampling","Daily Schedule":"Daily Schedule","Switch language to":"Switch language to","Language switch successful":"Language switch successful","Do you want to switch regions to":"Do you want to switch regions to","Region switch successful":"Region switch successful","E-card":"E-card",Organization:"Organization",Position:"Position","Contact information":"Contact information","SEE Information":"SEE Information","Information not yet uploaded":"Information not yet uploaded","Audit calendar":"Audit calendar","Sampling calendar":"Sampling calendar",Today:"Today",MON:"MON",TUE:"TUE",WED:"WED",THU:"THU",FRI:"FRI",SAT:"SAT",SUN:"SUN","Loading Task..":"Loading Task..",Week:"Week","Sampling List":"Sampling List","Audit List":"Audit List","Remote data":"Remote data","Tencent Maps":"Tencent Maps","Baidu Maps":"Baidu Maps",AMaps:"AMaps","Apple Maps":"Apple Maps","Using third-party map navigation":"Using third-party map navigation","The specified map application is not installed on this machine":"The specified map application is not installed on this machine","Take Task":"Take Task","Please enter the task name or task ID":"Please enter the task name or task ID","Store address":"Store address",Remind:"Remind","Select time":"Select time","No tasks at the moment":"No tasks at the moment","In total":"In total",Selected:"Selected",Submit:"Submit","Select Area":"Select Area","Select Province":"Select Province","Select City":"Select City","No task selected":"No task selected","No audit date selected":"No audit date selected","Submitting selected tasks":"Submitting selected tasks","Successful Take Task":"Successful Take Task","Some tasks failed to take task":"Some tasks failed to take task","Filter by month":"Filter by month","Store List":"Store List","Log Out":"Log out",Year:"Year",Month:"Month",Morning:"Morning",Afternoon:"Afternoon",Expired:"Expired","Are you sure you want to exit this account":"Are you sure you want to exit this account",Clear:"Clear",Notification:"Notification","Do you want to clear the notification list":"Do you want to clear the notification list","No notification yet":"No notification yet","Check in":"Check in","Re upload images":"Re upload images","Check in GPS":"Check in GPS","Check out GPS":"Check out GPS","Your account has been logged in elsewhere, please log in again with your account password":"Your account has been logged in elsewhere, please log in again with your account password","Your available orders have reached their maximum limit":"Your available orders have reached their maximum limit",Delete:"Delete","Store Name":"Store Name","Check in time":"Check in time","Please enable localization to obtain your location":"Please enable localization to obtain your location",CheckPoint:"CheckPoint",Record:"Record",All:"All","Network Request":"Network Request",Error:"Error","Stay time":"Stay time","Business Process":"Business Process","APP Start":"APP Start","APP duration":"APP duration","Login duration":"Login duration","Store GPS":"Store GPS","Problem Description":"Problem Description","Please enter":"Please enter","Audit item":"Audit item",Classification:"Classification",Curriculum:"Curriculum",Video:"Video",Picture:"Picture","Positive inspection items":"Positive inspection items","Abnormal detection items":"Abnormal detection items","Please enter the item ID or item name to search":"Please enter the item ID or item name to search","All Curriculum":"All Curriculum","All Classification":"All Classification","Do you want to continue using the completed entry?":"Do you want to continue using the completed entry?","Please select":"Please select","Checking in":"Checking in",Begin:"Begin",Auditing:"Auditing","The video is too long, please crop it first":"The video is too long, please crop it first","Unfilled items":"Unfilled items","Summarizing data":"Summarizing data","Summary check":"Summary check","Focus of this round of review":"Focus of this round of review","Store manager signature":"Store manager signature",Sign:"Sign","Re-sign":"Re-sign","Review confirmation":"Review confirmation","Check out":"Check out","Check out again":"Check out again","Submit review":"Submit review",Reset:"Reset",Signature:"Signature","Not signed, please try again":"Not signed, please try again","The check-out time has not been reached, please enter if you have any objections":"The check-out time has not been reached, please enter if you have any objections","You have unfilled data and cannot be summarized at the moment":"You have unfilled data and cannot be summarized at the moment","Reason not filled in, please try again":"Reason not filled in, please try again","You have unfilled data and cannot upload it at the moment":"You have unfilled data and cannot upload it at the moment","Submitting for review requires a signature from the manager":"Submitting for review requires a signature from the manager","Are you sure the review has been completed?":"Are you sure the review has been completed?","Confirm audit success":"Confirm audit success","No special items":"No special items","Send email":"Send email","Generating email attachment":"Generating email attachment","Cc email address error, please check and try again":"Cc email address error, please check and try again","It can be used by multiple people; separate it":"It can be used by multiple people; separate it",subject:"subject",To:"To",Cc:"Cc",body:"body","To cannot be empty":"To cannot be empty","Error To, please check and try again":"Error To, please check and try again","Mail sent successfully":"Mail sent successfully","cannot be empty":"cannot be empty",Upload:"Upload","You are not the latest version, please upgrade":"You are not the latest version, please upgrade","The task is currently being uploaded, please try again later":"The task is currently being uploaded, please try again later","Collection List":"Collection List","Add sample":"Add sample","Cancel collection":"Cancel collection","Confirm sample collection":"Confirm sample collection",Detail:"Detail","Add sample classification":"Add sample classification","Are you sure to delete the sample classification?":"Are you sure to delete the sample classification?","Are you sure to delete the sample item?":"Are you sure to delete the sample item?","Are you sure that the project has been collected?":"Are you sure that the sampling has been collected?","You have not selected a sampling project yet":"You have not selected a sampling project yet","Sample details":"Sample details","Collection and summary":"Collection and summary",Sample:"Sample","Sample parameters":"Sample parameters","Current version":"Latest version","This task has been modified on other devices. Do you want to synchronize the data":"This task has been modified on other devices. Do you want to synchronize the data","Synchronize data":"Synchronize data","Using local data":"Using local data","Opening file":"Opening file","Sampling confirmation":"Sampling confirmation","No mandatory option selected":"No mandatory option selected","There is data that has not been uploaded":"There is data that has not been uploaded","Uploading data in the background":"Uploading data in the background",Refreshing:"Refreshing","Start navigation":"Start navigation","Open template file":"Open template file","Successful order grabbing":"Successful order grabbing","Upload review information":"Upload review information","Submit review information":"Submit review information","Upload sampling information":"Upload sampling information","Submit sampling information":"Submit sampling information","View certificate":"View certificate","Open user information QR code":"Open user information QR code","Clear notifications":"Clear notifications","Do you want to clear the application cache":"Do you want to clear the application cache","Clear file cache":"Clear file cache","Clear cache":"Clear cache","Log time":"Log time","Log content":"Log content","Video page":"Video page",Loading:"Loading...","Image upload failed, please resubmit the task":"Image upload failed, please resubmit the task","Store Remark":"Store Remark","After synchronization, local data will be deleted. Do you want to continue synchronizing?":"After synchronization, local data will be deleted. Do you want to continue synchronizing?",am:"am",pm:"pm","My task for today":"My task for today"},un=cn,xn={"Enter one user name":"\u30E6\u30FC\u30B6\u30FC\u540D\u3092\u5165\u529B\u3057\u3066\u304F\u3060\u3055\u3044","Please enter password":"\u30D1\u30B9\u30EF\u30FC\u30C9\u3092\u5165\u529B\u3057\u3066\u304F\u3060\u3055\u3044","SGS iAudit Mobile App":"SGS \u30EC\u30D3\u30E5\u30FC\u643A\u5E2F\u30A2\u30D7\u30EA","Task Detail":"\u30BF\u30B9\u30AF\u8A73\u7D30","Submission status":"\u30B3\u30DF\u30C3\u30C8\u30B9\u30C6\u30FC\u30BF\u30B9","Local data":"\u30ED\u30FC\u30AB\u30EB\u30C7\u30FC\u30BF","Remote data":"\u30EA\u30E2\u30FC\u30C8\u30C7\u30FC\u30BF","Basic information":"\u57FA\u672C\u60C5\u5831",Longitude:"\u7D4C\u5EA6",Latitude:"\u7DEF\u5EA6","Please use FaceID to unlock":"FaceID\u3067\u30ED\u30C3\u30AF\u89E3\u9664\u3057\u3066\u304F\u3060\u3055\u3044","Unlock using FaceID":"FaceID\u3092\u4F7F\u7528\u3057\u305F\u30ED\u30C3\u30AF\u89E3\u9664","FaceID unlocking failed":"FaceID\u30ED\u30C3\u30AF\u89E3\u9664\u306B\u5931\u6557\u3057\u307E\u3057\u305F","You have not set the FACEID yet.Please set it first":"FACEID\u3092\u8A2D\u5B9A\u3057\u3066\u3044\u306A\u3044\u306E\u3067,\u5148\u306B\u8A2D\u5B9A\u3057\u3066\u304F\u3060\u3055\u3044","Please unlock with your fingerprint":"\u6307\u7D0B\u3067\u30ED\u30C3\u30AF\u89E3\u9664\u3057\u3066\u304F\u3060\u3055\u3044","Unlock using fingerprints":"\u30D5\u30A3\u30F3\u30AC\u30FC\u30D7\u30EA\u30F3\u30C8\u3092\u4F7F\u7528\u3057\u305F\u30ED\u30C3\u30AF\u89E3\u9664","Fingerprint unlock failed":"\u30D5\u30A3\u30F3\u30AC\u30FC\u30D7\u30EA\u30F3\u30C8\u306E\u30ED\u30C3\u30AF\u89E3\u9664\u306B\u5931\u6557\u3057\u307E\u3057\u305F","You have not set your fingerprint yet.Please set it first":"\u6307\u7D0B\u3092\u8A2D\u5B9A\u3057\u3066\u3044\u306A\u3044\u306E\u3067\u5148\u306B\u8A2D\u5B9A\u3057\u3066\u304F\u3060\u3055\u3044","Click the login button":"\u30ED\u30B0\u30A4\u30F3\u30DC\u30BF\u30F3\u3092\u30AF\u30EA\u30C3\u30AF","Login failed":"\u30ED\u30B0\u30A4\u30F3\u306B\u5931\u6557\u3057\u307E\u3057\u305F","Account name or password incorrect\uFF0Cplease check and re-enter":"\u30A2\u30AB\u30A6\u30F3\u30C8\u540D\u307E\u305F\u306F\u30D1\u30B9\u30EF\u30FC\u30C9\u304C\u9593\u9055\u3063\u3066\u3044\u308B\u306E\u3067,\u30C1\u30A7\u30C3\u30AF\u3057\u3066\u518D\u8A18\u5165\u3057\u3066\u304F\u3060\u3055\u3044","Login successful":"\u30ED\u30B0\u30A4\u30F3\u6210\u529F","Kind reminder":"\u6696\u304B\u3044\u30D2\u30F3\u30C8","For the security of your account\uFF0Cplease enable fingerprint recognition or facial recognition authentication":"\u30A2\u30AB\u30A6\u30F3\u30C8\u306E\u30BB\u30AD\u30E5\u30EA\u30C6\u30A3\u306E\u305F\u3081\u306B,\u6307\u7D0B\u8A8D\u8A3C\u307E\u305F\u306F\u9854\u8A8D\u8A3C\u3092\u30AA\u30F3\u306B\u3057\u3066\u304F\u3060\u3055\u3044","Choose to use biometric authentication":"\u751F\u4F53\u8A8D\u8A3C\u306E\u4F7F\u7528\u3092\u9078\u629E\u3059\u308B",Cancel:"\u30AD\u30E3\u30F3\u30BB\u30EB","Logging in":"\u30ED\u30B0\u30A4\u30F3\u4E2D...","View log":"\u30ED\u30B0\u306E\u8868\u793A","Switch language":"\u8A00\u8A9E\u5207\u308A\u66FF\u3048","Switch locale":"\u5730\u57DF\u5207\u308A\u66FF\u3048",Audit:"\u76E3\u67FB",Sampling:"\u30B5\u30F3\u30D7\u30EA\u30F3\u30B0","Daily Schedule":"\u65E5\u3005\u306E\u30BF\u30B9\u30AF","Switch language to":"\u8A00\u8A9E\u3092\u5207\u308A\u66FF\u3048\u308B\u304B\u3069\u3046\u304B","Language switch successful":"\u8A00\u8A9E\u5207\u308A\u66FF\u3048\u6210\u529F","Do you want to switch regions to":"\u5730\u57DF\u3092\u5207\u308A\u66FF\u3048\u308B\u304B\u3069\u3046\u304B","Region switch successful":"\u5730\u57DF\u5207\u308A\u66FF\u3048\u6210\u529F","E-card":"\u96FB\u5B50\u540D\u523A\u30DA\u30FC\u30B8",Organization:"\u7D44\u7E54",Position:"\u5F79\u8077","Contact information":"\u9023\u7D61\u5148","SEE Information":"\u8CC7\u8CEA\u3092\u8ABF\u3079\u308B","Information not yet uploaded":"\u8A3C\u660E\u66F8\u306F\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9\u3055\u308C\u3066\u3044\u307E\u305B\u3093","Audit calendar":"\u76E3\u67FB\u30AB\u30EC\u30F3\u30C0\u30FC","Sampling calendar":"\u30B5\u30F3\u30D7\u30EA\u30F3\u30B0\u30AB\u30EC\u30F3\u30C0\u30FC",Today:"\u4ECA\u65E5",MON:"\u4E00",TUE:"\u4E8C",WED:"\u4E09",THU:"\u56DB",FRI:"\u4E94",SAT:"\u516D",SUN:"\u65E5","Loading Task..":"\u30BF\u30B9\u30AF\u3092\u8981\u6C42\u3057\u3066\u3044\u307E\u3059...",Week:"\u5468","Sampling List":"\u30B5\u30F3\u30D7\u30EA\u30F3\u30B0\u30EA\u30B9\u30C8","Audit List":"\u76E3\u67FB\u30EA\u30B9\u30C8","Tencent Maps":"\u30C6\u30F3\u30BB\u30F3\u30C8\u5730\u56F3","Baidu Maps":"\u767E\u5EA6\u5730\u56F3",AMaps:"\u9AD8\u5FB3\u5730\u56F3","Apple Maps":"\u30A2\u30C3\u30D7\u30EB\u30DE\u30C3\u30D7","Using third-party map navigation":"\u30B5\u30FC\u30C9\u30D1\u30FC\u30C6\u30A3\u30DE\u30C3\u30D7\u3092\u4F7F\u7528\u3057\u305F\u30CA\u30D3\u30B2\u30FC\u30B7\u30E7\u30F3","application is not installed on this machine":"\u6307\u5B9A\u3055\u308C\u305F\u5730\u56F3\u30A2\u30D7\u30EA\u30B1\u30FC\u30B7\u30E7\u30F3\u304C\u30CD\u30A4\u30C6\u30A3\u30D6\u306B\u30A4\u30F3\u30B9\u30C8\u30FC\u30EB\u3055\u308C\u3066\u3044\u307E\u305B\u3093","Take Task":"\u8ACB\u6C42\u66F8\u3092\u596A\u3046","Please enter the task name or task ID":"\u30BF\u30B9\u30AF\u540D\u307E\u305F\u306F\u30BF\u30B9\u30AFID\u3092\u5165\u529B\u3057\u3066\u304F\u3060\u3055\u3044","Store address":"\u5E97\u8217\u4F4F\u6240",Remind:"\u30EA\u30DE\u30A4\u30F3\u30C0","Select time":"\u6642\u9593\u306E\u9078\u629E","No tasks at the moment":"\u30BF\u30B9\u30AF\u306A\u3057","In total":"\u5171",Selected:"\u9078\u629E\u6E08",Submit:"\u30B3\u30DF\u30C3\u30C8","Select area":"\u5730\u57DF\u306E\u9078\u629E","Select Province":"\u7701\u3092\u9078\u629E","Select City":"\u9078\u629E\u5E02","No task selected":"\u30BF\u30B9\u30AF\u304C\u9078\u629E\u3055\u308C\u3066\u3044\u307E\u305B\u3093","No audit date selected":"\u76E3\u67FB\u65E5\u304C\u9078\u629E\u3055\u308C\u3066\u3044\u307E\u305B\u3093","Submitting selected tasks":"\u9078\u629E\u3057\u305F\u30BF\u30B9\u30AF\u3092\u9001\u4FE1\u4E2D","Successful Take Task":"\u53D7\u6CE8\u6210\u529F","Some tasks failed to take task":"\u4E00\u90E8\u306E\u30BF\u30B9\u30AF\u306E\u8ACB\u6C42\u306B\u5931\u6557\u3057\u305F","Filter by month":"\u6708\u306B\u3088\u308B\u30D5\u30A3\u30EB\u30BF\u30EA\u30F3\u30B0","Store List":"\u5E97\u8217\u30EA\u30B9\u30C8","Store Map":"\u5E97\u8217\u5730\u56F3","Log Out":"\u30ED\u30B0\u30A2\u30A6\u30C8",Year:"\u5E74",Month:"\u6708",Morning:"\u5348\u524D",Afternoon:"\u5348\u5F8C",Expired:"\u671F\u9650\u5207\u308C","Are you sure you want to exit this account":"\u30A2\u30AB\u30A6\u30F3\u30C8\u3092\u7D42\u4E86\u3057\u307E\u3059\u304B",Clear:"\u30AF\u30EA\u30A2",Notification:"\u901A\u77E5","Do you want to clear the notification list":"\u3059\u3079\u3066\u306E\u901A\u77E5\u3092\u7A7A\u306B\u3057\u307E\u3059\u304B","No notification yet":"\u901A\u77E5\u306F\u3042\u308A\u307E\u305B\u3093","Check in":"\u30AB\u30FC\u30C9\u3092\u6253\u3063\u3066\u30B5\u30A4\u30F3\u3059\u308B","Re upload images":"\u753B\u50CF\u3092\u518D\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9","Check in GPS":"\u6253\u523BGPS","Check out GPS":"\u6253\u523BGPS","Your account has been logged in elsewhere, please log in again with your account password":"\u3042\u306A\u305F\u306E\u30A2\u30AB\u30A6\u30F3\u30C8\u306F\u5225\u306E\u5834\u6240\u306B\u30ED\u30B0\u30A4\u30F3\u3057\u3066\u3044\u307E\u3059\u3002\u30A2\u30AB\u30A6\u30F3\u30C8\u30D1\u30B9\u30EF\u30FC\u30C9\u3067\u518D\u30ED\u30B0\u30A4\u30F3\u3057\u3066\u304F\u3060\u3055\u3044","Your available orders have reached their maximum limit":"\u4F5C\u6210\u53EF\u80FD\u306A\u6CE8\u6587\u304C\u6700\u5927\u306B\u306A\u308A\u307E\u3057\u305F",Delete:"\u524A\u9664","Store Name":"\u5E97\u8217\u540D","Check in time":"\u30BF\u30A4\u30E0\u30AB\u30FC\u30C9","Please enable localization to obtain your location":"\u4F4D\u7F6E\u3092\u53D6\u5F97\u3059\u308B\u305F\u3081\u306B\u4F4D\u7F6E\u3092\u30AA\u30F3\u306B\u3057\u3066\u304F\u3060\u3055\u3044",CheckPoint:"\u30A8\u30F3\u30C8\u30EA\u306E\u30EC\u30D3\u30E5\u30FC",Record:"\u65E5\u8A8C",All:"\u3059\u3079\u3066","Network Request":"\u30CD\u30C3\u30C8\u30EF\u30FC\u30AF\u8981\u6C42",Error:"\u30A8\u30E9\u30FC","Stay time":"\u6EDE\u5728\u6642\u9593","Business Process":"\u30D3\u30B8\u30CD\u30B9\u30FB\u30D7\u30ED\u30BB\u30B9","APP Start":"APP\u8D77\u52D5","APP duration":"APP\u6301\u7D9A\u6642\u9593","Login duration":"\u30E9\u30F3\u30C7\u30A3\u30F3\u30B0\u30DA\u30FC\u30B8\u671F\u9593","Store GPS":"\u5E97\u8217\u4F4F\u6240","Problem Description":"\u554F\u984C\u306E\u8AAC\u660E","Please enter":"\u5165\u529B\u3057\u3066\u304F\u3060\u3055\u3044","Positive inspection items":"\u80AF\u5B9A\u30C1\u30A7\u30C3\u30AF\u9805\u76EE",Auditem:"\u76E3\u67FB\u9805\u76EE",Classification:"\u5206\u985E",Curriculum:"\u30BB\u30C3\u30B7\u30E7\u30F3",Video:"\u30D3\u30C7\u30AA",Picture:"\u30D4\u30AF\u30C1\u30E3\u30FC","Abnormal detection items":"\u7570\u5E38\u30C1\u30A7\u30C3\u30AF\u9805\u76EE","Please enter the item ID or item name to search":"\u30A8\u30F3\u30C8\u30EAID\u307E\u305F\u306F\u30A8\u30F3\u30C8\u30EA\u540D\u3092\u5165\u529B\u3057\u3066\u691C\u7D22\u3057\u3066\u304F\u3060\u3055\u3044","All Curriculum":"\u3059\u3079\u3066\u306E\u30BB\u30C3\u30B7\u30E7\u30F3","All Classification":"\u5168\u5206\u985E","Do you want to continue using the completed entry\uFF1F":"\u5165\u529B\u3057\u305F\u30A8\u30F3\u30C8\u30EA\u304C\u3042\u308A\u307E\u3059\u304B\uFF1F","Please select":"\u9078\u629E\u3057\u3066\u304F\u3060\u3055\u3044","Checking in":"\u30AB\u30FC\u30C9\u3092\u6253\u3063\u3066\u3044\u307E\u3059\u2026",Begin:"\u30B9\u30BF\u30FC\u30C8",Auditing:"\u76E3\u67FB\u4E2D","The video is too long\uFF0Cplease crop it first":"\u30D3\u30C7\u30AA\u6642\u9593\u304C\u9577\u3059\u304E\u308B\u306E\u3067\u30AB\u30C3\u30C8\u3057\u3066\u304F\u3060\u3055\u3044","Unfilled items":"\u672A\u8A18\u5165","Summarizing data":"\u30C7\u30FC\u30BF\u306E\u8981\u7D04\u4E2D","Summary check":"\u8981\u7D04\u30C1\u30A7\u30C3\u30AF","Focus of this round of review":"\u4ECA\u56DE\u306E\u30EC\u30D3\u30E5\u30FC\u306E\u91CD\u70B9","Store manager signature":"\u5E97\u8217\u30DE\u30CD\u30FC\u30B8\u30E3\u7F72\u540D",Sign:"\u7F72\u540D","Re-sign":"\u518D\u7F72\u540D","Review confirmation":"\u76E3\u67FB\u78BA\u8A8D","Check out":"\u30C1\u30A7\u30C3\u30AF\u30A2\u30A6\u30C8","Check out again":"\u518D\u30C1\u30A7\u30C3\u30AF\u30A2\u30A6\u30C8","Submit review":"\u30EC\u30D3\u30E5\u30FC\u306E\u767A\u884C",Reset:"\u30EA\u30BB\u30C3\u30C8",Signature:"\u7F72\u540D\u306E\u78BA\u8A8D","Not signed\uFF0Cplease try again":"\u7F72\u540D\u3057\u3066\u3044\u307E\u305B\u3093\u3002\u518D\u8A66\u884C\u3057\u3066\u304F\u3060\u3055\u3044","The check-out time has not been reached\uFF0Cplease enter if you have any objections":"\u30C1\u30A7\u30C3\u30AF\u30A2\u30A6\u30C8\u6642\u9593\u304C\u9054\u3057\u3066\u3044\u306A\u3044\u306E\u3067\u3001\u7570\u8B70\u304C\u3042\u308C\u3070\u5165\u529B\u3057\u3066\u304F\u3060\u3055\u3044","You have unfilled data and cannot be summarized at the moment":"\u672A\u8A18\u5165\u306E\u30C7\u30FC\u30BF\u304C\u3042\u308A\u3001\u3057\u3070\u3089\u304F\u307E\u3068\u3081\u3089\u308C\u307E\u305B\u3093","Reason not filled in\uFF0Cplease try again":"\u7406\u7531\u3092\u8A18\u5165\u3057\u3066\u3044\u307E\u305B\u3093\u3002\u518D\u8A66\u884C\u3057\u3066\u304F\u3060\u3055\u3044","You have unfilled data and cannot upload it at the moment":"\u672A\u8A18\u5165\u306E\u30C7\u30FC\u30BF\u304C\u3042\u308A\u3001\u3057\u3070\u3089\u304F\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9\u3067\u304D\u307E\u305B\u3093","Submitting for review requires a signature from the manager":"\u76E3\u67FB\u306E\u767A\u884C\u306B\u306F\u30DE\u30CD\u30FC\u30B8\u30E3\u7F72\u540D\u304C\u5FC5\u8981","Are you sure the review has been completed\uFF1F":"\u30EC\u30D3\u30E5\u30FC\u304C\u5B8C\u4E86\u3057\u305F\u3053\u3068\u3092\u78BA\u8A8D\u3057\u307E\u3057\u305F\u304B","Confirm audit success":"\u30EC\u30D3\u30E5\u30FC\u6210\u529F\u306E\u78BA\u8A8D","No special items":"\u7279\u5225\u306A\u9805\u76EE\u306F\u3042\u308A\u307E\u305B\u3093","Send email":"\u30E1\u30FC\u30EB\u3092\u9001\u4FE1","Generating email attachment":"\u30E1\u30FC\u30EB\u6DFB\u4ED8\u30D5\u30A1\u30A4\u30EB\u3092\u751F\u6210\u4E2D","Cc email address error\uFF0Cplease check and try again":"\u30E1\u30FC\u30EB\u30DC\u30C3\u30AF\u30B9\u306ECC\u30A8\u30E9\u30FC\u3001\u30C1\u30A7\u30C3\u30AF\u3057\u3066\u518D\u8A66\u884C\u3057\u3066\u304F\u3060\u3055\u3044","It can be used by multiple people ; separate it":"\u30E1\u30FC\u30EB\u30DC\u30C3\u30AF\u30B9\u3092\u5165\u529B\u3057\u3066\u3001\u8907\u6570\u4EBA\u3067\u4F7F\u7528\u3057\u3066\u3001\u533A\u5207\u3063\u3066\u304F\u3060\u3055\u3044",subject:"\u30BF\u30A4\u30C8\u30EB",To:"\u9001\u4FE1",Cc:"\u30B3\u30D4\u30FC\u5148",body:"\u672C\u4F53\u30B3\u30F3\u30C6\u30F3\u30C4","To cannot be empty":"\u9001\u4FE1\u8005\u304C\u7A7A\u306B\u306A\u3089\u306A\u3044\u308F\u3051\u306B\u306F\u3044\u304B\u306A\u3044","Error To\uFF0Cplease check and try again":"\u30E1\u30FC\u30EB\u30DC\u30C3\u30AF\u30B9\u30A8\u30E9\u30FC\u3092\u9001\u4FE1\u3057\u307E\u3057\u305F\u3002\u78BA\u8A8D\u5F8C\u306B\u518D\u8A66\u884C\u3057\u3066\u304F\u3060\u3055\u3044","Mail sent successfully":"\u30E1\u30FC\u30EB\u9001\u4FE1\u6210\u529F","cannot be empty":"\u7A7A\u306B\u3059\u308B\u3053\u3068\u306F\u3067\u304D\u307E\u305B\u3093",Upload:"\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9","You are not the latest version, please upgrade":"\u6700\u65B0\u30D0\u30FC\u30B8\u30E7\u30F3\u3067\u306F\u3042\u308A\u307E\u305B\u3093\u3002\u30A2\u30C3\u30D7\u30B0\u30EC\u30FC\u30C9\u3057\u3066\u304F\u3060\u3055\u3044","The task is currently being uploaded, please try again later":"\u30BF\u30B9\u30AF\u306F\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9\u4E2D\u3067\u3059\u306E\u3067\u3001\u5F8C\u3067\u518D\u8A66\u884C\u3057\u3066\u304F\u3060\u3055\u3044","Collection List":"\u30B3\u30EC\u30AF\u30B7\u30E7\u30F3\u30EA\u30B9\u30C8","Add sample":"\u30B5\u30F3\u30D7\u30EB\u306E\u8FFD\u52A0","Cancel collection":"\u53CE\u96C6\u89E3\u9664","Confirm sample collection":"\u63A1\u53D6\u30B5\u30F3\u30D7\u30EB\u306E\u78BA\u8A8D",Detail:"\u8A73\u7D30","Add sample classification":"\u30B5\u30F3\u30D7\u30EB\u5206\u985E\u306E\u8FFD\u52A0","Are you sure to delete the sample classification\uFF1F":"\u30B5\u30F3\u30D7\u30EB\u5206\u985E\u306E\u524A\u9664\u3092\u78BA\u8A8D\u3057\u307E\u3059\u304B\uFF1F","Are you sure to delete the sample item\uFF1F":"\u30B5\u30F3\u30D7\u30EB\u30A2\u30A4\u30C6\u30E0\u306E\u524A\u9664\u3092\u78BA\u8A8D\u3057\u307E\u3059\u304B\uFF1F","Are you sure that the project has been collected?":"\u3053\u306E\u30D7\u30ED\u30B8\u30A7\u30AF\u30C8\u304C\u63A1\u96C6\u3055\u308C\u305F\u3053\u3068\u3092\u78BA\u8A8D\u3057\u307E\u3057\u305F\u304B\uFF1F","You have not selected a sampling project yet":"\u30B5\u30F3\u30D7\u30EB\u30A2\u30A4\u30C6\u30E0\u3092\u9078\u629E\u3057\u3066\u3044\u307E\u305B\u3093","Sample details":"\u30B5\u30F3\u30D7\u30EB\u8A73\u7D30","Collection and summary":"\u53CE\u96C6\u8981\u7D04",Sample:"\u30B5\u30F3\u30D7\u30EB","Sample parameters":"\u30B5\u30F3\u30D7\u30EB\u30D1\u30E9\u30E1\u30FC\u30BF","Current version":"\u6700\u65B0\u30D0\u30FC\u30B8\u30E7\u30F3","This task has been modified on other devices.Do you want to synchronize the data":"\u3053\u306E\u30BF\u30B9\u30AF\u306F\u4ED6\u306E\u30C7\u30D0\u30A4\u30B9\u3067\u5909\u66F4\u3055\u308C\u3001\u30C7\u30FC\u30BF\u3092\u540C\u671F\u3059\u308B\u304B\u3069\u3046\u304B","Synchronize data":"\u30C7\u30FC\u30BF\u306E\u540C\u671F","Using local data":"\u30ED\u30FC\u30AB\u30EB\u30C7\u30FC\u30BF\u3092\u4F7F\u7528","Opening file":"\u30D5\u30A1\u30A4\u30EB\u3092\u958B\u3044\u3066\u3044\u307E\u3059","Sampling confirmation":"\u30B5\u30F3\u30D7\u30EA\u30F3\u30B0\u78BA\u8A8D","No mandatory option selected":"\u5FC5\u9808\u30AA\u30D7\u30B7\u30E7\u30F3\u304C\u9078\u629E\u3055\u308C\u3066\u3044\u307E\u305B\u3093","There is data that has not been uploaded":"\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9\u3055\u308C\u3066\u3044\u306A\u3044\u30C7\u30FC\u30BF\u304C\u3042\u308A\u307E\u3059","Uploading data in the background":"\u30C7\u30FC\u30BF\u3092\u30D0\u30C3\u30AF\u30B0\u30E9\u30A6\u30F3\u30C9\u3067\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9\u3057\u3066\u3044\u307E\u3059","Submit sampling":"\u30B3\u30DF\u30C3\u30C8\u30B5\u30F3\u30D7\u30EB",Refreshing:"\u66F4\u65B0\u4E2D","Start navigation":"\u30CA\u30D3\u30B2\u30FC\u30B7\u30E7\u30F3\u306E\u958B\u59CB","Open template file":"\u30C6\u30F3\u30D7\u30EC\u30FC\u30C8\u30D5\u30A1\u30A4\u30EB\u3092\u958B\u304F","Successful order grabbing":"\u53D7\u6CE8\u6210\u529F","Upload review information":"\u76E3\u67FB\u60C5\u5831\u306E\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9","Submit review information":"\u76E3\u67FB\u60C5\u5831\u306E\u767A\u884C","Upload sampling information":"\u30B5\u30F3\u30D7\u30EA\u30F3\u30B0\u60C5\u5831\u306E\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9","Submit sampling information":"\u30B5\u30F3\u30D7\u30EA\u30F3\u30B0\u60C5\u5831\u306E\u9001\u4FE1","View certificate":"\u8A3C\u660E\u66F8\u306E\u8868\u793A","Open user information QR\u30B3\u30FC\u30C9":"\u30E6\u30FC\u30B6\u30FC\u60C5\u5831QR\u30B3\u30FC\u30C9\u3092\u958B\u304F","Clear notifications":"\u901A\u77E5\u306E\u6D88\u53BB","Do you want to clear the application cache":"\u30A2\u30D7\u30EA\u30B1\u30FC\u30B7\u30E7\u30F3\u30AD\u30E3\u30C3\u30B7\u30E5\u3092\u7A7A\u306B\u3059\u308B\u304B\u3069\u3046\u304B","Clear file cache":"\u30D5\u30A1\u30A4\u30EB\u30AD\u30E3\u30C3\u30B7\u30E5\u3092\u7A7A\u306B\u3059\u308B","Clear cache":"\u30AD\u30E3\u30C3\u30B7\u30E5\u3092\u7A7A\u306B\u3059\u308B","Log time":"\u30ED\u30B0\u6642\u9593","Log content":"\u30ED\u30B0\u30B3\u30F3\u30C6\u30F3\u30C4","Video page":"\u30D3\u30C7\u30AA\u30DA\u30FC\u30B8",Loading:"\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9\u4E2D...","Image upload failed, please resubmit the task":"\u753B\u50CF\u306E\u30A2\u30C3\u30D7\u30ED\u30FC\u30C9\u306B\u5931\u6557\u3057\u307E\u3057\u305F\u3002\u30BF\u30B9\u30AF\u3092\u518D\u9001\u4FE1\u3057\u3066\u304F\u3060\u3055\u3044","Store Remark":"\u5E97\u8217\u30B3\u30E1\u30F3\u30C8","After synchronization, local data will be deleted. Do you want to continue synchronizing?":"\u540C\u671F\u5F8C\u306B\u30ED\u30FC\u30AB\u30EB\u30C7\u30FC\u30BF\u304C\u524A\u9664\u3055\u308C\u307E\u3059\u3002\u540C\u671F\u3092\u7D9A\u884C\u3057\u307E\u3059\u304B\uFF1F",am:"\u5348\u524D\u4E2D",pm:"\u5348\u5F8C","My task for today":"\u79C1\u306E\u4ECA\u65E5\u306E\u30BF\u30B9\u30AF"},fn=xn,dn={"Enter one user name":"\uC0AC\uC6A9\uC790 \uC774\uB984\uC744 \uC785\uB825\uD558\uC2ED\uC2DC\uC624","Please enter password":"\uC554\uD638\uB97C \uC785\uB825\uD558\uC2ED\uC2DC\uC624","SGS iAudit Mobile App":"SGS \uBAA8\uBC14\uC77C \uC571","Task Detail":"\uC791\uC5C5 \uC0C1\uC138 \uC815\uBCF4","Submission status":"\uC81C\uCD9C \uC0C1\uD0DC","Local data":"\uB85C\uCEEC \uB370\uC774\uD130","Remote data":"\uC6D0\uACA9 \uB370\uC774\uD130","Basic information":"\uAE30\uBCF8 \uC815\uBCF4",Longitude:"\uACBD\uB3C4",Latitude:"\uC704\uB3C4","Please use FaceID to unlock":"FaceID\uB85C \uC7A0\uAE08\uC744 \uD574\uC81C\uD558\uC2ED\uC2DC\uC624","Unlock using FaceID":"FaceID\uB97C \uC0AC\uC6A9\uD558\uC5EC \uC7A0\uAE08 \uD574\uC81C","FaceID unlocking failed":"FaceID \uC7A0\uAE08 \uD574\uC81C \uC2E4\uD328","You have not set the FACEID yet. Please set it first":"FACEID\uB97C \uC124\uC815\uD558\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4. \uBA3C\uC800 \uC124\uC815\uD558\uC2ED\uC2DC\uC624.","Please unlock with your fingerprint":"\uC9C0\uBB38\uC73C\uB85C \uC7A0\uAE08 \uD574\uC81C\uD558\uC138\uC694","Unlock using fingerprints":"\uC9C0\uBB38 \uC7A0\uAE08 \uD574\uC81C\uB97C \uC0AC\uC6A9\uD569\uB2C8\uB2E4","Fingerprint unlock failed":"\uC9C0\uBB38 \uC7A0\uAE08 \uD574\uC81C \uC2E4\uD328","You have not set your fingerprint yet. Please set it first":"\uC9C0\uBB38\uC744 \uC124\uC815\uD558\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4. \uBA3C\uC800 \uC124\uC815\uD558\uC2ED\uC2DC\uC624.","Click the login button":"\uB85C\uADF8\uC778 \uBC84\uD2BC \uD074\uB9AD","Login failed":"\uB85C\uADF8\uC778 \uC2E4\uD328","Account name or password incorrect, please check and re-enter":"\uACC4\uC815 \uC774\uB984 \uB610\uB294 \uC554\uD638 \uC624\uB958, \uD655\uC778 \uD6C4 \uB2E4\uC2DC \uAE30\uC785\uD558\uC2ED\uC2DC\uC624.","Login successful":"\uB85C\uADF8\uC778 \uC131\uACF5","Kind reminder":"\uB530\uB73B\uD55C \uD301","For the security of your account, please enable fingerprint recognition or facial recognition authentication":"\uACC4\uC815 \uBCF4\uC548\uC744 \uC704\uD574 \uC9C0\uBB38 \uC778\uC2DD \uB610\uB294 \uC5BC\uAD74 \uC778\uC2DD \uC778\uC99D\uC744 \uCF1C\uC8FC\uC138\uC694.","Choose to use biometric authentication":"\uC0DD\uCCB4\uC778\uC99D \uC0AC\uC6A9 \uC120\uD0DD",Cancel:"\uCDE8\uC18C","Logging in":"\uB85C\uADF8\uC778 \uC911...","View log":"\uB85C\uADF8 \uBCF4\uAE30","Switch locale":"\uC9C0\uC5ED \uC804\uD658","Switch language":"\uC5B8\uC5B4 \uC804\uD658",Audit:"\uAC10\uC0AC",Sampling:"\uC0D8\uD50C\uB9C1","Daily Schedule":"\uB9E4\uC77C \uC791\uC5C5","Switch language to":"\uC5B8\uC5B4 \uC804\uD658 \uC5EC\uBD80","Language switch successful":"\uC5B8\uC5B4 \uC804\uD658 \uC131\uACF5","Do you want to switch regions to":"\uC9C0\uC5ED \uC804\uD658 \uC5EC\uBD80","Region switch successful":"\uC9C0\uC5ED \uC804\uD658 \uC131\uACF5","E-card":"\uC804\uC790 \uBA85\uD568 \uD398\uC774\uC9C0",Organization:"\uC870\uC9C1",Position:"\uC9C1\uBB34","Contact information":"\uC5F0\uB77D\uCC98","SEE Information":"\uC790\uC9C8 \uAC80\uD1A0","Information not yet uploaded":"\uC778\uC99D\uC11C\uAC00 \uC544\uC9C1 \uC5C5\uB85C\uB4DC\uB418\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4","Audit calendar":"\uAC10\uC0AC \uCE98\uB9B0\uB354","Sampling calendar":"\uC0D8\uD50C\uB9C1 \uCE98\uB9B0\uB354",Today:"\uC624\uB298",MON:"MON",TUE:"TUE",WED:"WED",THU:"THU",FRI:"FRI",SAT:"SAT",SUN:"SUN","Loading Task...":"\uC791\uC5C5 \uC694\uCCAD \uC911...",Week:"\uC8FC","Sampling List":"\uC0D8\uD50C\uB9C1 \uBAA9\uB85D","Audit List":"\uAC10\uC0AC \uBAA9\uB85D","Tencent Maps":"Tencent \uC9C0\uB3C4","Baidu Maps":"\uBC14\uC774\uB450 \uC9C0\uB3C4",AMaps:"\uACE0\uB355\uC9C0\uB3C4","Apple Maps":"Apple Maps","Using third-party map navigation":"\uD0C0\uC0AC \uC9C0\uB3C4 \uD0D0\uC0C9 \uC0AC\uC6A9","The specified map application is not installed on this machine":"\uAE30\uBCF8\uC5D0\uB294 \uC9C0\uC815\uB41C \uC9C0\uB3C4 \uC571\uC774 \uC124\uCE58\uB418\uC5B4 \uC788\uC9C0 \uC54A\uC2B5\uB2C8\uB2E4.","Take Task":"\uC8FC\uBB38\uC11C","Please enter the task name or task ID":"\uC791\uC5C5 \uC774\uB984 \uB610\uB294 \uC791\uC5C5 ID\uB97C \uC785\uB825\uD558\uC2ED\uC2DC\uC624.","Store address":"\uB9E4\uC7A5 \uC8FC\uC18C",Remind:"\uC54C\uB9BC","Select time":"\uC2DC\uAC04 \uC120\uD0DD","No tasks at the moment":"\uBBF8\uC158 \uC5C6\uC74C","In total":"\uCD1D",Selected:"\uC120\uD0DD\uB428",Submit:"\uC81C\uCD9C","Select area":"\uC9C0\uC5ED \uC120\uD0DD","Select Province":"\uC808\uC57D \uC120\uD0DD","Select City":"City \uC120\uD0DD","No task selected":"\uC791\uC5C5 \uC120\uD0DD \uC548 \uD568","No audit date selected":"\uC2B9\uC778 \uB0A0\uC9DC\uAC00 \uC120\uD0DD\uB418\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4","Submitting selected tasks":"\uC120\uD0DD\uD55C \uC791\uC5C5\uC744 \uCEE4\uBC0B\uD558\uB294 \uC911","Successful Take Task":"\uC8FC\uBB38 \uAC15\uD0C8 \uC131\uACF5","Some tasks failed to take task":"\uC77C\uBD80 \uC791\uC5C5 \uAC15\uD0C8 \uC2E4\uD328","Filter by month":"\uC6D4\uBCC4 \uD544\uD130\uB9C1","Store List":"\uB9E4\uC7A5 \uBAA9\uB85D","Store Map":"\uC810\uD3EC \uC9C0\uB3C4","Log Out":"\uB85C\uADF8\uC544\uC6C3",Year:"\uB144",Month:"\uC6D4",Morning:"\uC624\uC804",Afternoon:"\uC624\uD6C4",Expired:"\uAE30\uD55C\uC774 \uCD08\uACFC\uB428","Are you sure you want to exit this account":"\uC774 \uACC4\uC815\uC744 \uC885\uB8CC\uD558\uC2DC\uACA0\uC2B5\uB2C8\uAE4C?",Clear:"\uBE44\uC6B0\uAE30",Notification:"\uC54C\uB9BC","Do you want to clear the notification list":"\uC54C\uB9BC\uC744 \uBAA8\uB450 \uBE44\uC6B0\uC2DC\uACA0\uC2B5\uB2C8\uAE4C?","No notification yet":"\uC54C\uB9BC \uC5C6\uC74C","Check in":"\uCE74\uB4DC \uCD9C\uCCB5","Re upload images":"\uC0AC\uC9C4 \uB2E4\uC2DC \uC62C\uB9AC\uAE30","Check in GPS":"\uCE74\uB4DC GPS","Check out GPS":"\uCE74\uB4DC GPS","Your account has been logged in elsewhere, please log in again with your account password":"\uB2F9\uC2E0\uC758 \uACC4\uC815\uC740 \uB2E4\uB978 \uACF3\uC5D0\uC11C \uB85C\uADF8\uC778\uD558\uC600\uC2B5\uB2C8\uB2E4. \uACC4\uC815 \uBE44\uBC00\uBC88\uD638\uB85C \uB2E4\uC2DC \uB85C\uADF8\uC778\uD558\uC2ED\uC2DC\uC624.","Your available orders have reached their maximum limit":"\uCD5C\uB300 \uC8FC\uBB38 \uCC98\uB9AC \uAC00\uB2A5",Delete:"\uC0AD\uC81C","Store Name":"\uB9E4\uC7A5 \uC774\uB984","Check in time":"\uCE74\uB4DC \uD0C0\uC784","Please enable localization to obtain your location":"\uC704\uCE58\uB97C \uC5BB\uAE30 \uC704\uD574 \uC704\uCE58\uB97C \uC124\uC815\uD558\uC2ED\uC2DC\uC624.",CheckPoint:"\uD56D\uBAA9 \uAC10\uC0AC",Record:"\uB85C\uADF8",All:"\uBAA8\uB450","Network Request":"\uB124\uD2B8\uC6CC\uD06C \uC694\uCCAD",Error:"\uC624\uB958","Stay time":"\uCCB4\uB958 \uC2DC\uAC04","Business Process":"\uBE44\uC988\uB2C8\uC2A4 \uD504\uB85C\uC138\uC2A4","APP Start":"APP \uC2DC\uC791","APP duration":"APP \uC9C0\uC18D \uC2DC\uAC04","Login duration":"\uB85C\uADF8\uC778 \uD398\uC774\uC9C0 \uAE30\uAC04","Store GPS":"\uB9E4\uC7A5 \uC8FC\uC18C","Problem Description":"\uBB38\uC81C \uC124\uBA85","Please enter":"\uC785\uB825\uD558\uC2ED\uC2DC\uC624","Positive inspection items":"\uAC80\uC0AC \uD56D\uBAA9 \uD655\uC778","Audit item":"\uC2B9\uC778 \uD56D\uBAA9",Classification:"\uBD84\uB958",Curriculum:"\uACFC\uBAA9",\uBE44\uB514\uC624:"\uBE44\uB514\uC624",Picture:"\uADF8\uB9BC","Abnormal detection items":"\uC608\uC678 \uCCB4\uD06C \uD56D\uBAA9","Please enter the item ID or item name to search":"\uD56D\uBAA9 ID \uB610\uB294 \uD56D\uBAA9 \uC774\uB984 \uAC80\uC0C9\uC744 \uC785\uB825\uD558\uC2ED\uC2DC\uC624.","All Curriculum":"\uC804\uCCB4 \uC218\uC5C5","All Classification":"\uC804\uCCB4 \uBD84\uB958","Do you want to continue using the completed entry?":"\uC785\uB825\uD55C \uD56D\uBAA9\uC744 \uACC4\uC18D \uC0AC\uC6A9\uD558\uC2DC\uACA0\uC2B5\uB2C8\uAE4C?","Please select":"\uC120\uD0DD\uD558\uC2ED\uC2DC\uC624","Checking in":"\uCE74\uB4DC \uCC0D\uB294 \uC911...",Begin:"\uC2DC\uC791",Auditing:"\uAC80\uD1A0 \uC911","The video is too long, please crop it first":"\uBE44\uB514\uC624 \uC2DC\uAC04\uC774 \uB108\uBB34 \uAE38\uBA74 \uBA3C\uC800 \uC7AC\uB2E8\uD558\uC138\uC694","Unfilled items":"\uCC44\uC6CC\uC9C0\uC9C0 \uC54A\uC74C","Summarizing data":"\uB370\uC774\uD130 \uC694\uC57D \uC911","Summary check":"\uC694\uC57D \uAC80\uC0AC","Focus of this round of review":"\uC774\uBC88 \uC2EC\uC0AC \uC911\uC810","Store manager signature":"\uB9E4\uC7A5 \uB9E4\uB2C8\uC800 \uC11C\uBA85",Sign:"\uC11C\uBA85","Re-sign":"\uB2E4\uC2DC \uC11C\uBA85","Review confirmation":"\uAC80\uD1A0 \uD655\uC778","Check out":"\uCCB4\uD06C \uC544\uC6C3","Check out again":"\uB2E4\uC2DC \uCCB4\uD06C \uC544\uC6C3","Submit review":"\uC2B9\uC778 \uC81C\uCD9C",Reset:"\uC7AC\uC124\uC815",Signature:"\uC11C\uBA85 \uD655\uC778","Not signed, please try again":"\uC11C\uBA85\uB418\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4. \uB2E4\uC2DC \uC2DC\uB3C4\uD558\uC2ED\uC2DC\uC624.","The check-out time has not been reached, please enter if you have any objections":"\uCCB4\uD06C \uC544\uC6C3 \uC2DC\uAC04\uC774 \uB3C4\uB2EC\uD558\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4. \uC774\uC758\uAC00 \uC788\uC73C\uBA74 \uC785\uB825\uD558\uC2ED\uC2DC\uC624.","You have unfilled data and cannot be summarized at the moment":"\uB2F9\uC2E0\uC740 \uAE30\uC785\uD558\uC9C0 \uC54A\uC740 \uB370\uC774\uD130\uAC00 \uC788\uC5B4 \uB2F9\uBD84\uAC04 \uC9D1\uACC4\uD560 \uC218 \uC5C6\uC2B5\uB2C8\uB2E4","Reason not filled in, please try again":"\uC774\uC720\uB97C \uC791\uC131\uD558\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4. \uB2E4\uC2DC \uC2DC\uB3C4\uD558\uC2ED\uC2DC\uC624.","You have unfilled data and cannot upload it at the moment":"\uAE30\uC785\uD558\uC9C0 \uC54A\uC740 \uB370\uC774\uD130\uAC00 \uC788\uC5B4 \uC77C\uC2DC\uC801\uC73C\uB85C \uC5C5\uB85C\uB4DC\uD560 \uC218 \uC5C6\uC2B5\uB2C8\uB2E4","Submitting for review requires a signature from the manager":"\uAC80\uD1A0\uB97C \uC81C\uCD9C\uD558\uB824\uBA74 \uAD00\uB9AC\uC790 \uC11C\uBA85\uC774 \uD544\uC694\uD569\uB2C8\uB2E4","Are you sure the review has been completed?":"\uAC80\uD1A0\uAC00 \uC644\uB8CC\uB418\uC5C8\uB294\uC9C0 \uD655\uC778\uD569\uB2C8\uB2E4.","Confirm audit success":"\uAC10\uC0AC \uC131\uACF5 \uD655\uC778","No special items":"\uD2B9\uBCC4\uD55C \uD56D\uBAA9 \uC5C6\uC74C","Send email":"\uBA54\uC77C \uBCF4\uB0B4\uAE30","Generating email attachment":"\uBA54\uC77C \uCCA8\uBD80 \uD30C\uC77C \uC0DD\uC131 \uC911","Cc email address error, please check and try again":"\uC0AC\uC11C\uD568 \uCC38\uC870 \uC624\uB958, \uD655\uC778 \uD6C4 \uB2E4\uC2DC \uC2DC\uB3C4\uD558\uC2ED\uC2DC\uC624.","It can be used by multiple people; separate it":"\uC0AC\uC11C\uD568\uC744 \uC785\uB825\uD558\uC2ED\uC2DC\uC624. \uC5EC\uB7EC \uC0AC\uB78C\uC774 \uC0AC\uC6A9\uD569\uB2C8\uB2E4. \uBD84\uB9AC",subject:"\uC81C\uBAA9",To:"\uBCF4\uB0B4\uAE30",Cc:"\uCC38\uC870",body:"\uBC8C\uD06C \uB0B4\uC6A9","To cannot be empty":"\uBC1C\uC1A1\uC790\uB294 \uBE44\uC6CC\uB458 \uC218 \uC5C6\uC2B5\uB2C8\uB2E4","Error To, please check and try again":"\uC0AC\uC11C\uD568 \uBC1C\uC1A1 \uC624\uB958, \uD655\uC778 \uD6C4 \uB2E4\uC2DC \uC2DC\uB3C4\uD558\uC2ED\uC2DC\uC624.","Mail sent successfully":"\uBA54\uC77C \uBC1C\uC1A1 \uC131\uACF5","cannot be empty":"\uBE44\uC6CC\uB458 \uC218 \uC5C6\uC74C",Upload:"\uC5C5\uB85C\uB4DC","You are not the latest version, please upgrade":"\uCD5C\uC2E0 \uBC84\uC804\uC774 \uC544\uB2D9\uB2C8\uB2E4. \uC5C5\uADF8\uB808\uC774\uB4DC\uD558\uC2ED\uC2DC\uC624","The task is currently being uploaded, please try again later":"\uC791\uC5C5\uC774 \uC5C5\uB85C\uB4DC \uC911\uC785\uB2C8\uB2E4. \uB098\uC911\uC5D0 \uB2E4\uC2DC \uC2DC\uB3C4\uD558\uC2ED\uC2DC\uC624","Collection List":"\uCC44\uC9D1 \uBAA9\uB85D","Add sample":"\uC0D8\uD50C \uCD94\uAC00","Cancel collection":"\uCC44\uC9D1 \uCDE8\uC18C","Confirm sample collection":"\uAC80\uCCB4 \uCC44\uCDE8 \uD655\uC778",Detail:"\uC790\uC138\uD55C \uC815\uBCF4","Add sample classification":"\uC0D8\uD50C \uBD84\uB958 \uCD94\uAC00","Are you sure to delete the sample classification?":"\uC774 \uC0D8\uD50C \uBD84\uB958\uB97C \uC0AD\uC81C\uD558\uC2DC\uACA0\uC2B5\uB2C8\uAE4C?","Are you sure to delete the sample item?":"\uC774 \uC0D8\uD50C \uD56D\uBAA9\uC744 \uC0AD\uC81C\uD558\uC2DC\uACA0\uC2B5\uB2C8\uAE4C?","Are you sure that the project has been collected?":"\uC774 \uD504\uB85C\uC81D\uD2B8\uAC00 \uC218\uC9D1\uB418\uC5C8\uB294\uC9C0 \uD655\uC778\uD558\uC2DC\uACA0\uC2B5\uB2C8\uAE4C?","You have not selected a sampling project yet":"\uC544\uC9C1 \uC0D8\uD50C\uB9C1 \uD56D\uBAA9\uC744 \uC120\uD0DD\uD558\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4","Sample details":"\uC0D8\uD50C \uC0C1\uC138 \uC815\uBCF4","Collection and summary":"\uCC44\uC9D1 \uC694\uC57D",Sample:"\uC0D8\uD50C","Sample parameters":"\uC0D8\uD50C \uB9E4\uAC1C\uBCC0\uC218","Current version":"\uCD5C\uC2E0 \uBC84\uC804","This task has been modified on other devices. Do you want to synchronize the data":"\uC774 \uC791\uC5C5\uC740 \uB2E4\uB978 \uC7A5\uCE58\uC5D0\uC11C \uC218\uC815\uB418\uC5C8\uC2B5\uB2C8\uB2E4. \uB370\uC774\uD130 \uB3D9\uAE30\uD654 \uC5EC\uBD80","Synchronize data":"\uB370\uC774\uD130 \uB3D9\uAE30\uD654","Using local data":"\uB85C\uCEEC \uB370\uC774\uD130 \uC0AC\uC6A9","Opening file":"\uD30C\uC77C \uC5EC\uB294 \uC911","Sampling confirmation":"\uC0D8\uD50C\uB9C1 \uD655\uC778","No mandatory option selected":"\uD544\uC218 \uC635\uC158\uC774 \uC120\uD0DD\uB418\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4","There is data that has not been uploaded":"\uB370\uC774\uD130\uAC00 \uC5C5\uB85C\uB4DC\uB418\uC9C0 \uC54A\uC558\uC2B5\uB2C8\uB2E4","Uploading data in the background":"\uBC31\uADF8\uB77C\uC6B4\uB4DC\uC5D0\uC11C \uB370\uC774\uD130 \uC5C5\uB85C\uB4DC \uC911","Submit sampling":"\uC0D8\uD50C\uB9C1 \uC81C\uCD9C",Refreshing:"\uC0C8\uB85C \uACE0\uCE68 \uC911","Start navigation":"\uD0D0\uC0C9 \uC2DC\uC791","Open template file":"\uD15C\uD50C\uB9BF \uD30C\uC77C \uC5F4\uAE30","Successful order grabbing":"\uC8FC\uBB38 \uAC15\uD0C8 \uC131\uACF5","Upload review information":"\uAC10\uC0AC \uBA54\uC2DC\uC9C0 \uC5C5\uB85C\uB4DC","Submit review information":"\uAC10\uC0AC \uC815\uBCF4 \uC81C\uCD9C","Upload sampling information":"\uC0D8\uD50C\uB9C1 \uC815\uBCF4 \uC5C5\uB85C\uB4DC","Submit sampling information":"\uC0D8\uD50C\uB9C1 \uC815\uBCF4 \uC81C\uCD9C","View certificate":"\uC778\uC99D\uC11C \uBCF4\uAE30","Open user information QR code":"\uC0AC\uC6A9\uC790 \uC815\uBCF4 QR\uCF54\uB4DC \uC5F4\uAE30","Clear notifications":"\uC54C\uB9BC \uBE44\uC6B0\uAE30","Do you want to clear the application cache":"\uC560\uD50C\uB9AC\uCF00\uC774\uC158 \uCE90\uC2DC \uBE44\uC6B0\uAE30 \uC5EC\uBD80","Clear file cache":"\uD30C\uC77C \uCE90\uC2DC \uBE44\uC6B0\uAE30","Clear cache":"\uCE90\uC2DC \uBE44\uC6B0\uAE30","Log time":"\uB85C\uADF8 \uC2DC\uAC04","Log content":"\uB85C\uADF8 \uB0B4\uC6A9","Video page":"\uBE44\uB514\uC624 \uD398\uC774\uC9C0",Loading:"\uC694\uCCAD \uC911...","Image upload failed, please resubmit the task":"\uADF8\uB9BC \uC5C5\uB85C\uB4DC \uC2E4\uD328, \uC791\uC5C5\uC744 \uB2E4\uC2DC \uC81C\uCD9C\uD558\uC2ED\uC2DC\uC624.","Store Remark":"\uC810\uD3EC \uBE44\uACE0","After synchronization, local data will be deleted. Do you want to continue synchronizing?":"\uB3D9\uAE30\uD654 \uD6C4 \uB85C\uCEEC \uB370\uC774\uD130\uAC00 \uC0AD\uC81C\uB429\uB2C8\uB2E4. \uB3D9\uAE30\uD654\uB97C \uACC4\uC18D\uD558\uC2DC\uACA0\uC2B5\uB2C8\uAE4C?",am:"\uC624\uC804",pm:"\uC624\uD6C4","My task for today":"\uC624\uB298\uC758 \uB098\uC758 \uC784\uBB34"},hn=dn,gn={homes:"\u9996\u9801","Enter one user name":"\u8ACB\u8F38\u5165\u4F7F\u7528\u8005\u540D\u7A31","Please enter password":"\u8ACB\u8F38\u5165\u5BC6\u78BC","SGS iAudit Mobile App":"SGS\u5BE9\u6838\u624B\u6A5F\u61C9\u7528\u7A0B\u5F0F","Task Detail":"\u4EFB\u52D9\u8A73\u60C5","Submission status":"\u63D0\u4EA4\u72C0\u614B","Local data":"\u672C\u5730\u8CC7\u6599","Remote data":"\u9060\u7AEF\u8CC7\u6599","Basic information":"\u57FA\u672C\u8CC7\u8A0A",Longitude:"\u7D93\u5EA6",Latitude:"\u7DEF\u5EA6","Please use FaceID to unlock":"\u8ACB\u7528FaceID\u89E3\u9396","Unlock using FaceID":"\u4F7F\u7528FaceID\u89E3\u9396","FaceID unlocking failed":"FaceID\u89E3\u9396\u5931\u6557","You have not set the FACEID yet. Please set it first":"\u60A8\u9084\u672A\u8A2D\u5B9AFACEID\u8ACB\u5148\u8A2D\u5B9A","Please unlock with your fingerprint":"\u8ACB\u7528\u6307\u7D0B\u89E3\u9396","Unlock using fingerprints":"\u4F7F\u7528\u6307\u7D0B\u89E3\u9396","Fingerprint unlock failed":"\u6307\u7D0B\u89E3\u9396\u5931\u6557","You have not set your fingerprint yet. Please set it first":"\u60A8\u9084\u672A\u8A2D\u5B9A\u6307\u7D0B\u8ACB\u5148\u8A2D\u5B9A","Click the login button":"\u9EDE\u64CA\u767B\u5165\u6309\u9215","Login failed":"\u767B\u5165\u5931\u6557","Account name or password incorrect, please check and re-enter":"\u5E33\u865F\u540D\u7A31\u6216\u5BC6\u78BC\u932F\u8AA4,\u8ACB\u6AA2\u67E5\u5F8C\u91CD\u65B0\u586B\u5BEB","Login successful":"\u767B\u5165\u6210\u529F","Kind reminder":"\u6EAB\u99A8\u63D0\u793A","For the security of your account, please enable fingerprint recognition or facial recognition authentication":"\u70BA\u4E86\u60A8\u7684\u5E33\u865F\u5B89\u5168\uFF0C\u8ACB\u958B\u555F\u6307\u7D0B\u8FA8\u8B58\u6216\u4EBA\u81C9\u8FA8\u8B58\u8A8D\u8B49","Choose to use biometric authentication":"\u9078\u64C7\u4F7F\u7528\u751F\u7269\u8A8D\u8B49",Cancel:"\u53D6\u6D88","Logging in":"\u6B63\u5728\u767B\u5165...","View log":"\u67E5\u770B\u65E5\u8A8C","Switch language":"\u5207\u63DB\u8A9E\u8A00","Switch locale":"\u5207\u63DB\u5730\u5340",Audit:"\u5BE9\u8A08",Sampling:"\u53D6\u6A23","Daily Schedule":"\u6BCF\u65E5\u4EFB\u52D9","Switch language to":"\u662F\u5426\u5207\u63DB\u8A9E\u8A00\u70BA","Language switch successful":"\u8A9E\u8A00\u5207\u63DB\u6210\u529F","Do you want to switch regions to":"\u662F\u5426\u5207\u63DB\u5730\u5340\u70BA","Region switch successful":"\u5730\u5340\u5207\u63DB\u6210\u529F","E-card":"\u96FB\u5B50\u540D\u7247\u9801",Organization:"\u7D44\u7E54",Position:"\u8077\u52D9","Contact information":"\u806F\u7D61\u65B9\u5F0F","SEE Information":"\u67E5\u95B1\u8CC7\u683C","Information not yet uploaded":"\u66AB\u672A\u4E0A\u50B3\u6191\u8B49","Audit calendar":"\u5BE9\u8A08\u65E5\u66C6","Sampling calendar":"\u53D6\u6A23\u65E5\u66C6",Today:"\u4ECA\u5929",MON:"\u4E00",TUE:"\u4E8C",WED:"\u4E09",THU:"\u56DB",FRI:"\u4E94",SAT:"\u516D",SUN:"\u65E5","Loading Task..":"\u6B63\u5728\u8ACB\u6C42\u4EFB\u52D9...",Week:"\u9031","Sampling List":"\u53D6\u6A23\u6E05\u55AE","Audit List":"\u7A3D\u6838\u6E05\u55AE","Tencent Maps":"\u9A30\u8A0A\u5730\u5716","Baidu Maps":"\u767E\u5EA6\u5730\u5716",AMaps:"\u9AD8\u5FB7\u5730\u5716","Apple Maps":"\u860B\u679C\u5730\u5716","Using third-party map navigation":"\u4F7F\u7528\u7B2C\u4E09\u65B9\u5730\u5716\u5C0E\u89BD","The specified map application is not installed on this machine":"\u672C\u6A5F\u5668\u672A\u5B89\u88DD\u8A72\u5730\u5716","Take Task":"\u6436\u55AE","Please enter the task name or task ID":"\u8ACB\u8F38\u5165\u4EFB\u52D9\u540D\u7A31\u6216\u4EFB\u52D9ID","Store address":"\u5E97\u9762\u5730\u5740",Remind:"\u63D0\u9192","Select Date":"\u9078\u64C7\u65E5\u671F","No tasks at the moment":"\u66AB\u7121\u4EFB\u52D9","In total":"\u5171",Selected:"\u5DF2\u9078\u53D6",Submit:"\u63D0\u4EA4","Select Area":"\u9078\u64C7\u5730\u5340","Select Province":"\u9078\u64C7\u7701","Select City":"\u9078\u64C7\u57CE\u5E02","No task selected":"\u672A\u9078\u64C7\u4EFB\u52D9","No audit date selected":"\u672A\u9078\u64C7\u5BE9\u6838\u65E5\u671F","Submitting selected tasks":"\u6B63\u5728\u63D0\u4EA4\u6240\u9078\u4EFB\u52D9","Successful Take Task":"\u6436\u55AE\u6210\u529F","Some tasks failed to take task":"\u90E8\u5206\u4EFB\u52D9\u6436\u55AE\u5931\u6557","Filter by month":"\u6309\u6708\u4EFD\u7BE9\u9078","Store List":"\u5546\u5E97\u6E05\u55AE","Store Map":"\u5E97\u9762\u5730\u5716","Log Out":"\u767B\u51FA",Year:"\u5E74",Month:"\u6708",Morning:"\u4E0A\u5348",Afternoon:"\u4E0B\u5348",Expired:"\u5DF2\u903E\u671F","Are you sure you want to exit this account":"\u60A8\u662F\u5426\u8981\u9000\u51FA\u8A72\u5E33\u865F",Clear:"\u6E05\u7A7A",Notification:"\u901A\u77E5","Do you want to clear the notification list":"\u60A8\u662F\u5426\u60F3\u8981\u6E05\u7A7A\u5168\u90E8\u901A\u77E5","No notification yet":"\u66AB\u7121\u901A\u77E5","Check in":"\u6253\u5361\u7C3D\u5230","Re upload images":"\u91CD\u65B0\u4E0A\u50B3\u5716\u7247","Check in GPS":"\u6253\u5361GPS","Check out GPS":"\u6253\u5361GPS","Your account has been logged in elsewhere, please log in again with your account password":"\u60A8\u7684\u5E33\u865F\u5728\u5225\u8655\u767B\u5165\u4E86\uFF0C\u8ACB\u7528\u5E33\u865F\u5BC6\u78BC\u91CD\u65B0\u767B\u5165","Your available orders have reached their maximum limit":"\u60A8\u7684\u53EF\u505A\u8A02\u55AE\u5DF2\u9054\u6700\u5927",Delete:"\u522A\u9664","Store Name":"\u5E97\u5BB6\u540D\u7A31","Check in time":"\u6253\u5361\u6642\u9593","Please enable localization to obtain your location":"\u8ACB\u958B\u555F\u5B9A\u4F4D\u4F86\u53D6\u5F97\u60A8\u7684\u4F4D\u7F6E",CheckPoint:"\u5BE9\u6838\u9805\u76EE",Record:"\u65E5\u8A8C",All:"\u5168\u90E8","Network Request":"\u7DB2\u8DEF\u8ACB\u6C42",Error:"\u932F\u8AA4","Stay time":"\u505C\u7559\u6642\u9593","Business Process":"\u696D\u52D9\u6D41\u7A0B","APP Start":"APP \u555F\u52D5","APP duration":"APP \u6301\u7E8C\u6642\u9593","Login duration":"\u767B\u5165\u9801 \u6301\u7E8C\u6642\u9593","Store GPS":"\u5E97\u9762\u5730\u5740","Problem Description":"\u554F\u984C\u63CF\u8FF0","Please enter":"\u8ACB\u8F38\u5165","Positive inspection items":"\u80AF\u5B9A\u6AA2\u67E5\u9805\u76EE","Audit item":"\u5BE9\u6838\u9805\u76EE",Classification:"\u5206\u985E",Curriculum:"\u8AB2\u76EE",Video:"\u5F71\u7247",Picture:"\u5716","Abnormal detection items":"\u7570\u5E38\u6AA2\u67E5\u9805\u76EE","Please enter the item ID or item name to search":"\u8ACB\u8F38\u5165\u689D\u76EEID\u6216\u689D\u76EE\u540D\u7A31\u641C\u5C0B","All Curriculum":"\u5168\u90E8\u8AB2\u76EE","All Classification":"\u5168\u90E8\u5206\u985E","Do you want to continue using the completed entry?":"\u60A8\u6709\u5DF2\u586B\u5BEB\u689D\u76EE\u662F\u5426\u7E7C\u7E8C\u4F7F\u7528?","Please select":"\u8ACB\u9078\u64C7","Checking in":"\u6B63\u5728\u6253\u5361...",Begin:"\u958B\u59CB",Auditing:"\u5BE9\u6838\u4E2D","The video is too long, please crop it first":"\u5F71\u7247\u6642\u9593\u904E\u9577\u8ACB\u5148\u88C1\u526A","Unfilled items":"\u672A\u586B\u9805","Summarizing data":"\u6B63\u5728\u532F\u7E3D\u6578\u64DA","Summary check":"\u532F\u7E3D\u6AA2\u67E5","Focus of this round of review":"\u672C\u8F2A\u5BE9\u6838\u91CD\u9EDE","Store manager signature":"\u9580\u5E02\u7D93\u7406\u7C3D\u540D",Sign:"\u7C3D\u540D","Re-sign":"\u91CD\u65B0\u7C3D\u540D","Review confirmation":"\u5BE9\u6838\u78BA\u8A8D","Check out":"\u7C3D\u51FA","Check out again":"\u91CD\u65B0\u7C3D\u51FA","Submit review":"\u63D0\u4EA4\u5BE9\u6838",Reset:"\u91CD\u7F6E",Signature:"\u78BA\u8A8D\u7C3D\u540D","Not signed, please try again":"\u672A\u7C3D\u540D,\u8ACB\u91CD\u8A66","The check-out time has not been reached, please enter if you have any objections":"\u7C3D\u51FA\u6642\u9593\u672A\u9054\u5230,\u5982\u6709\u7570\u8B70\u8ACB\u8F38\u5165","You have unfilled data and cannot be summarized at the moment":"\u60A8\u6709\u672A\u586B\u5BEB\u7684\u8CC7\u6599,\u66AB\u6642\u7121\u6CD5\u532F\u7E3D","Reason not filled in, please try again":"\u672A\u586B\u5BEB\u539F\u56E0,\u8ACB\u91CD\u8A66","You have unfilled data and cannot upload it at the moment":"\u60A8\u6709\u672A\u586B\u5BEB\u7684\u8CC7\u6599,\u66AB\u6642\u7121\u6CD5\u4E0A\u50B3","Submitting for review requires a signature from the manager":"\u63D0\u4EA4\u5BE9\u6838\u9700\u8981\u7D93\u7406\u7C3D\u540D","Are you sure the review has been completed?":"\u662F\u5426\u78BA\u8A8D\u5DF2\u5BE9\u6838\u5B8C","Confirm audit success":"\u78BA\u8A8D\u5BE9\u6838\u6210\u529F","No special items":"\u6C92\u6709\u7279\u6B8A\u9805","Send email":"\u767C\u9001\u90F5\u4EF6","Generating email attachment":"\u6B63\u5728\u7522\u751F\u90F5\u4EF6\u9644\u4EF6","Cc email address error, please check and try again":"\u6284\u9001\u4FE1\u7BB1\u932F\u8AA4,\u8ACB\u6AA2\u67E5\u5F8C\u91CD\u8A66","It can be used by multiple people; separate it":"\u8ACB\u8F38\u5165\u90F5\u7BB1,\u591A\u4EBA\u7528;\u9694\u958B",subject:"\u6A19\u984C",To:"\u767C\u9001\u7D66",Cc:"\u6284\u9001\u7D66",body:"\u4E3B\u9AD4\u5167\u5BB9","To cannot be empty":"\u767C\u9001\u4EBA\u4E0D\u80FD\u70BA\u7A7A","Error To\uFF0Cplease check and try again":"\u767C\u9001\u90F5\u7BB1\u932F\u8AA4\uFF0C\u8ACB\u6AA2\u67E5\u5F8C\u91CD\u8A66","Mail sent successfully":"\u90F5\u4EF6\u767C\u9001\u6210\u529F","cannot be empty":"\u4E0D\u80FD\u70BA\u7A7A",Upload:"\u4E0A\u50B3","You are not the latest version, please upgrade":"\u60A8\u4E0D\u662F\u6700\u65B0\u7248\u672C\uFF0C\u8ACB\u965E\u7D1A","The task is currently being uploaded, please try again later":"\u4EFB\u52D9\u6B63\u5728\u4E0A\u50B3\u4E2D\uFF0C\u8ACB\u7A0D\u5F8C\u518D\u8A66","Collection List":"\u63A1\u96C6\u6E05\u55AE","Add sample":"\u6DFB\u52A0\u6A23\u672C","Cancel collection":"\u53D6\u6D88\u63A1\u96C6","Confirm sample collection":"\u78BA\u8A8D\u63A1\u96C6\u6A23\u672C",Detail:"\u8A73\u60C5","Add sample classification":"\u6DFB\u52A0\u6A23\u672C\u5206\u985E","Are you sure to delete the sample classification\uFF1F":"\u662F\u5426\u78BA\u8A8D\u5220\u9664\u8A72\u6A23\u672C\u5206\u985E\uFF1F","Are you sure to delete the sample item\uFF1F":"\u662F\u5426\u78BA\u8A8D\u5220\u9664\u8A72\u6A23\u672C\u9805\uFF1F","Are you sure that the project has been collected?":"\u662F\u5426\u78BA\u8A8D\u5DF2\u63A1\u96C6\u8A72\u9805\u76EE\uFF1F","You have not selected a sampling project yet":"\u60A8\u9084\u672A\u9078\u64C7\u63A1\u6A23\u9805\u76EE","Sample details":"\u6A23\u54C1\u8A73\u60C5","Collection and summary":"\u63A1\u96C6\u532F\u7E3D",Sample:"\u6A23\u54C1","Sample parameters":"\u6A23\u54C1\u53C3\u6578","Current version":"\u6700\u65B0\u7248\u672C","This task has been modified on other devices. Do you want to synchronize the data":"\u8A72\u4EFB\u52D9\u5728\u5176\u4ED6\u8A2D\u5099\u4E2D\u88AB\u4FEE\u6539\uFF0C\u662F\u5426\u540C\u6B65\u6578\u64DA","Synchronize data":"\u540C\u6B65\u6578\u64DA","Using local data":"\u4F7F\u7528\u672C\u5730\u6578\u64DA","Opening file":"\u6B63\u5728\u6253\u958B\u6587\u4EF6","Sampling confirmation":"\u63A1\u6A23\u78BA\u8A8D","No mandatory option selected":"\u672A\u9078\u4E2D\u5FC5\u9078\u9805","There is data that has not been uploaded":"\u6709\u6578\u64DA\u672A\u4E0A\u50B3","Uploading data in the background":"\u6B63\u5728\u5F8C\u81FA\u4E0A\u50B3\u6578\u64DA","Submit sampling":"\u63D0\u4EA4\u63A1\u6A23",Refreshing:"\u6B63\u5728\u91CD\u7E6A","Start navigation":"\u555F\u52D5\u5C0E\u822A","Open template file":"\u6253\u958B\u6A21\u7248\u6A94\u6848","Successful order grabbing":"\u6436\u55AE\u6210\u529F","Upload review information":"\u4E0A\u50B3\u7A3D\u6838\u8CC7\u8A0A","Submit review information":"\u63D0\u4EA4\u7A3D\u6838\u8CC7\u8A0A","Upload sampling information":"\u4E0A\u50B3\u63A1\u6A23\u8CC7\u8A0A","Submit sampling information":"\u63D0\u4EA4\u63A1\u6A23\u8CC7\u8A0A","View certificate":"\u67E5\u770B\u8B49\u66F8","Open user information QR code":"\u6253\u958B\u7528\u6236\u8CC7\u8A0A\u4E8C\u7DAD\u78BC","Clear notifications":"\u6E05\u7A7A\u901A\u77E5","Do you want to clear the application cache":"\u662F\u5426\u6E05\u7A7A\u61C9\u7528\u7DE9\u5B58","Clear file cache":"\u6E05\u7A7A\u6A94\u6848\u7DE9\u5B58","Clear cache":"\u6E05\u7A7A\u7DE9\u5B58","Log time":"\u65E5\u8A8C\u6642\u9593","Log content":"\u65E5\u8A8C\u5167\u5BB9","Video page":"\u8996\u983B\u9801\u9762",Loading:"\u6B63\u5728\u8ACB\u6C42\u2026","Image upload failed, please resubmit the task":"\u5716\u7247\u4E0A\u50B3\u5931\u6557\uFF0C\u8ACB\u91CD\u65B0\u63D0\u4EA4\u4EFB\u52D9","Store Remark":"\u5E97\u92EA\u5099\u8A3B","After synchronization, local data will be deleted. Do you want to continue synchronizing?":"\u540C\u6B65\u5F8C\u6703\u5220\u9664\u672C\u5730\u6578\u64DA\uFF0C\u662F\u5426\u7E7C\u7E8C\u540C\u6B65\uFF1F",am:"\u4E0A\u5348",pm:"\u4E0B\u5348","My task for today":"\u6211\u7684\u4ECA\u65E5\u4EFB\u52D9"},mn=gn,pn={homes:"\u9996\u9875","Enter one user name":"\u8BF7\u8F93\u5165\u7528\u6237\u540D","Please enter password":"\u8BF7\u8F93\u5165\u5BC6\u7801","SGS iAudit Mobile App":"SGS\u5BA1\u6838\u624B\u673A\u5E94\u7528\u7A0B\u5E8F","Task Detail":"\u4EFB\u52A1\u8BE6\u60C5","Submission status":"\u63D0\u4EA4\u72B6\u6001","Local data":"\u672C\u5730\u6570\u636E","Remote data":"\u8FDC\u7A0B\u6570\u636E","Basic information":"\u57FA\u672C\u4FE1\u606F",Longitude:"\u7ECF\u5EA6",Latitude:"\u7EAC\u5EA6","Please use FaceID to unlock":"\u8BF7\u7528FaceID\u89E3\u9501","Unlock using FaceID":"\u4F7F\u7528FaceID\u89E3\u9501","FaceID unlocking failed":"FaceID\u89E3\u9501\u5931\u8D25","You have not set the FACEID yet. Please set it first":"\u60A8\u8FD8\u672A\u8BBE\u7F6EFACEID\u8BF7\u5148\u8BBE\u7F6E","Please unlock with your fingerprint":"\u8BF7\u7528\u6307\u7EB9\u89E3\u9501","Unlock using fingerprints":"\u4F7F\u7528\u6307\u7EB9\u89E3\u9501","Fingerprint unlock failed":"\u6307\u7EB9\u89E3\u9501\u5931\u8D25","You have not set your fingerprint yet. Please set it first":"\u60A8\u8FD8\u672A\u8BBE\u7F6E\u6307\u7EB9\u8BF7\u5148\u8BBE\u7F6E","Click the login button":"\u70B9\u51FB\u767B\u5F55\u6309\u94AE","Login failed":"\u767B\u5F55\u5931\u8D25","Account name or password incorrect, please check and re-enter":"\u8D26\u53F7\u540D\u6216\u5BC6\u7801\u9519\u8BEF,\u8BF7\u68C0\u67E5\u540E\u91CD\u65B0\u586B\u5199","Login successful":"\u767B\u5F55\u6210\u529F","Kind reminder":"\u6E29\u99A8\u63D0\u793A","For the security of your account, please enable fingerprint recognition or facial recognition authentication":"\u4E3A\u4E86\u60A8\u7684\u8D26\u53F7\u5B89\u5168\uFF0C\u8BF7\u5F00\u542F\u6307\u7EB9\u8BC6\u522B\u6216\u4EBA\u8138\u8BC6\u522B\u8BA4\u8BC1","Choose to use biometric authentication":"\u9009\u62E9\u4F7F\u7528\u751F\u7269\u8BA4\u8BC1",Cancel:"\u53D6\u6D88","Logging in":"\u6B63\u5728\u767B\u5F55...","View log":"\u67E5\u770B\u65E5\u5FD7","Switch language":"\u5207\u6362\u8BED\u8A00","Switch locale":"\u5207\u6362\u5730\u533A",Audit:"\u5BA1\u8BA1",Sampling:"\u53D6\u6837","Daily Schedule":"\u6BCF\u65E5\u4EFB\u52A1","Switch language to":"\u662F\u5426\u5207\u6362\u8BED\u8A00\u4E3A","Language switch successful":"\u8BED\u8A00\u5207\u6362\u6210\u529F","Do you want to switch regions to":"\u662F\u5426\u5207\u6362\u5730\u533A\u4E3A","Region switch successful":"\u5730\u533A\u5207\u6362\u6210\u529F","E-card":"\u7535\u5B50\u540D\u7247\u9875",Organization:"\u7EC4\u7EC7",Position:"\u804C\u52A1","Contact information":"\u8054\u7CFB\u65B9\u5F0F","SEE Information":"\u67E5\u9605\u8D44\u8D28","Information not yet uploaded":"\u6682\u672A\u4E0A\u4F20\u8BC1\u4E66","Audit calendar":"\u5BA1\u8BA1\u65E5\u5386","Sampling calendar":"\u53D6\u6837\u65E5\u5386",Today:"\u4ECA\u5929",MON:"\u4E00",TUE:"\u4E8C",WED:"\u4E09",THU:"\u56DB",FRI:"\u4E94",SAT:"\u516D",SUN:"\u65E5","Loading Task..":"\u6B63\u5728\u8BF7\u6C42\u4EFB\u52A1...",Week:"\u5468","Sampling List":"\u53D6\u6837\u5217\u8868","Audit List":"\u5BA1\u8BA1\u5217\u8868","Tencent Maps":"\u817E\u8BAF\u5730\u56FE","Baidu Maps":"\u767E\u5EA6\u5730\u56FE",AMaps:"\u9AD8\u5FB7\u5730\u56FE","Apple Maps":"\u82F9\u679C\u5730\u56FE","Using third-party map navigation":"\u4F7F\u7528\u7B2C\u4E09\u65B9\u5730\u56FE\u5BFC\u822A","The specified map application is not installed on this machine":"\u672C\u673A\u5668\u672A\u5B89\u88C5\u8BE5\u5730\u56FE","Take Task":"\u62A2\u5355","Please enter the task name or task ID":"\u8BF7\u8F93\u5165\u4EFB\u52A1\u540D\u79F0\u6216\u4EFB\u52A1ID","Store address":"\u5E97\u94FA\u5730\u5740",Remind:"\u63D0\u9192","Select Date":"\u9009\u62E9\u65E5\u671F","No tasks at the moment":"\u6682\u65E0\u4EFB\u52A1","In total":"\u5171",Selected:"\u5DF2\u9009",Submit:"\u63D0\u4EA4","Select Area":"\u9009\u62E9\u5730\u533A","Select Province":"\u9009\u62E9\u7701","Select City":"\u9009\u62E9\u5E02","No task selected":"\u672A\u9009\u62E9\u4EFB\u52A1","No audit date selected":"\u672A\u9009\u62E9\u5BA1\u6838\u65E5\u671F","Submitting selected tasks":"\u6B63\u5728\u63D0\u4EA4\u6240\u9009\u4EFB\u52A1","Successful Take Task":"\u62A2\u5355\u6210\u529F","Some tasks failed to take task":"\u90E8\u5206\u4EFB\u52A1\u62A2\u5355\u5931\u8D25","Filter by month":"\u6309\u6708\u4EFD\u7B5B\u9009","Store List":"\u5E97\u94FA\u5217\u8868","Store Map":"\u5E97\u94FA\u5730\u56FE","Log Out":"\u767B\u51FA",Year:"\u5E74",Month:"\u6708",Morning:"\u4E0A\u5348",Afternoon:"\u4E0B\u5348",Expired:"\u5DF2\u8D85\u671F","Are you sure you want to exit this account":"\u60A8\u662F\u5426\u8981\u9000\u51FA\u8BE5\u8D26\u53F7",Clear:"\u6E05\u7A7A",Notification:"\u901A\u77E5","Do you want to clear the notification list":"\u60A8\u662F\u5426\u60F3\u8981\u6E05\u7A7A\u5168\u90E8\u901A\u77E5","No notification yet":"\u6682\u65E0\u901A\u77E5","Check in":"\u6253\u5361\u7B7E\u5230","Re upload images":"\u91CD\u65B0\u4E0A\u4F20\u56FE\u7247","Check in GPS":"\u6253\u5361GPS","Your account has been logged in elsewhere, please log in again with your account password":"\u60A8\u7684\u8D26\u53F7\u5728\u522B\u5904\u767B\u5F55\u4E86\uFF0C\u8BF7\u7528\u8D26\u53F7\u5BC6\u7801\u91CD\u65B0\u767B\u5F55","Your available orders have reached their maximum limit":"\u60A8\u7684\u53EF\u505A\u8BA2\u5355\u5DF2\u8FBE\u6700\u5927",Delete:"\u5220\u9664","Store Name":"\u5E97\u94FA\u540D\u79F0","Check in time":"\u6253\u5361\u65F6\u95F4","Please enable localization to obtain your location":"\u8BF7\u5F00\u542F\u5B9A\u4F4D\u6765\u83B7\u53D6\u60A8\u7684\u4F4D\u7F6E",CheckPoint:"\u5BA1\u6838\u6761\u76EE",Record:"\u65E5\u5FD7",All:"\u5168\u90E8","Network Request":"\u7F51\u7EDC\u8BF7\u6C42",Error:"\u9519\u8BEF","Stay time":"\u505C\u7559\u65F6\u95F4","Business Process":"\u4E1A\u52A1\u6D41\u7A0B","APP Start":"APP \u542F\u52A8","APP duration":"APP \u6301\u7EED\u65F6\u95F4","Login duration":"\u767B\u5F55\u9875 \u6301\u7EED\u65F6\u95F4","Store GPS":"\u5E97\u94FA\u5730\u5740","Problem Description":"\u95EE\u9898\u63CF\u8FF0","Please enter":"\u8BF7\u8F93\u5165","Positive inspection items":"\u80AF\u5B9A\u68C0\u67E5\u9879","Audit item":"\u5BA1\u6838\u9879",Classification:"\u5206\u7C7B",Curriculum:"\u8BFE\u76EE",Video:"\u89C6\u9891",Picture:"\u56FE\u7247","Abnormal detection items":"\u5F02\u5E38\u68C0\u67E5\u9879","Please enter the item ID or item name to search":"\u8BF7\u8F93\u5165\u6761\u76EEID\u6216\u8005\u6761\u76EE\u540D\u79F0\u641C\u7D22","All Curriculum":"\u5168\u90E8\u8BFE\u76EE","All Classification":"\u5168\u90E8\u5206\u7C7B","Do you want to continue using the completed entry?":"\u60A8\u6709\u5DF2\u586B\u5199\u6761\u76EE\u662F\u5426\u7EE7\u7EED\u4F7F\u7528?","Please select":"\u8BF7\u9009\u62E9","Checking in":"\u6B63\u5728\u6253\u5361...",Begin:"\u5F00\u59CB",Auditing:"\u5BA1\u6838\u4E2D","The video is too long, please crop it first":"\u89C6\u9891\u65F6\u95F4\u8FC7\u957F\u8BF7\u5148\u88C1\u526A","Unfilled items":"\u672A\u586B\u9879","Summarizing data":"\u6B63\u5728\u6C47\u603B\u6570\u636E","Summary check":"\u6C47\u603B\u68C0\u67E5","Focus of this round of review":"\u672C\u8F6E\u5BA1\u6838\u91CD\u70B9","Store manager signature":"\u95E8\u5E97\u7ECF\u7406\u7B7E\u540D",Sign:"\u7B7E\u540D","Re-sign":"\u91CD\u65B0\u7B7E\u540D","Review confirmation":"\u5BA1\u6838\u786E\u8BA4","Check out":"\u7B7E\u51FA","Check out again":"\u91CD\u65B0\u7B7E\u51FA","Submit review":"\u63D0\u4EA4\u5BA1\u6838",Reset:"\u91CD\u7F6E",Signature:"\u786E\u8BA4\u7B7E\u540D","Not signed, please try again":"\u672A\u7B7E\u540D,\u8BF7\u91CD\u8BD5","The check-out time has not been reached, please enter if you have any objections":"\u7B7E\u51FA\u65F6\u95F4\u672A\u8FBE\u5230,\u5982\u6709\u5F02\u8BAE\u8BF7\u8F93\u5165","You have unfilled data and cannot be summarized at the moment":"\u60A8\u6709\u672A\u586B\u5199\u7684\u6570\u636E,\u6682\u65F6\u65E0\u6CD5\u6C47\u603B","Reason not filled in, please try again":"\u672A\u586B\u5199\u539F\u56E0,\u8BF7\u91CD\u8BD5","You have unfilled data and cannot upload it at the moment":"\u60A8\u6709\u672A\u586B\u5199\u7684\u6570\u636E,\u6682\u65F6\u65E0\u6CD5\u4E0A\u4F20","Submitting for review requires a signature from the manager":"\u63D0\u4EA4\u5BA1\u6838\u9700\u8981\u7ECF\u7406\u7B7E\u540D","Are you sure the review has been completed?":"\u662F\u5426\u786E\u8BA4\u5DF2\u5BA1\u6838\u5B8C","Confirm audit success":"\u786E\u8BA4\u5BA1\u6838\u6210\u529F","No special items":"\u6CA1\u6709\u7279\u6B8A\u9879","Send email":"\u53D1\u9001\u90AE\u4EF6","Generating email attachment":"\u6B63\u5728\u751F\u6210\u90AE\u4EF6\u9644\u4EF6","Cc email address error, please check and try again":"\u6284\u9001\u90AE\u7BB1\u9519\u8BEF,\u8BF7\u68C0\u67E5\u540E\u91CD\u8BD5","It can be used by multiple people; separate it":"\u8BF7\u8F93\u5165\u90AE\u7BB1,\u591A\u4EBA\u7528;\u9694\u5F00",subject:"\u6807\u9898",To:"\u53D1\u9001\u7ED9",Cc:"\u6284\u9001\u7ED9",body:"\u4E3B\u4F53\u5185\u5BB9","To cannot be empty":"\u53D1\u9001\u4EBA\u4E0D\u80FD\u4E3A\u7A7A","Error To, please check and try again":"\u53D1\u9001\u90AE\u7BB1\u9519\u8BEF,\u8BF7\u68C0\u67E5\u540E\u91CD\u8BD5","Mail sent successfully":"\u90AE\u4EF6\u53D1\u9001\u6210\u529F","cannot be empty":"\u4E0D\u80FD\u4E3A\u7A7A",Upload:"\u4E0A\u4F20","You are not the latest version, please upgrade":"\u60A8\u4E0D\u662F\u6700\u65B0\u7248\u672C,\u8BF7\u5347\u7EA7","The task is currently being uploaded, please try again later":"\u4EFB\u52A1\u6B63\u5728\u4E0A\u4F20\u4E2D,\u8BF7\u7A0D\u540E\u518D\u8BD5","Collection List":"\u91C7\u96C6\u5217\u8868","Add sample":"\u6DFB\u52A0\u6837\u672C","Cancel collection":"\u53D6\u6D88\u91C7\u96C6","Confirm sample collection":"\u786E\u8BA4\u91C7\u96C6\u6837\u672C",Detail:"\u8BE6\u60C5","Add sample classification":"\u6DFB\u52A0\u6837\u672C\u5206\u7C7B","Are you sure to delete the sample classification?":"\u662F\u5426\u786E\u8BA4\u5220\u9664\u8BE5\u6837\u672C\u5206\u7C7B?","Are you sure to delete the sample item?":"\u662F\u5426\u786E\u8BA4\u5220\u9664\u8BE5\u6837\u672C\u9879?","Are you sure that the project has been collected?":"\u662F\u5426\u786E\u8BA4\u5DF2\u91C7\u96C6\u8BE5\u9879\u76EE?","You have not selected a sampling project yet":"\u60A8\u8FD8\u672A\u9009\u62E9\u91C7\u6837\u9879\u76EE","Sample details":"\u6837\u54C1\u8BE6\u60C5","Collection and summary":"\u91C7\u96C6\u6C47\u603B",Sample:"\u6837\u54C1","Sample parameters":"\u6837\u54C1\u53C2\u6570","Current version":"\u6700\u65B0\u7248\u672C","This task has been modified on other devices. Do you want to synchronize the data":"\u8BE5\u4EFB\u52A1\u5728\u5176\u4ED6\u8BBE\u5907\u4E2D\u88AB\u4FEE\u6539, \u662F\u5426\u540C\u6B65\u6570\u636E","Synchronize data":"\u540C\u6B65\u6570\u636E","Using local data":"\u4F7F\u7528\u672C\u5730\u6570\u636E","Opening file":"\u6B63\u5728\u6253\u5F00\u6587\u4EF6","Sampling confirmation":"\u91C7\u6837\u786E\u8BA4","No mandatory option selected":"\u672A\u9009\u4E2D\u5FC5\u9009\u9879","There is data that has not been uploaded":"\u6709\u6570\u636E\u672A\u4E0A\u4F20","Uploading data in the background":"\u6B63\u5728\u540E\u53F0\u4E0A\u4F20\u6570\u636E","Submit sampling":"\u63D0\u4EA4\u91C7\u6837",Refreshing:"\u6B63\u5728\u5237\u65B0","Start navigation":"\u542F\u52A8\u5BFC\u822A","Open template file":"\u6253\u5F00\u6A21\u7248\u6587\u4EF6","Successful order grabbing":"\u62A2\u5355\u6210\u529F","Upload review information":"\u4E0A\u4F20\u5BA1\u6838\u4FE1\u606F","Submit review information":"\u63D0\u4EA4\u5BA1\u6838\u4FE1\u606F","Upload sampling information":"\u4E0A\u4F20\u91C7\u6837\u4FE1\u606F","Submit sampling information":"\u63D0\u4EA4\u91C7\u6837\u4FE1\u606F","View certificate":"\u67E5\u770B\u8BC1\u4E66","Open user information QR code":"\u6253\u5F00\u7528\u6237\u4FE1\u606F\u4E8C\u7EF4\u7801","Clear notifications":"\u6E05\u7A7A\u901A\u77E5","Do you want to clear the application cache":"\u662F\u5426\u6E05\u7A7A\u5E94\u7528\u7F13\u5B58","Clear file cache":"\u6E05\u7A7A\u6587\u4EF6\u7F13\u5B58","Clear cache":"\u6E05\u7A7A\u7F13\u5B58","Log time":"\u65E5\u5FD7\u65F6\u95F4","Log content":"\u65E5\u5FD7\u5185\u5BB9","Video page":"\u89C6\u9891\u9875\u9762",Loading:"\u6B63\u5728\u4E0A\u4F20...","Image upload failed, please resubmit the task":"\u56FE\u7247\u4E0A\u4F20\u5931\u8D25,\u8BF7\u91CD\u65B0\u63D0\u4EA4\u4EFB\u52A1","Store Remark":"\u5E97\u94FA\u5907\u6CE8","After synchronization, local data will be deleted. Do you want to continue synchronizing?":"\u540C\u6B65\u540E\u4F1A\u5220\u9664\u672C\u5730\u6570\u636E,\u662F\u5426\u7EE7\u7EED\u540C\u6B65?",am:"\u4E0A\u5348",pm:"\u4E0B\u5348","My task for today":"\u6211\u7684\u4ECA\u65E5\u4EFB\u52A1"},vn=pn,Cn={homes:"\u9996\u9801","Enter one user name":"\u8ACB\u8F38\u5165\u7528\u6236\u540D","Please enter password":"\u8ACB\u8F38\u5165\u5BC6\u78BC","SGS iAudit Mobile App":"SGS\u7A3D\u6838\u624B\u6A5F\u61C9\u7528\u7A0B\u5E8F","Task Detail":"\u4EFB\u52D9\u8A73\u60C5","Submission status":"\u63D0\u4EA4\u72C0\u614B","Local data":"\u672C\u5730\u6578\u64DA","Remote data":"\u9060\u7A0B\u6578\u64DA","Basic information":"\u57FA\u672C\u8CC7\u8A0A",Longitude:"\u7D93\u5EA6",Latitude:"\u7DEF\u5EA6","Please use FaceID to unlock":"\u8ACB\u7528FaceID\u89E3\u9396","Unlock using FaceID":"\u4F7F\u7528FaceID\u89E3\u9396","FaceID unlocking failed":"FaceID\u89E3\u9396\u5931\u6557","You have not set the FACEID yet. Please set it first":"\u60A8\u9084\u672A\u8A2D\u5B9AFACEID\u8ACB\u5148\u8A2D\u5B9A","Please unlock with your fingerprint":"\u8ACB\u7528\u6307\u7D0B\u89E3\u9396","Unlock using fingerprints":"\u4F7F\u7528\u6307\u7D0B\u89E3\u9396","Fingerprint unlock failed":"\u6307\u7D0B\u89E3\u9396\u5931\u6557","You have not set your fingerprint yet. Please set it first":"\u60A8\u9084\u672A\u8A2D\u5B9A\u6307\u7D0B\u8ACB\u5148\u8A2D\u5B9A","Click the login button":"\u9EDE\u64CA\u767B\u5165\u6309\u9215","Login failed":"\u767B\u5165\u5931\u6557","Account name or password incorrect,please check and re-enter":"\u5E33\u865F\u540D\u6216\u5BC6\u78BC\u932F\u8AA4,\u8ACB\u6AA2\u67E5\u5F8C\u91CD\u65B0\u586B\u5BEB","Login successful":"\u767B\u5165\u6210\u529F","Kind reminder":"\u6EAB\u99A8\u63D0\u793A","For the security of your account,please enable fingerprint recognition or facial recognition authentication":"\u70BA\u4E86\u60A8\u7684\u5E33\u865F\u5B89\u5168,\u8ACB\u958B\u555F\u6307\u7D0B\u8B58\u5225\u6216\u4EBA\u81C9\u8B58\u5225\u8A8D\u8B49","Choose to use biometric authentication":"\u9078\u64C7\u4F7F\u7528\u751F\u7269\u8A8D\u8B49",Cancel:"\u53D6\u6D88","Logging in":"\u6B63\u5728\u767B\u5165\u2026","View log":"\u67E5\u770B\u65E5\u8A8C","Switch language":"\u5207\u63DB\u8A9E\u8A00","Switch locale":"\u5207\u63DB\u5730\u5340",Audit:"\u7A3D\u6838",Sampling:"\u53D6\u6A23","Daily Schedule":"\u6BCF\u65E5\u4EFB\u52D9","Switch language to":"\u662F\u5426\u5207\u63DB\u8A9E\u8A00\u70BA","Language switch successful":"\u8A9E\u8A00\u5207\u63DB\u6210\u529F","Do you want to switch regions to":"\u662F\u5426\u5207\u63DB\u5730\u5340\u70BA","Region switch successful":"\u5730\u5340\u5207\u63DB\u6210\u529F","E-card":"\u96FB\u5B50\u540D\u7247\u9801",Organization:"\u7D44\u7E54",Position:"\u8077\u52D9","Contact information":"\u806F\u7E6B\u65B9\u5F0F","SEE Information":"\u67E5\u95B1\u8CC7\u8CEA","Information not yet uploaded":"\u66AB\u672A\u4E0A\u50B3\u8B49\u66F8","Audit calendar":"\u7A3D\u6838\u884C\u4E8B\u66C6","Sampling calendar":"\u53D6\u6A23\u884C\u4E8B\u66C6",Today:"\u4ECA\u5929",MON:"\u4E00",TUE:"\u4E8C",WED:"\u4E09",THU:"\u56DB",FRI:"\u4E94",SAT:"\u516D",SUN:"\u65E5","Loading Task..":"\u6B63\u5728\u8ACB\u6C42\u4EFB\u52D9\u2026",Week:"\u5468","Sampling List":"\u53D6\u6A23\u6E05\u55AE","Audit List":"\u7A3D\u6838\u6E05\u55AE","Tencent Maps":"\u9A30\u8A0A\u5730\u5716","Baidu Maps":"\u767E\u5EA6\u5730\u5716",AMaps:"\u9AD8\u5FB7\u5730\u5716","Apple Maps":"\u860B\u679C\u5730\u5716","Using third-party map navigation":"\u4F7F\u7528\u5354\u529B\u5EE0\u5546\u5730\u5716\u5C0E\u822A","The specified map application is not installed on this machine":"\u672C\u6A5F\u672A\u5B89\u88DD\u6307\u5B9A\u7684\u5730\u5716\u61C9\u7528","Take Task":"\u6436\u55AE","Please enter the task name or task ID":"\u8ACB\u8F38\u5165\u4EFB\u52D9\u540D\u7A31\u6216\u4EFB\u52D9ID","Store address":"\u5E97\u92EA\u5730\u5740",Remind:"\u63D0\u9192","Select time":"\u9078\u64C7\u6642\u9593","No tasks at the moment":"\u66AB\u7121\u4EFB\u52D9","In total":"\u5171",Selected:"\u5DF2\u9078",Submit:"\u63D0\u4EA4","Select Area":"\u9078\u64C7\u5730\u5340","Select Province":"\u9078\u64C7\u7701","Select City":"\u9078\u64C7\u5E02","No task selected":"\u672A\u9078\u64C7\u4EFB\u52D9","No audit date selected":"\u672A\u9078\u64C7\u5BE9\u6838\u65E5\u671F","Submitting selected tasks":"\u6B63\u5728\u63D0\u4EA4\u6240\u9078\u4EFB\u52D9","Successful Take Task":"\u6436\u55AE\u6210\u529F","Some tasks failed to take task":"\u90E8\u5206\u4EFB\u52D9\u6436\u55AE\u5931\u6557","Store List":"\u5E97\u92EA\u6E05\u55AE","Store Map":"\u5E97\u92EA\u5730\u5716","Log Out":"\u767B\u51FA",Year:"\u5E74",Month:"\u6708",Morning:"\u4E0A\u5348",Afternoon:"\u4E0B\u5348",Expired:"\u5DF2\u8D85\u671F","Are you sure you want to exit this account":"\u60A8\u662F\u5426\u8981\u9000\u51FA\u8A72\u5E33\u865F",Clear:"\u6E05\u7A7A",Notification:"\u901A\u77E5","Do you want to clear the notification list":"\u60A8\u662F\u5426\u60F3\u8981\u6E05\u7A7A\u5168\u90E8\u901A\u77E5","No notification yet":"\u66AB\u7121\u901A\u77E5","Check in":"\u6253\u5361\u7C3D\u5230","Re upload images":"\u91CD\u65B0\u4E0A\u50B3\u5716\u7247","Check in GPS":"\u6253\u5361GPS","Check out GPS":"\u6253\u5361GPS","Your account has been logged in elsewhere, please log in again with your account password":"\u60A8\u7684\u5E33\u865F\u5728\u5225\u8655\u767B\u5165\u4E86\uFF0C\u8ACB\u7528\u5E33\u865F\u5BC6\u78BC\u91CD\u65B0\u767B\u5165","Your available orders have reached their maximum limit":"\u60A8\u7684\u53EF\u505A\u8A02\u55AE\u5DF2\u9054\u6700\u5927",Delete:"\u5220\u9664","Store Name":"\u5E97\u92EA\u540D\u7A31","Check in time":"\u6253\u5361\u6642\u9593","Please enable localization to obtain your location":"\u8ACB\u958B\u555F\u5B9A\u4F4D\u4F86\u7372\u53D6\u60A8\u7684\u4F4D\u7F6E",CheckPoint:"\u7A3D\u6838\u689D\u76EE",Record:"\u65E5\u8A8C",All:"\u5168\u90E8","Network Request":"\u7DB2\u7D61\u8ACB\u6C42",Error:"\u932F\u8AA4","Stay time":"\u505C\u7559\u6642\u9593","Business Process":"\u696D\u52D9\u6D41\u7A0B","APP Start":"APP\u555F\u52D5","APP duration":"APP\u6301\u7E8C\u6642\u9593","Login duration":"\u767B\u5165\u9801\u6301\u7E8C\u6642\u9593","Store GPS":"\u5E97\u92EA\u5730\u5740","Problem Description":"\u554F\u984C\u63CF\u8FF0","Please enter":"\u8ACB\u8F38\u5165","Positive inspection items":"\u80AF\u5B9A\u6AA2\u67E5\u9805","Audit item":"\u7A3D\u6838\u9805",Classification:"\u5206\u985E",Curriculum:"\u8AB2\u76EE",Video:"\u8996\u983B",Picture:"\u5716\u7247","Abnormal detection items":"\u5F02\u5E38\u6AA2\u67E5\u9805","Please enter the item ID or item name to search":"\u8ACB\u8F38\u5165\u689D\u76EEID\u6216\u8005\u689D\u76EE\u540D\u7A31\u8490\u7D22","All Curriculum":"\u5168\u90E8\u8AB2\u76EE","All Classification":"\u5168\u90E8\u5206\u985E","Do you want to continue using the completed entry\uFF1F":"\u60A8\u6709\u5DF2\u586B\u5BEB\u689D\u76EE\u662F\u5426\u7E7C\u7E8C\u4F7F\u7528\uFF1F","Please select":"\u8ACB\u9078\u64C7","Checking in":"\u6B63\u5728\u6253\u5361\u2026",Begin:"\u958B\u59CB",Auditing:"\u5BE9\u6838\u4E2D","The video is too long, please crop it first":"\u5F71\u7247\u6642\u9593\u904E\u9577\u8ACB\u5148\u88C1\u526A","Unfilled items":"\u672A\u586B\u9805","Summarizing data":"\u6B63\u5728\u532F\u7E3D\u6578\u64DA","Summary check":"\u532F\u7E3D\u6AA2\u67E5","Focus of this round of review":"\u672C\u8F2A\u5BE9\u6838\u91CD\u9EDE","Store manager signature":"\u9580\u5E02\u7D93\u7406\u7C3D\u540D",Sign:"\u7C3D\u540D","Re-sign":"\u91CD\u65B0\u7C3D\u540D","Review confirmation":"\u5BE9\u6838\u78BA\u8A8D","Check out":"\u7C3D\u51FA","Check out again":"\u91CD\u65B0\u7C3D\u51FA","Submit review":"\u63D0\u4EA4\u5BE9\u6838",Reset:"\u91CD\u7F6E",Signature:"\u78BA\u8A8D\u7C3D\u540D","Not signed, please try again":"\u672A\u7C3D\u540D,\u8ACB\u91CD\u8A66","The check-out time has not been reached, please enter if you have any objections":"\u7C3D\u51FA\u6642\u9593\u672A\u9054\u5230,\u5982\u6709\u7570\u8B70\u8ACB\u8F38\u5165","You have unfilled data and cannot be summarized at the moment":"\u60A8\u6709\u672A\u586B\u5BEB\u7684\u8CC7\u6599,\u66AB\u6642\u7121\u6CD5\u532F\u7E3D","Reason not filled in, please try again":"\u672A\u586B\u5BEB\u539F\u56E0,\u8ACB\u91CD\u8A66","Submitting for review requires a signature from the manager":"\u63D0\u4EA4\u5BE9\u6838\u9700\u8981\u7D93\u7406\u7C3D\u540D","Are you sure the review has been completed?":"\u662F\u5426\u78BA\u8A8D\u5DF2\u5BE9\u6838\u5B8C","Confirm audit success":"\u78BA\u8A8D\u5BE9\u6838\u6210\u529F","No special items":"\u6C92\u6709\u7279\u6B8A\u9805","Send email":"\u767C\u9001\u90F5\u4EF6","Generating email attachment":"\u6B63\u5728\u7522\u751F\u90F5\u4EF6\u9644\u4EF6","Cc email address error, please check and try again":"\u6284\u9001\u4FE1\u7BB1\u932F\u8AA4,\u8ACB\u6AA2\u67E5\u5F8C\u91CD\u8A66","It can be used by multiple people; separate it":"\u8ACB\u8F38\u5165\u90F5\u7BB1,\u591A\u4EBA\u7528;\u9694\u958B",subject:"\u6A19\u984C",To:"\u767C\u9001\u7D66",Cc:"\u6284\u9001\u7D66",body:"\u4E3B\u9AD4\u5167\u5BB9","To cannot be empty":"\u767C\u9001\u4EBA\u4E0D\u80FD\u70BA\u7A7A","Error To\uFF0Cplease check and try again":"\u767C\u9001\u90F5\u7BB1\u932F\u8AA4\uFF0C\u8ACB\u6AA2\u67E5\u5F8C\u91CD\u8A66","Mail sent successfully":"\u90F5\u4EF6\u767C\u9001\u6210\u529F","cannot be empty":"\u4E0D\u80FD\u70BA\u7A7A",Upload:"\u4E0A\u50B3","You are not the latest version, please upgrade":"\u60A8\u4E0D\u662F\u6700\u65B0\u7248\u672C\uFF0C\u8ACB\u965E\u7D1A","The task is currently being uploaded, please try again later":"\u4EFB\u52D9\u6B63\u5728\u4E0A\u50B3\u4E2D\uFF0C\u8ACB\u7A0D\u5F8C\u518D\u8A66","Collection List":"\u63A1\u96C6\u6E05\u55AE","Add sample":"\u6DFB\u52A0\u6A23\u672C","Cancel collection":"\u53D6\u6D88\u63A1\u96C6","Confirm sample collection":"\u78BA\u8A8D\u63A1\u96C6\u6A23\u672C",Detail:"\u8A73\u60C5","Add sample classification":"\u6DFB\u52A0\u6A23\u672C\u5206\u985E","Are you sure to delete the sample classification\uFF1F":"\u662F\u5426\u78BA\u8A8D\u5220\u9664\u8A72\u6A23\u672C\u5206\u985E\uFF1F","Are you sure to delete the sample item\uFF1F":"\u662F\u5426\u78BA\u8A8D\u5220\u9664\u8A72\u6A23\u672C\u9805\uFF1F","Are you sure that the project has been collected?":"\u662F\u5426\u78BA\u8A8D\u5DF2\u63A1\u96C6\u8A72\u9805\u76EE\uFF1F","You have not selected a sampling project yet":"\u60A8\u9084\u672A\u9078\u64C7\u63A1\u6A23\u9805\u76EE","Sample details":"\u6A23\u54C1\u8A73\u60C5","Collection and summary":"\u63A1\u96C6\u532F\u7E3D",Sample:"\u6A23\u54C1","Sample parameters":"\u6A23\u54C1\u53C3\u6578","Current version":"\u6700\u65B0\u7248\u672C","This task has been modified on other devices. Do you want to synchronize the data":"\u8A72\u4EFB\u52D9\u5728\u5176\u4ED6\u8A2D\u5099\u4E2D\u88AB\u4FEE\u6539\uFF0C\u662F\u5426\u540C\u6B65\u6578\u64DA","Synchronize data":"\u540C\u6B65\u6578\u64DA","Using local data":"\u4F7F\u7528\u672C\u5730\u6578\u64DA","Opening file":"\u6B63\u5728\u6253\u958B\u6587\u4EF6","Sampling confirmation":"\u63A1\u6A23\u78BA\u8A8D","No mandatory option selected":"\u672A\u9078\u4E2D\u5FC5\u9078\u9805","There is data that has not been uploaded":"\u6709\u6578\u64DA\u672A\u4E0A\u50B3","Uploading data in the background":"\u6B63\u5728\u5F8C\u81FA\u4E0A\u50B3\u6578\u64DA","Submit sampling":"\u63D0\u4EA4\u63A1\u6A23",Refreshing:"\u6B63\u5728\u91CD\u7E6A","Start navigation":"\u555F\u52D5\u5C0E\u822A","Open template file":"\u6253\u958B\u6A21\u7248\u6A94\u6848","Successful order grabbing":"\u6436\u55AE\u6210\u529F","Upload review information":"\u4E0A\u50B3\u7A3D\u6838\u8CC7\u8A0A","Submit review information":"\u63D0\u4EA4\u7A3D\u6838\u8CC7\u8A0A","Upload sampling information":"\u4E0A\u50B3\u63A1\u6A23\u8CC7\u8A0A","Submit sampling information":"\u63D0\u4EA4\u63A1\u6A23\u8CC7\u8A0A","View certificate":"\u67E5\u770B\u8B49\u66F8","Open user information QR code":"\u6253\u958B\u7528\u6236\u8CC7\u8A0A\u4E8C\u7DAD\u78BC","Clear notifications":"\u6E05\u7A7A\u901A\u77E5","Do you want to clear the application cache":"\u662F\u5426\u6E05\u7A7A\u61C9\u7528\u7DE9\u5B58","Clear file cache":"\u6E05\u7A7A\u6A94\u6848\u7DE9\u5B58","Clear cache":"\u6E05\u7A7A\u7DE9\u5B58","Log time":"\u65E5\u8A8C\u6642\u9593","Log content":"\u65E5\u8A8C\u5167\u5BB9","Video page":"\u8996\u983B\u9801\u9762",Loading:"\u6B63\u5728\u8ACB\u6C42\u2026","Image upload failed, please resubmit the task":"\u5716\u7247\u4E0A\u50B3\u5931\u6557\uFF0C\u8ACB\u91CD\u65B0\u63D0\u4EA4\u4EFB\u52D9","Store Remark":"\u5E97\u92EA\u5099\u8A3B","After synchronization, local data will be deleted. Do you want to continue synchronizing?":"\u540C\u6B65\u5F8C\u6703\u5220\u9664\u672C\u5730\u6578\u64DA\uFF0C\u662F\u5426\u7E7C\u7E8C\u540C\u6B65\uFF1F",am:"\u4E0A\u5348",pm:"\u4E0B\u5348","My task for today":"\u6211\u7684\u4ECA\u65E5\u4EFB\u52D9"},yn=Cn,G=class{constructor(){this.languageDict=null}static translateLanguage(t){var n,u,o,d,i,r;if(!t)return"";if(!this.languageDict)if(uni.getStorageSync("languageList")&&uni.getStorageSync("languageList")!="")this.languageDict=JSON.parse(uni.getStorageSync("languageList"));else return t;let a=uni.getStorageSync("nowLanguage");if(this.languageDict[t]){let x=this.languageDict[t];if(a=="en")return t;if(a=="ko")return x.Korea==null||x.Korea==""?t:x.Korea;if(a=="th")return x.Thai==null||x.Thai==""?t:x.Thai;if(a=="jp")return x.Japanese==null||x.Japanese==""?t:x.Japanese;if(a=="zhHans")return x["Simplified Chinese"]==null||x["Simplified Chinese"]==""?t:x["Simplified Chinese"];if(a=="zhHant")return x["Traditional Chinese (TW)"]==null||x["Traditional Chinese (TW)"]==""?t:x["Traditional Chinese (TW)"];if(a=="zhHanh")return x["Traditional Chinese"]==null||x["Traditional Chinese"]==""?t:x["Traditional Chinese"]}else{if(a=="en")return(n=un[t])!=null?n:t;if(a=="ko")return(u=hn[t])!=null?u:t;if(a=="th")return t;if(a=="jp")return(o=fn[t])!=null?o:t;if(a=="zhHans")return(d=vn[t])!=null?d:t;if(a=="zhHant")return(i=yn[t])!=null?i:t;if(a=="zhHanh")return(r=mn[t])!=null?r:t}}},qe=class{static formatDateString(t){var a=new Date(t),n=a.getFullYear(),u=a.getMonth()+1,o=a.getDate(),d=a.getHours(),i=a.getMinutes(),r=a.getSeconds();return u=("0"+u).slice(-2),o=("0"+o).slice(-2),d=("0"+d).slice(-2),i=("0"+i).slice(-2),r=("0"+r).slice(-2),n+"-"+u+"-"+o+" "+d+":"+i+":"+r}static formatDatesString(t){var a=new Date(t),n=a.getFullYear(),u=a.getMonth()+1,o=a.getDate();return u=("0"+u).slice(-2),o=("0"+o).slice(-2),n+"-"+u+"-"+o}static formatTimeString(t){var a=new Date(t),n=a.getHours(),u=a.getMinutes();return n=("0"+n).slice(-2),u=("0"+u).slice(-2),n+":"+u}static secondToDate(t){let a=parseInt(t/60/60),n=parseInt(t/60)%60,u=t%60;return a+":"+n+":"+u}static getDate(t,a=0){t||(t=new Date),typeof t!="object"&&(t=t.replace(/-/g,"/"));let n=new Date(t);n.setDate(n.getDate()+a);let u=n.getFullYear(),o=n.getMonth()+1<10?"0"+(n.getMonth()+1):n.getMonth()+1,d=n.getDate()<10?"0"+n.getDate():n.getDate();return{fullDate:u+"-"+o+"-"+d,year:u,month:o,date:d,day:n.getDay()}}};var z=ht(M0());var Z0=(e,t)=>{let a=e.__vccOpts||e;for(let[n,u]of t)a[n]=u;return a};var je=class{static getURL(){return"https://iaudit.sgsonline.com.cn"}static getTencentKey(){return"QSDBZ-3J264-IIJUC-KUMBV-VSGMQ-X4BRP"}};function bn(e,t,a){uni.request({url:"/api/mobile/saveError",method:"POST",data:{errorMessage:e,uri:t,arguments:a},header:{},success:n=>K(this,null,function*(){}),fail:n=>{}})}function qt(e,t,a,n){return K(this,null,function*(){let u;return new Promise((o,d)=>{uni.uploadFile({url:t,filePath:e,name:"file",header:{token:a},timeout:2e4,success:i=>{if(i.statusCode&&i.statusCode!=400&&i.statusCode!=404){let r=JSON.parse(i.data);if(r&&r.data&&r.data.length>0){u=r.data[0].documentPath,o({status:"100",data:u});return}}if(bn(i.data,t,""),n<2){n=n+1,qt(e,t,a,n).then(r=>{o(result)}).catch(r=>{d({status:"0",data:G.translateLanguage("Image upload failed, please resubmit the task")})});return}d({status:"0",data:G.translateLanguage("Image upload failed, please resubmit the task")})},fail:i=>{d({status:"0",data:G.translateLanguage("Image upload failed, please resubmit the task")})}})})})}var ae=class{static getUrl(){return je.getURL()}static setInterceptor(){uni.addInterceptor("request",{invoke(t){getApp().globalData.URLs=t.url,te.setdeBug({status:1,message:t.url});let a=t.url;t.url=je.getURL()+t.url,uni.getStorageSync("token")&&a!="/api/mobile/login"&&(a=="/api/mobile/validEmailCode"?(t.header||(t.header={}),t.header.mobileToken=getApp().globalData.templateToken):(t.header||(t.header={}),t.header.mobileToken=uni.getStorageSync("token")));let u=new Date().getTimezoneOffset();if(t.header.timezoneOffset=u,uni.getStorageSync("userinfo")){let o=JSON.parse(uni.getStorageSync("userinfo"));o.defaultMarket?(t.data.marketId=o.defaultMarket.marketId,t.data.languageId==null&&(t.data.languageId=o.defaultMarket.languageId)):t.data.languageId="1",t.data.userId=o.userId}else t.data.languageId="1"},success(t){if(t.data.status==-1){uni.hideLoading(),uni.reLaunch({url:"/pages/login/login"});return}},fail(t){te.setdeBug({status:2,message:getApp().globalData.URLs+":"+t}),uni.hideLoading(),uni.showToast({icon:"none",title:JSON.stringify(t)})}})}static savePost(t,a){return K(this,null,function*(){return new Promise((n,u)=>{uni.getNetworkType({success:function(o){return K(this,null,function*(){if(o.networkType=="none"){let d=yield ge.buildDefaultKvite("SGSDb","Network"),i=JSON.parse(JSON.stringify(a));if(uni.getStorageSync("userinfo")){let x=JSON.parse(uni.getStorageSync("userinfo"));i.marketId=x.defaultMarket.marketId,i.languageId=x.defaultMarket.languageId,i.userId=x.userId}let r=yield d.get(JSON.stringify(i)+t);r?n(r):u("")}else uni.request({url:t,method:"POST",data:a,header:{},success:d=>K(this,null,function*(){d.data.status==1&&(yield ge.buildDefaultKvite("SGSDb","Network")).put(JSON.stringify(a)+t,d.data),n(d.data)}),fail:d=>{u(d)}})})}})})})}static post(t,a){return K(this,null,function*(){return new Promise((n,u)=>{uni.request({url:t,method:"POST",data:a,header:{},success:o=>K(this,null,function*(){n(o.data)}),fail:o=>{u(o)}})})})}static upload(t,a,n){return new Promise((u,o)=>K(this,null,function*(){let d="",i="";uni.getStorageSync("token")&&(d=uni.getStorageSync("token")),uni.getStorageSync("userinfo")&&(i=JSON.parse(uni.getStorageSync("userinfo")).defaultMarket.marketId);let r=je.getURL()+"/api/mobile/upload/"+i+"/"+a+"/"+n;qt(t,r,d,0).then(x=>{u(x.data)}).catch(x=>{u(x)})}))}};var An={"select-picker":{"":{flexDirection:"row",alignItems:"center",flexWrap:"nowrap",justifyContent:"space-between",fontSize:1,lineHeight:38,overflow:"hidden"}},"select-picker-border":{"":{borderWidth:0,borderStyle:"solid",borderColor:"#e5e5e5",borderRadius:5},".is-input-error-border ":{borderColor:"#dd524d"}},"select-picker-arrow-area":{"":{position:"relative",width:20,justifyContent:"center",transform:"rotate(-45deg)",transformOrigin:"center"}},"select-picker-arrow":{"":{width:7,height:7,borderLeftWidth:1,borderLeftStyle:"solid",borderLeftColor:"#000000",borderBottomWidth:1,borderBottomStyle:"solid",borderBottomColor:"#000000"}},placeholder:{".default":{color:"#808080"}}},Dn={name:"hpy-form-select",emits:["click","update:modelValue","input","change"],model:{prop:"modelValue",event:"update:modelValue"},props:{islot:{type:[Boolean,String],default:!1},title:{type:String,default:"\u8BF7\u9009\u62E9"},mode:{type:String,default:"selector"},start:{type:String,default:""},end:{type:String,default:""},fields:{type:String,default:"day"},customItem:{type:String,default:""},dataList:{type:Array,default:function(){return[]}},text:{type:String,default:""},name:{type:String,default:""},value:{type:[String,Number],default(){return""}},modelValue:{type:[String,Number],default(){return""}},disabled:{type:[Boolean,String],default:!1},hideBorder:{type:[Boolean,String],default:!1},hideArrow:{type:[Boolean,String],default:!1}},data(){return{range:[],selectValue:"",width:0}},created(){this.dataList&&this.dataList.length!==0&&(this.range=this.getDataList(this.dataList)),this.form=this.getForm("uniForms"),this.formItem=this.getForm("uniFormsItem"),this.form&&this.formItem&&this.formItem.name&&(this.is_reset||(this.is_reset=!1,this.formItem.setValue(this.dataValue)),this.rename=this.formItem.name,this.form.inputChildrens.push(this));let e=uni.getWindowInfo();this.width=e.windowWidth*.8-80},watch:{dataList:{handler(e){this.range=this.getDataList(e)},deep:!0},value:{handler(e){this.initSelected(e),this.form&&this.formItem&&!this.is_reset&&(this.is_reset=!1,this.formItem.setValue(e))},immediate:!0},modelValue(e){this.initSelected(e),this.form&&this.formItem&&!this.is_reset&&(this.is_reset=!1,this.formItem.setValue(e))}},computed:{dataValue(){return this.value===""?this.modelValue:this.modelValue===""?this.value:this.value},selectText(){return this.selectValue===""?this.title:this.mode=="date"||this.mode=="time"?this.selectValue:!this.dataList||this.dataList.length==0?this.title:this.text?this.dataList[this.selectValue][this.text]:this.dataList[this.selectValue]}},methods:{getForm(e="uniForms"){let t=this.$parent,a=t.$options.name;for(;a!==e;){if(t=t.$parent,!t)return!1;a=t.$options.name}return t},getDataList(e){let t=JSON.parse(JSON.stringify(e));return this.initSelected(this.dataValue),t},initSelected(e){if(!e)return this.selectValue="",!1;this.mode=="date"||this.mode=="time"?this.selectValue=e:this.dataList.length>0&&(this.name?this.dataList.some((t,a)=>{if(t[this.name]==e)return this.selectValue=a,!0}):this.dataList.some((t,a)=>{if(t==e)return this.selectValue=a,!0}))},chagne(e){let t=e.detail.value;this.selectValue=t;var a="",n="";if(this.mode=="date"||this.mode=="time")a=t,n=t;else if(this.dataList&&this.dataList.length>0){let u=this.dataList[t];this.name?a=u[this.name]:a=u,n={index:t,value:a,data:u}}else this.selectValue="",n={index:-1,value:a,data:{}};this.formItem&&this.formItem.setValue(a),this.$emit("input",a),this.$emit("update:modelValue",a),this.$emit("change",n)}}};function Bn(e,t,a,n,u,o){let d=(0,z.resolveComponent)("picker");return(0,z.openBlock)(),(0,z.createElementBlock)("view",{renderWhole:!0},[(0,z.createVNode)(d,{mode:a.mode,onChange:o.chagne,value:u.selectValue,range:u.range,"range-key":a.text,start:a.start,end:a.end,fields:a.fields,"custom-item":a.customItem,disabled:a.disabled},{default:(0,z.withCtx)(()=>[a.islot?(0,z.renderSlot)(e.$slots,"default",{key:0}):((0,z.openBlock)(),(0,z.createElementBlock)("view",{key:1,class:(0,z.normalizeClass)(["select-picker",a.hideBorder?"":"select-picker-border"]),style:(0,z.normalizeStyle)(`width:${u.width}px;`)},[(0,z.createElementVNode)("u-text",{class:(0,z.normalizeClass)(["placeholder",u.selectValue===""?"default":""])},(0,z.toDisplayString)(o.selectText),3),a.hideArrow?(0,z.createCommentVNode)("",!0):((0,z.openBlock)(),(0,z.createElementBlock)("view",{key:0,class:"select-picker-arrow-area",style:{"margin-top":"-10px"}},[(0,z.createElementVNode)("view",{class:"select-picker-arrow"})]))],6))]),_:3},8,["mode","onChange","value","range","range-key","start","end","fields","custom-item","disabled"])])}var Sn=Z0(Dn,[["render",Bn],["styles",[An]]]),En=(0,z.defineComponent)({__name:"login",setup(e){let t=(0,z.ref)("SGS");var a=Qa();let n=(0,z.ref)(!0),u=(0,z.ref)(0),o=(0,z.ref)(""),d=(0,z.ref)(""),i=(0,z.ref)(0),r=(0,z.ref)([{text:"SGS",value:"SGS"}]);Tt(()=>{uni.setNavigationBarTitle({title:G.translateLanguage("Sign in")}),uni.getStorageSync("loginPage")?uni.getStorageSync("loginPage")=="SMS"&&g():uni.setStorageSync("loginPage","password"),uni.getStorageSync("userName")&&(d.value=uni.getStorageSync("userName"));let v=uni.getWindowInfo();i.value=v.windowWidth*.8}),Pt(()=>{let v=new Date().getTime()-u.value;te.setdeBug({status:3,message:G.translateLanguage("Login duration")+":"+qe.secondToDate(v)+"s"})}),It(()=>{let v=new Date().getTime()-u.value;te.setdeBug({status:3,message:G.translateLanguage("Login duration")+":"+qe.secondToDate(v)+"s"})});let x=()=>{if(uni.getSystemInfoSync().osName=="ios"){var s=wt("SGS-PhotoModule");s.pushCliented({},f=>{l({notificationId:f})})}else l({notificationId:plus.push.getClientInfo().clientid})},l=v=>{ae.post("/api/mobile/updateUserInfo",v).then(()=>{}).catch(()=>{})};Lt(()=>{u.value=new Date().getTime();let v=uni.getSystemInfoSync();if(uni.getStorageSync("versions")){if(v.appWgtVersion!=uni.getStorageSync("versions")){uni.setStorageSync("versions",v.appWgtVersion);return}}else{uni.setStorageSync("versions",v.appWgtVersion);return}uni.getStorageSync("userinfo")&&uni.getStorageSync("openID")&&uni.checkIsSupportSoterAuthentication({success(s){let f=s.supportMode;f.indexOf("facial")>-1?uni.checkIsSoterEnrolledInDevice({checkAuthMode:"facial",success(){let y=G.translateLanguage("Please use FaceID to unlock");uni.startSoterAuthentication({requestAuthModes:["facial"],challenge:"123456",authContent:y,success(){te.setdeBug({status:4,message:G.translateLanguage("Unlock using FaceID")}),ae.post("/api/mobile/getLanguages",{}).then(C=>{uni.setStorageSync("language",JSON.stringify(C.data))});let h=uni.getStorageSync("languageTime");ae.post("/api/mobile/getLabels",h?{timestamp:h}:{}).then(C=>{if(C.data){uni.setStorageSync("languageTime",C.timestamp);let A={};for(let F=0;F<C.data.length;F++){let S=C.data[F];A[S.code]=S.multiLanguageMap}uni.setStorageSync("languageList",JSON.stringify(A))}}),getApp().globalData.updateTask(),getApp().globalData.getVersion(),ae.savePost("/api/mobile/getDictionaries",{}).then(C=>{if(C.data){let A="",F="",S="",T=[];for(let B=0;B<C.data.length;B++){let w=C.data[B];w.dictName=="Top Section"&&(A=w.dictTypeId),w.dictName=="radio"&&(F=w.dictTypeId),w.dictName=="Major"&&(S=w.dictTypeId),w.dictName=="N/A"&&T.push(w.dictId)}S==""&&(S="22");let R=[],D=[];for(let B=0;B<C.data.length;B++){let w=C.data[B];w.dictTypeId==A&&R.push(w),w.dictTypeId==F&&D.push(w)}uni.setStorageSync("dict",JSON.stringify([R,D,S,T]))}}),ae.savePost("/api/mobile/getUserInfo",{}).then(C=>{if(!C.data){uni.showToast({icon:"none",title:G.translateLanguage("Your account has been logged in elsewhere, please log in again with your account password")}),uni.removeStorageSync("userinfo"),uni.removeStorageSync("openID");return}uni.setStorageSync("userinfo",JSON.stringify(C.data));let A=C.data.defaultMarket.languageId;c(A),uni.reLaunch({url:"/pages/index/new_index"})})},fail(){te.setdeBug({status:4,message:G.translateLanguage("FaceID unlocking failed")})}})},fail(){uni.showToast({icon:"none",title:G.translateLanguage("You have not set the FACEID yet. Please set it first")})}}):f.indexOf("fingerPrint")>-1&&uni.checkIsSoterEnrolledInDevice({checkAuthMode:"fingerPrint",success(){let y=G.translateLanguage("Please unlock with your fingerprint");uni.startSoterAuthentication({requestAuthModes:["fingerPrint"],authContent:y,success(){te.setdeBug({status:4,message:G.translateLanguage("Unlock using fingerprints")}),ae.post("/api/mobile/getLanguages",{}).then(C=>{uni.setStorageSync("language",JSON.stringify(C.data))});let h=uni.getStorageSync("languageTime");ae.post("/api/mobile/getLabels",h?{timestamp:h}:{}).then(C=>{if(C.data){uni.setStorageSync("languageTime",C.timestamp);let A={};for(let F=0;F<C.data.length;F++){let S=C.data[F];A[S.code]=S.multiLanguageMap}uni.setStorageSync("languageList",JSON.stringify(A))}}),getApp().globalData.updateTask(),getApp().globalData.getVersion(),ae.savePost("/api/mobile/getDictionaries",{}).then(C=>{if(C.data){let A="",F="",S="",T=[];for(let B=0;B<C.data.length;B++){let w=C.data[B];w.dictName=="Top Section"&&(A=w.dictTypeId),w.dictName=="radio"&&(F=w.dictTypeId),w.dictName=="Major"&&(S=w.dictTypeId),w.dictName=="N/A"&&T.push(w.dictId)}S==""&&(S="22");let R=[],D=[];for(let B=0;B<C.data.length;B++){let w=C.data[B];w.dictTypeId==A&&R.push(w),w.dictTypeId==F&&D.push(w)}uni.setStorageSync("dict",JSON.stringify([R,D,S,T]))}}),ae.savePost("/api/mobile/getUserInfo",{}).then(C=>{if(!C.data){uni.showToast({icon:"none",title:G.translateLanguage("Your account has been logged in elsewhere, please log in again with your account password")}),uni.removeStorageSync("userinfo"),uni.removeStorageSync("openID");return}uni.setStorageSync("userinfo",JSON.stringify(C.data));let A=C.data.defaultMarket.languageId;c(A),setTimeout(()=>{x()},1e3),uni.reLaunch({url:"/pages/index/new_index"})})},fail(){te.setdeBug({status:4,message:G.translateLanguage("Fingerprint unlock failed")})}})},fail(){uni.showToast({icon:"none",title:G.translateLanguage("You have not set your fingerprint yet. Please set it first")})}})},fail(){}})});let g=()=>{uni.reLaunch({url:"/pages/login/SIMLogin/SIMLogin"})},c=v=>{let s={1:"en",2:"zhHans",7:"jp",10:"zhHanh",11:"ko",12:"th",127:"zhHant"};uni.setStorageSync("nowLanguage",s[v])},p=()=>{n.value=!n.value},m=v=>{K0("log","at pages/login/login.nvue:422","================",v)},b=()=>{if(uni.showLoading({title:G.translateLanguage("Logging in")}),te.setdeBug({status:4,message:G.translateLanguage("Click the login button")}),d.value==""&&o.value=="")uni.hideLoading(),te.setdeBug({status:4,message:G.translateLanguage("Login failed")}),uni.showToast({icon:"none",title:G.translateLanguage("Account name or password incorrect, please check and re-enter")});else{let v=a.enc.Utf8.parse("PBKDF2WithHmacSG"),s=a.AES.encrypt(o.value,v,{mode:a.mode.ECB,padding:a.pad.Pkcs7});ae.post("/api/mobile/login",{userName:d.value,password:s.toString(),encryption:"1"}).then(f=>{if(!f.data){te.setdeBug({status:4,message:G.translateLanguage("Login failed")}),uni.hideLoading(),uni.showToast({icon:"none",title:G.translateLanguage("Account name or password incorrect, please check and re-enter")});return}if(f.data.indexOf(",email")>-1){let h=f.data.split(",email");getApp().globalData.templateToken=h[0],uni.hideLoading(),uni.setStorageSync("userName",d.value),uni.navigateTo({url:"/pages/login/SIMLogin/SIMLogin"});return}uni.setStorageSync("token",f.data),ae.post("/api/mobile/getLanguages",{}).then(h=>{uni.setStorageSync("language",JSON.stringify(h.data))});let y=uni.getStorageSync("languageTime");ae.post("/api/mobile/getLabels",y?{timestamp:y}:{}).then(h=>{if(h.data){uni.setStorageSync("languageTime",h.timestamp);let C={};for(let A=0;A<h.data.length;A++){let F=h.data[A];C[F.code]=F.multiLanguageMap}uni.setStorageSync("languageList",JSON.stringify(C))}}),getApp().globalData.updateTask(),getApp().globalData.getVersion(),ae.savePost("/api/mobile/getDictionaries",{}).then(h=>{if(h.data){let C="",A="",F="",S=[];for(let D=0;D<h.data.length;D++){let B=h.data[D];B.dictName=="Top Section"&&(C=B.dictTypeId),B.dictName=="radio"&&(A=B.dictTypeId),B.dictName=="Major"&&(F=B.dictTypeId),B.dictName=="N/A"&&S.push(B.dictId)}F==""&&(F="22");let T=[],R=[];for(let D=0;D<h.data.length;D++){let B=h.data[D];B.dictTypeId==C&&T.push(B),B.dictTypeId==A&&R.push(B)}uni.setStorageSync("dict",JSON.stringify([T,R,F,S]))}}),ae.savePost("/api/mobile/getUserInfo",{}).then(h=>{uni.setStorageSync("userName",d.value),uni.setStorageSync("userinfo",JSON.stringify(h.data));let C=h.data.defaultMarket.languageId;c(C),setTimeout(()=>{x()},1e3),uni.hideLoading(),te.setdeBug({status:4,message:G.translateLanguage("Login successful")}),uni.checkIsSupportSoterAuthentication({success(){if(uni.getStorageSync("openID")){uni.reLaunch({url:"/pages/index/new_index"});return}uni.showModal({title:G.translateLanguage("Kind reminder"),content:G.translateLanguage("For the security of your account, please enable fingerprint recognition or facial recognition authentication"),confirmText:G.translateLanguage("Confirm"),cancelText:G.translateLanguage("Cancel"),success:function(A){A.confirm?(te.setdeBug({status:4,message:G.translateLanguage("Choose to use biometric authentication")}),uni.setStorageSync("openID","1"),uni.reLaunch({url:"/pages/index/new_index"})):A.cancel&&uni.reLaunch({url:"/pages/index/new_index"})}})},fail(){uni.hideLoading(),uni.reLaunch({url:"/pages/index/new_index"})}})})}).catch(f=>{K0("log","at pages/login/login.nvue:616","==========================",f)})}};return(v,s)=>{let f=(0,z.resolveComponent)("button");return(0,z.openBlock)(),(0,z.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,z.createElementVNode)("view",{class:"login-box"},[(0,z.createElementVNode)("u-image",{class:"logo-box",src:"/static/login-logo.png"}),(0,z.createElementVNode)("u-text",{class:"title-box"},(0,z.toDisplayString)((0,z.unref)(G).translateLanguage("SGS iAudit Mobile App")),1),(0,z.createElementVNode)("view",{class:"input-wrapper",style:(0,z.normalizeStyle)(`width:${i.value}px;`)},[(0,z.createElementVNode)("u-image",{class:"uni-icon",src:"/static/user.png",style:{"margin-right":"10px"}}),(0,z.createElementVNode)("u-input",{class:"uni-input",modelValue:d.value,onInput:s[0]||(s[0]=y=>d.value=y.detail.value),placeholder:(0,z.unref)(G).translateLanguage("enter one user name")},null,40,["modelValue","placeholder"])],4),(0,z.createElementVNode)("view",{class:"input-wrapper",style:(0,z.normalizeStyle)(`width:${i.value}px;`)},[(0,z.createElementVNode)("u-image",{class:"uni-icon",style:{"margin-right":"10px"},src:"/static/password.png"}),(0,z.createElementVNode)("u-input",{class:"uni-input",modelValue:o.value,onInput:s[1]||(s[1]=y=>o.value=y.detail.value),placeholder:(0,z.unref)(G).translateLanguage("Please enter password"),password:n.value},null,40,["modelValue","placeholder","password"]),(0,z.createElementVNode)("u-image",{class:"uni-icon",src:n.value?"/static/eye.png":"/static/eye-active.png",onClick:p},null,8,["src"])],4),(0,z.createElementVNode)("view",{class:"input-wrapper",style:(0,z.normalizeStyle)(`width:${i.value}px;`)},[(0,z.createElementVNode)("u-image",{class:"uni-icon",style:{"margin-right":"10px"},src:"/static/organization.png"}),(0,z.createVNode)((0,z.unref)(Sn),{class:"uni-text",dataList:r.value,text:"text",name:"value",modelValue:t.value,"onUpdate:modelValue":s[2]||(s[2]=y=>t.value=y),onChange:m},null,8,["dataList","modelValue"])],4),(0,z.createVNode)(f,{class:"botton-box",style:(0,z.normalizeStyle)(`width:${i.value}px;`),onClick:b},{default:(0,z.withCtx)(()=>[(0,z.createElementVNode)("u-text",{class:"bottons-box"},(0,z.toDisplayString)((0,z.unref)(G).translateLanguage("Sign in")),1)]),_:1},8,["style"])])])}}}),Fn={"login-box":{"":{backgroundColor:"#f6f9fc",position:"absolute",top:0,left:0,bottom:0,right:0,display:"flex",flexDirection:"column",alignItems:"center"}},"logo-box":{"":{width:300,height:170}},"title-box":{"":{marginBottom:30,fontSize:20}},"button-wrapper":{"":{display:"flex",flexDirection:"row",flexWrap:"nowrap",alignItems:"center"}},"buttons-wrapper":{"":{fontSize:14,marginTop:5,color:"#CA4300"}},"input-wrapper":{"":{display:"flex",paddingTop:8,paddingRight:13,paddingBottom:8,paddingLeft:13,marginTop:5,marginRight:0,marginBottom:5,marginLeft:0,flexDirection:"row",flexWrap:"nowrap",alignItems:"center",backgroundColor:"#ffffff"}},"uni-input":{"":{height:28,fontSize:15,paddingTop:0,paddingRight:0,paddingBottom:0,paddingLeft:0,flex:1,backgroundColor:"#ffffff"}},"uni-text":{"":{height:28,fontSize:15,paddingTop:0,paddingRight:0,paddingBottom:0,paddingLeft:0,flex:1,backgroundColor:"#ffffff",display:"flex",alignItems:"center"}},"uni-icon":{"":{width:24,height:24}},"botton-box":{"":{marginTop:20,height:40,backgroundColor:"#CA4300"}},"bottons-box":{"":{fontSize:15,color:"#FFFFFF"}}},O0=Z0(En,[["styles",[Fn]]]);var at=plus.webview.currentWebview();if(at){let e=parseInt(at.id),t="pages/login/login",a={};try{a=JSON.parse(at.__query__)}catch(u){}O0.mpType="page";let n=Vue.createPageApp(O0,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:t,__pageQuery:a});n.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...O0.styles||[]])),n.mount("#root")}})();
/*!
  * @intlify/shared v9.1.9
  * (c) 2021 kazuya kawaguchi
  * Released under the MIT License.
  */
/*!
  * @intlify/message-resolver v9.1.9
  * (c) 2021 kazuya kawaguchi
  * Released under the MIT License.
  */
/*!
  * @intlify/runtime v9.1.9
  * (c) 2021 kazuya kawaguchi
  * Released under the MIT License.
  */
/*!
  * @intlify/message-compiler v9.1.9
  * (c) 2021 kazuya kawaguchi
  * Released under the MIT License.
  */
/*!
  * @intlify/core-base v9.1.9
  * (c) 2021 kazuya kawaguchi
  * Released under the MIT License.
  */
/*!
  * vue-i18n v9.1.9
  * (c) 2022 kazuya kawaguchi
  * Released under the MIT License.
  */
/*! Bundled license information:

crypto-js/ripemd160.js:
  (** @preserve
  	(c) 2012 by Cédric Mesnil. All rights reserved.
  
  	Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
  
  	    - Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  	    - Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  
  	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  	*)

crypto-js/mode-ctr-gladman.js:
  (** @preserve
   * Counter block mode compatible with  Dr Brian Gladman fileenc.c
   * derived from CryptoJS.mode.CTR
   * Jan Hruby jhruby.web@gmail.com
   *)
*/
